#!/usr/bin/env python

#
# Generated by generateDS.py.
#

import sys
import getopt
from xml.dom import minidom
from xml.dom import Node

#
# If you have installed IPython you can uncomment and use the following.
# IPython is available from http://ipython.scipy.org/.
#

## from IPython.Shell import IPShellEmbed
## args = ''
## ipshell = IPShellEmbed(args,
##     banner = 'Dropping into IPython',
##     exit_msg = 'Leaving Interpreter, back to program.')

# Then use the following line where and when you want to drop into the
# IPython shell:
#    ipshell('<some message> -- Entering ipshell.\nHit Ctrl-D to exit')

#
# Support/utility functions.
#

def showIndent(outfile, level):
    for idx in range(level):
        outfile.write('    ')

def quote_xml(inStr):
    s1 = inStr
    s1 = s1.replace('&', '&amp;')
    s1 = s1.replace('<', '&lt;')
    s1 = s1.replace('"', '&quot;')
    return s1

def quote_python(inStr):
    s1 = inStr
    if s1.find("'") == -1:
        if s1.find('\n') == -1:
            return "'%%s'" % s1
        else:
            return "'''%%s'''" % s1
    else:
        if s1.find('"') != -1:
            s1 = s1.replace('"', '\\"')
        if s1.find('\n') == -1:
            return '"%%s"' % s1
        else:
            return '"""%%s"""' % s1


class MixedContainer:
    # Constants for category:
    CategoryNone = 0
    CategoryText = 1
    CategorySimple = 2
    CategoryComplex = 3
    # Constants for content_type:
    TypeNone = 0
    TypeText = 1
    TypeString = 2
    TypeInteger = 3
    TypeFloat = 4
    TypeDecimal = 5
    TypeDouble = 6
    TypeBoolean = 7
    def __init__(self, category, content_type, name, value):
        self.category = category
        self.content_type = content_type
        self.name = name
        self.value = value
    def getCategory(self):
        return self.category
    def getContenttype(self, content_type):
        return self.content_type
    def getValue(self):
        return self.value
    def getName(self):
        return self.name
    def export(self, outfile, level, name):
        if self.category == MixedContainer.CategoryText:
            outfile.write(self.value)
        elif self.category == MixedContainer.CategorySimple:
            self.exportSimple(outfile, level, name)
        else:    # category == MixedContainer.CategoryComplex
            self.value.export(outfile, level, name)
    def exportSimple(self, outfile, level, name):
        if self.content_type == MixedContainer.TypeString:
            outfile.write('<%%s>%%s</%%s>' % (self.name, self.value, self.name))
        elif self.content_type == MixedContainer.TypeInteger or \
                self.content_type == MixedContainer.TypeBoolean:
            outfile.write('<%%s>%%d</%%s>' % (self.name, self.value, self.name))
        elif self.content_type == MixedContainer.TypeFloat or \
                self.content_type == MixedContainer.TypeDecimal:
            outfile.write('<%%s>%%f</%%s>' % (self.name, self.value, self.name))
        elif self.content_type == MixedContainer.TypeDouble:
            outfile.write('<%%s>%%g</%%s>' % (self.name, self.value, self.name))


#
# Data representation classes.
#

class resultType:
    subclass = None
    def __init__(self, status='', errcode=None, errtext=None):
        self.status = status
        self.errcode = errcode
        self.errtext = errtext
    def factory(*args_, **kwargs_):
        if resultType.subclass:
            return resultType.subclass(*args_, **kwargs_)
        else:
            return resultType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getStatus(self): return self.status
    def setStatus(self, value): self.status = value
    def getErrcode(self): return self.errcode
    def setErrcode(self, value): self.errcode = value
    def getErrtext(self): return self.errtext
    def setErrtext(self, value): self.errtext = value
    def export(self, outfile, level, name_='resultType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='resultType'):
        pass
    def exportChildren(self, outfile, level, name_='resultType'):
        showIndent(outfile, level)
        outfile.write('<status>%s</status>\n' % quote_xml(self.getStatus()))
        if self.errcode is not None:
            showIndent(outfile, level)
            outfile.write('<errcode>%s</errcode>\n' % quote_xml(self.getErrcode()))
        if self.errtext is not None:
            showIndent(outfile, level)
            outfile.write('<errtext>%s</errtext>\n' % quote_xml(self.getErrtext()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'status':
            status_ = ''
            for text__content_ in child_.childNodes:
                status_ += text__content_.nodeValue
            self.status = status_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'errcode':
            errcode_ = ''
            for text__content_ in child_.childNodes:
                errcode_ += text__content_.nodeValue
            self.errcode = errcode_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'errtext':
            errtext_ = ''
            for text__content_ in child_.childNodes:
                errtext_ += text__content_.nodeValue
            self.errtext = errtext_
# end class resultType


class NoneType:
    subclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if NoneType.subclass:
            return NoneType.subclass(*args_, **kwargs_)
        else:
            return NoneType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='NoneType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='NoneType'):
        pass
    def exportChildren(self, outfile, level, name_='NoneType'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class NoneType


class buttonDataType:
    subclass = None
    def __init__(self, code='', ttype='', name='', name_id='', group_name='', group_name_id='', href='', js_onclick=None, enabled='', new_window=None, tabindex=None, conhelp_id=None, conhelp=None, icon_url=None):
        self.code = code
        self.ttype = ttype
        self.name = name
        self.name_id = name_id
        self.group_name = group_name
        self.group_name_id = group_name_id
        self.href = href
        self.js_onclick = js_onclick
        self.enabled = enabled
        self.new_window = new_window
        self.tabindex = tabindex
        self.conhelp_id = conhelp_id
        self.conhelp = conhelp
        self.icon_url = icon_url
    def factory(*args_, **kwargs_):
        if buttonDataType.subclass:
            return buttonDataType.subclass(*args_, **kwargs_)
        else:
            return buttonDataType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getCode(self): return self.code
    def setCode(self, value): self.code = value
    def getType(self): return self.ttype
    def setType(self, value): self.ttype = value
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getName_id(self): return self.name_id
    def setName_id(self, value): self.name_id = value
    def getGroup_name(self): return self.group_name
    def setGroup_name(self, value): self.group_name = value
    def getGroup_name_id(self): return self.group_name_id
    def setGroup_name_id(self, value): self.group_name_id = value
    def getHref(self): return self.href
    def setHref(self, value): self.href = value
    def getJs_onclick(self): return self.js_onclick
    def setJs_onclick(self, value): self.js_onclick = value
    def getEnabled(self): return self.enabled
    def setEnabled(self, value): self.enabled = value
    def getNew_window(self): return self.new_window
    def setNew_window(self, value): self.new_window = value
    def getTabindex(self): return self.tabindex
    def setTabindex(self, value): self.tabindex = value
    def getConhelp_id(self): return self.conhelp_id
    def setConhelp_id(self, value): self.conhelp_id = value
    def getConhelp(self): return self.conhelp
    def setConhelp(self, value): self.conhelp = value
    def getIcon_url(self): return self.icon_url
    def setIcon_url(self, value): self.icon_url = value
    def export(self, outfile, level, name_='buttonDataType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='buttonDataType'):
        pass
    def exportChildren(self, outfile, level, name_='buttonDataType'):
        showIndent(outfile, level)
        outfile.write('<code>%s</code>\n' % quote_xml(self.getCode()))
        showIndent(outfile, level)
        outfile.write('<type>%s</type>\n' % quote_xml(self.getType()))
        showIndent(outfile, level)
        outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        showIndent(outfile, level)
        outfile.write('<name_id>%s</name_id>\n' % quote_xml(self.getName_id()))
        showIndent(outfile, level)
        outfile.write('<group_name>%s</group_name>\n' % quote_xml(self.getGroup_name()))
        showIndent(outfile, level)
        outfile.write('<group_name_id>%s</group_name_id>\n' % quote_xml(self.getGroup_name_id()))
        showIndent(outfile, level)
        outfile.write('<href>%s</href>\n' % quote_xml(self.getHref()))
        if self.js_onclick is not None:
            showIndent(outfile, level)
            outfile.write('<js_onclick>%s</js_onclick>\n' % quote_xml(self.getJs_onclick()))
        showIndent(outfile, level)
        outfile.write('<enabled>%s</enabled>\n' % quote_xml(self.getEnabled()))
        if self.new_window is not None:
            showIndent(outfile, level)
            outfile.write('<new_window>%s</new_window>\n' % quote_xml(self.getNew_window()))
        if self.tabindex is not None:
            showIndent(outfile, level)
            outfile.write('<tabindex>%s</tabindex>\n' % quote_xml(self.getTabindex()))
        if self.conhelp_id is not None:
            showIndent(outfile, level)
            outfile.write('<conhelp_id>%s</conhelp_id>\n' % quote_xml(self.getConhelp_id()))
        if self.conhelp is not None:
            showIndent(outfile, level)
            outfile.write('<conhelp>%s</conhelp>\n' % quote_xml(self.getConhelp()))
        if self.icon_url is not None:
            showIndent(outfile, level)
            outfile.write('<icon_url>%s</icon_url>\n' % quote_xml(self.getIcon_url()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'code':
            code_ = ''
            for text__content_ in child_.childNodes:
                code_ += text__content_.nodeValue
            self.code = code_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'type':
            type_ = ''
            for text__content_ in child_.childNodes:
                type_ += text__content_.nodeValue
            self.ttype = type_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name_id':
            name_id_ = ''
            for text__content_ in child_.childNodes:
                name_id_ += text__content_.nodeValue
            self.name_id = name_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'group_name':
            group_name_ = ''
            for text__content_ in child_.childNodes:
                group_name_ += text__content_.nodeValue
            self.group_name = group_name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'group_name_id':
            group_name_id_ = ''
            for text__content_ in child_.childNodes:
                group_name_id_ += text__content_.nodeValue
            self.group_name_id = group_name_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'href':
            href_ = ''
            for text__content_ in child_.childNodes:
                href_ += text__content_.nodeValue
            self.href = href_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'js_onclick':
            js_onclick_ = ''
            for text__content_ in child_.childNodes:
                js_onclick_ += text__content_.nodeValue
            self.js_onclick = js_onclick_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'enabled':
            enabled_ = ''
            for text__content_ in child_.childNodes:
                enabled_ += text__content_.nodeValue
            self.enabled = enabled_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'new_window':
            new_window_ = ''
            for text__content_ in child_.childNodes:
                new_window_ += text__content_.nodeValue
            self.new_window = new_window_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'tabindex':
            tabindex_ = ''
            for text__content_ in child_.childNodes:
                tabindex_ += text__content_.nodeValue
            self.tabindex = tabindex_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'conhelp_id':
            conhelp_id_ = ''
            for text__content_ in child_.childNodes:
                conhelp_id_ += text__content_.nodeValue
            self.conhelp_id = conhelp_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'conhelp':
            conhelp_ = ''
            for text__content_ in child_.childNodes:
                conhelp_ += text__content_.nodeValue
            self.conhelp = conhelp_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'icon_url':
            icon_url_ = ''
            for text__content_ in child_.childNodes:
                icon_url_ += text__content_.nodeValue
            self.icon_url = icon_url_
# end class buttonDataType


class domainDatasetType:
    subclass = None
    def __init__(self, gen_info=None, hosting=None, limits=None, stat=None, prefs=None, user=None, disk_usage=None):
        self.gen_info = gen_info
        self.hosting = hosting
        self.limits = limits
        self.stat = stat
        self.prefs = prefs
        self.user = user
        self.disk_usage = disk_usage
    def factory(*args_, **kwargs_):
        if domainDatasetType.subclass:
            return domainDatasetType.subclass(*args_, **kwargs_)
        else:
            return domainDatasetType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getGen_info(self): return self.gen_info
    def setGen_info(self, value): self.gen_info = value
    def getHosting(self): return self.hosting
    def setHosting(self, value): self.hosting = value
    def getLimits(self): return self.limits
    def setLimits(self, value): self.limits = value
    def getStat(self): return self.stat
    def setStat(self, value): self.stat = value
    def getPrefs(self): return self.prefs
    def setPrefs(self, value): self.prefs = value
    def getUser(self): return self.user
    def setUser(self, value): self.user = value
    def getDisk_usage(self): return self.disk_usage
    def setDisk_usage(self, value): self.disk_usage = value
    def export(self, outfile, level, name_='domainDatasetType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainDatasetType'):
        pass
    def exportChildren(self, outfile, level, name_='domainDatasetType'):
        if self.gen_info is not None:
            self.gen_info.export(outfile, level, name_='gen_info')
        if self.hosting is not None:
            self.hosting.export(outfile, level, name_='hosting')
        if self.limits is not None:
            self.limits.export(outfile, level, name_='limits')
        if self.stat is not None:
            self.stat.export(outfile, level, name_='stat')
        if self.prefs is not None:
            self.prefs.export(outfile, level, name_='prefs')
        if self.user is not None:
            self.user.export(outfile, level, name_='user')
        if self.disk_usage is not None:
            self.disk_usage.export(outfile, level, name_='disk_usage')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'gen_info':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setGen_info(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'hosting':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setHosting(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'limits':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setLimits(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'stat':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setStat(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'prefs':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setPrefs(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'user':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setUser(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'disk_usage':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setDisk_usage(obj_)
# end class domainDatasetType


class setGenSetupType:
    subclass = None
    def __init__(self, status=None, name=None, client_id=None, ip_address=None):
        self.status = status
        self.name = name
        self.client_id = client_id
        self.ip_address = ip_address
    def factory(*args_, **kwargs_):
        if setGenSetupType.subclass:
            return setGenSetupType.subclass(*args_, **kwargs_)
        else:
            return setGenSetupType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getStatus(self): return self.status
    def setStatus(self, value): self.status = value
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getClient_id(self): return self.client_id
    def setClient_id(self, value): self.client_id = value
    def getIp_address(self): return self.ip_address
    def setIp_address(self, value): self.ip_address = value
    def export(self, outfile, level, name_='setGenSetupType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='setGenSetupType'):
        pass
    def exportChildren(self, outfile, level, name_='setGenSetupType'):
        if self.status is not None:
            showIndent(outfile, level)
            outfile.write('<status>%s</status>\n' % quote_xml(self.getStatus()))
        if self.name is not None:
            showIndent(outfile, level)
            outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        if self.client_id is not None:
            showIndent(outfile, level)
            outfile.write('<client_id>%s</client_id>\n' % quote_xml(self.getClient_id()))
        if self.ip_address is not None:
            showIndent(outfile, level)
            outfile.write('<ip_address>%s</ip_address>\n' % quote_xml(self.getIp_address()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'status':
            status_ = ''
            for text__content_ in child_.childNodes:
                status_ += text__content_.nodeValue
            self.status = status_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'client_id':
            client_id_ = ''
            for text__content_ in child_.childNodes:
                client_id_ += text__content_.nodeValue
            self.client_id = client_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ip_address':
            ip_address_ = ''
            for text__content_ in child_.childNodes:
                ip_address_ += text__content_.nodeValue
            self.ip_address = ip_address_
# end class setGenSetupType


class domainGenInfoType:
    subclass = None
    def __init__(self, cr_date='', name='', display_name='', status='', real_size='', client_id='', dns_ip_address=None, htype=''):
        self.cr_date = cr_date
        self.name = name
        self.display_name = display_name
        self.status = status
        self.real_size = real_size
        self.client_id = client_id
        self.dns_ip_address = dns_ip_address
        self.htype = htype
    def factory(*args_, **kwargs_):
        if domainGenInfoType.subclass:
            return domainGenInfoType.subclass(*args_, **kwargs_)
        else:
            return domainGenInfoType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getCr_date(self): return self.cr_date
    def setCr_date(self, value): self.cr_date = value
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getDisplay_name(self): return self.display_name
    def setDisplay_name(self, value): self.display_name = value
    def getStatus(self): return self.status
    def setStatus(self, value): self.status = value
    def getReal_size(self): return self.real_size
    def setReal_size(self, value): self.real_size = value
    def getClient_id(self): return self.client_id
    def setClient_id(self, value): self.client_id = value
    def getDns_ip_address(self): return self.dns_ip_address
    def setDns_ip_address(self, value): self.dns_ip_address = value
    def getHtype(self): return self.htype
    def setHtype(self, value): self.htype = value
    def export(self, outfile, level, name_='domainGenInfoType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainGenInfoType'):
        pass
    def exportChildren(self, outfile, level, name_='domainGenInfoType'):
        showIndent(outfile, level)
        outfile.write('<cr_date>%s</cr_date>\n' % quote_xml(self.getCr_date()))
        showIndent(outfile, level)
        outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        showIndent(outfile, level)
        outfile.write('<display_name>%s</display_name>\n' % quote_xml(self.getDisplay_name()))
        showIndent(outfile, level)
        outfile.write('<status>%s</status>\n' % quote_xml(self.getStatus()))
        showIndent(outfile, level)
        outfile.write('<real_size>%s</real_size>\n' % quote_xml(self.getReal_size()))
        showIndent(outfile, level)
        outfile.write('<client_id>%s</client_id>\n' % quote_xml(self.getClient_id()))
        if self.dns_ip_address is not None:
            showIndent(outfile, level)
            outfile.write('<dns_ip_address>%s</dns_ip_address>\n' % quote_xml(self.getDns_ip_address()))
        showIndent(outfile, level)
        outfile.write('<htype>%s</htype>\n' % quote_xml(self.getHtype()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'cr_date':
            cr_date_ = ''
            for text__content_ in child_.childNodes:
                cr_date_ += text__content_.nodeValue
            self.cr_date = cr_date_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'display_name':
            display_name_ = ''
            for text__content_ in child_.childNodes:
                display_name_ += text__content_.nodeValue
            self.display_name = display_name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'status':
            status_ = ''
            for text__content_ in child_.childNodes:
                status_ += text__content_.nodeValue
            self.status = status_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'real_size':
            real_size_ = ''
            for text__content_ in child_.childNodes:
                real_size_ += text__content_.nodeValue
            self.real_size = real_size_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'client_id':
            client_id_ = ''
            for text__content_ in child_.childNodes:
                client_id_ += text__content_.nodeValue
            self.client_id = client_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dns_ip_address':
            dns_ip_address_ = ''
            for text__content_ in child_.childNodes:
                dns_ip_address_ += text__content_.nodeValue
            self.dns_ip_address = dns_ip_address_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'htype':
            htype_ = ''
            for text__content_ in child_.childNodes:
                htype_ += text__content_.nodeValue
            self.htype = htype_
# end class domainGenInfoType


class domainUserGet:
    subclass = None
    def __init__(self, enabled=None, cname=None, pname=None, phone=None, fax=None, email=None, address=None, city=None, state=None, pcode=None, country=None, multiply_login=None, perms=None):
        self.enabled = enabled
        self.cname = cname
        self.pname = pname
        self.phone = phone
        self.fax = fax
        self.email = email
        self.address = address
        self.city = city
        self.state = state
        self.pcode = pcode
        self.country = country
        self.multiply_login = multiply_login
        self.perms = perms
    def factory(*args_, **kwargs_):
        if domainUserGet.subclass:
            return domainUserGet.subclass(*args_, **kwargs_)
        else:
            return domainUserGet(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getEnabled(self): return self.enabled
    def setEnabled(self, value): self.enabled = value
    def getCname(self): return self.cname
    def setCname(self, value): self.cname = value
    def getPname(self): return self.pname
    def setPname(self, value): self.pname = value
    def getPhone(self): return self.phone
    def setPhone(self, value): self.phone = value
    def getFax(self): return self.fax
    def setFax(self, value): self.fax = value
    def getEmail(self): return self.email
    def setEmail(self, value): self.email = value
    def getAddress(self): return self.address
    def setAddress(self, value): self.address = value
    def getCity(self): return self.city
    def setCity(self, value): self.city = value
    def getState(self): return self.state
    def setState(self, value): self.state = value
    def getPcode(self): return self.pcode
    def setPcode(self, value): self.pcode = value
    def getCountry(self): return self.country
    def setCountry(self, value): self.country = value
    def getMultiply_login(self): return self.multiply_login
    def setMultiply_login(self, value): self.multiply_login = value
    def getPerms(self): return self.perms
    def setPerms(self, value): self.perms = value
    def export(self, outfile, level, name_='domainUserGet'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainUserGet'):
        pass
    def exportChildren(self, outfile, level, name_='domainUserGet'):
        if self.enabled is not None:
            showIndent(outfile, level)
            outfile.write('<enabled>%s</enabled>\n' % quote_xml(self.getEnabled()))
        if self.cname is not None:
            showIndent(outfile, level)
            outfile.write('<cname>%s</cname>\n' % quote_xml(self.getCname()))
        if self.pname is not None:
            showIndent(outfile, level)
            outfile.write('<pname>%s</pname>\n' % quote_xml(self.getPname()))
        if self.phone is not None:
            showIndent(outfile, level)
            outfile.write('<phone>%s</phone>\n' % quote_xml(self.getPhone()))
        if self.fax is not None:
            showIndent(outfile, level)
            outfile.write('<fax>%s</fax>\n' % quote_xml(self.getFax()))
        if self.email is not None:
            showIndent(outfile, level)
            outfile.write('<email>%s</email>\n' % quote_xml(self.getEmail()))
        if self.address is not None:
            showIndent(outfile, level)
            outfile.write('<address>%s</address>\n' % quote_xml(self.getAddress()))
        if self.city is not None:
            showIndent(outfile, level)
            outfile.write('<city>%s</city>\n' % quote_xml(self.getCity()))
        if self.state is not None:
            showIndent(outfile, level)
            outfile.write('<state>%s</state>\n' % quote_xml(self.getState()))
        if self.pcode is not None:
            showIndent(outfile, level)
            outfile.write('<pcode>%s</pcode>\n' % quote_xml(self.getPcode()))
        if self.country is not None:
            showIndent(outfile, level)
            outfile.write('<country>%s</country>\n' % quote_xml(self.getCountry()))
        if self.multiply_login is not None:
            showIndent(outfile, level)
            outfile.write('<multiply_login>%s</multiply_login>\n' % quote_xml(self.getMultiply_login()))
        if self.perms is not None:
            self.perms.export(outfile, level, name_='perms')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'enabled':
            enabled_ = ''
            for text__content_ in child_.childNodes:
                enabled_ += text__content_.nodeValue
            self.enabled = enabled_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'cname':
            cname_ = ''
            for text__content_ in child_.childNodes:
                cname_ += text__content_.nodeValue
            self.cname = cname_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'pname':
            pname_ = ''
            for text__content_ in child_.childNodes:
                pname_ += text__content_.nodeValue
            self.pname = pname_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'phone':
            phone_ = ''
            for text__content_ in child_.childNodes:
                phone_ += text__content_.nodeValue
            self.phone = phone_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fax':
            fax_ = ''
            for text__content_ in child_.childNodes:
                fax_ += text__content_.nodeValue
            self.fax = fax_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'email':
            email_ = ''
            for text__content_ in child_.childNodes:
                email_ += text__content_.nodeValue
            self.email = email_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'address':
            address_ = ''
            for text__content_ in child_.childNodes:
                address_ += text__content_.nodeValue
            self.address = address_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'city':
            city_ = ''
            for text__content_ in child_.childNodes:
                city_ += text__content_.nodeValue
            self.city = city_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'state':
            state_ = ''
            for text__content_ in child_.childNodes:
                state_ += text__content_.nodeValue
            self.state = state_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'pcode':
            pcode_ = ''
            for text__content_ in child_.childNodes:
                pcode_ += text__content_.nodeValue
            self.pcode = pcode_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'country':
            country_ = ''
            for text__content_ in child_.childNodes:
                country_ += text__content_.nodeValue
            self.country = country_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'multiply_login':
            multiply_login_ = ''
            for text__content_ in child_.childNodes:
                multiply_login_ += text__content_.nodeValue
            self.multiply_login = multiply_login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'perms':
            obj_ = domainPerms.factory()
            obj_.build(child_)
            self.setPerms(obj_)
# end class domainUserGet


class domainUserSet:
    subclass = None
    def __init__(self, enabled=None, password=None, cname=None, pname=None, phone=None, fax=None, email=None, address=None, city=None, state=None, pcode=None, country=None, multiply_login=None, perms=None):
        self.enabled = enabled
        self.password = password
        self.cname = cname
        self.pname = pname
        self.phone = phone
        self.fax = fax
        self.email = email
        self.address = address
        self.city = city
        self.state = state
        self.pcode = pcode
        self.country = country
        self.multiply_login = multiply_login
        self.perms = perms
    def factory(*args_, **kwargs_):
        if domainUserSet.subclass:
            return domainUserSet.subclass(*args_, **kwargs_)
        else:
            return domainUserSet(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getEnabled(self): return self.enabled
    def setEnabled(self, value): self.enabled = value
    def getPassword(self): return self.password
    def setPassword(self, value): self.password = value
    def getCname(self): return self.cname
    def setCname(self, value): self.cname = value
    def getPname(self): return self.pname
    def setPname(self, value): self.pname = value
    def getPhone(self): return self.phone
    def setPhone(self, value): self.phone = value
    def getFax(self): return self.fax
    def setFax(self, value): self.fax = value
    def getEmail(self): return self.email
    def setEmail(self, value): self.email = value
    def getAddress(self): return self.address
    def setAddress(self, value): self.address = value
    def getCity(self): return self.city
    def setCity(self, value): self.city = value
    def getState(self): return self.state
    def setState(self, value): self.state = value
    def getPcode(self): return self.pcode
    def setPcode(self, value): self.pcode = value
    def getCountry(self): return self.country
    def setCountry(self, value): self.country = value
    def getMultiply_login(self): return self.multiply_login
    def setMultiply_login(self, value): self.multiply_login = value
    def getPerms(self): return self.perms
    def setPerms(self, value): self.perms = value
    def export(self, outfile, level, name_='domainUserSet'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainUserSet'):
        pass
    def exportChildren(self, outfile, level, name_='domainUserSet'):
        if self.enabled is not None:
            showIndent(outfile, level)
            outfile.write('<enabled>%s</enabled>\n' % quote_xml(self.getEnabled()))
        if self.password is not None:
            showIndent(outfile, level)
            outfile.write('<password>%s</password>\n' % quote_xml(self.getPassword()))
        if self.cname is not None:
            showIndent(outfile, level)
            outfile.write('<cname>%s</cname>\n' % quote_xml(self.getCname()))
        if self.pname is not None:
            showIndent(outfile, level)
            outfile.write('<pname>%s</pname>\n' % quote_xml(self.getPname()))
        if self.phone is not None:
            showIndent(outfile, level)
            outfile.write('<phone>%s</phone>\n' % quote_xml(self.getPhone()))
        if self.fax is not None:
            showIndent(outfile, level)
            outfile.write('<fax>%s</fax>\n' % quote_xml(self.getFax()))
        if self.email is not None:
            showIndent(outfile, level)
            outfile.write('<email>%s</email>\n' % quote_xml(self.getEmail()))
        if self.address is not None:
            showIndent(outfile, level)
            outfile.write('<address>%s</address>\n' % quote_xml(self.getAddress()))
        if self.city is not None:
            showIndent(outfile, level)
            outfile.write('<city>%s</city>\n' % quote_xml(self.getCity()))
        if self.state is not None:
            showIndent(outfile, level)
            outfile.write('<state>%s</state>\n' % quote_xml(self.getState()))
        if self.pcode is not None:
            showIndent(outfile, level)
            outfile.write('<pcode>%s</pcode>\n' % quote_xml(self.getPcode()))
        if self.country is not None:
            showIndent(outfile, level)
            outfile.write('<country>%s</country>\n' % quote_xml(self.getCountry()))
        if self.multiply_login is not None:
            showIndent(outfile, level)
            outfile.write('<multiply_login>%s</multiply_login>\n' % quote_xml(self.getMultiply_login()))
        if self.perms is not None:
            self.perms.export(outfile, level, name_='perms')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'enabled':
            enabled_ = ''
            for text__content_ in child_.childNodes:
                enabled_ += text__content_.nodeValue
            self.enabled = enabled_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'password':
            password_ = ''
            for text__content_ in child_.childNodes:
                password_ += text__content_.nodeValue
            self.password = password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'cname':
            cname_ = ''
            for text__content_ in child_.childNodes:
                cname_ += text__content_.nodeValue
            self.cname = cname_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'pname':
            pname_ = ''
            for text__content_ in child_.childNodes:
                pname_ += text__content_.nodeValue
            self.pname = pname_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'phone':
            phone_ = ''
            for text__content_ in child_.childNodes:
                phone_ += text__content_.nodeValue
            self.phone = phone_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fax':
            fax_ = ''
            for text__content_ in child_.childNodes:
                fax_ += text__content_.nodeValue
            self.fax = fax_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'email':
            email_ = ''
            for text__content_ in child_.childNodes:
                email_ += text__content_.nodeValue
            self.email = email_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'address':
            address_ = ''
            for text__content_ in child_.childNodes:
                address_ += text__content_.nodeValue
            self.address = address_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'city':
            city_ = ''
            for text__content_ in child_.childNodes:
                city_ += text__content_.nodeValue
            self.city = city_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'state':
            state_ = ''
            for text__content_ in child_.childNodes:
                state_ += text__content_.nodeValue
            self.state = state_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'pcode':
            pcode_ = ''
            for text__content_ in child_.childNodes:
                pcode_ += text__content_.nodeValue
            self.pcode = pcode_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'country':
            country_ = ''
            for text__content_ in child_.childNodes:
                country_ += text__content_.nodeValue
            self.country = country_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'multiply_login':
            multiply_login_ = ''
            for text__content_ in child_.childNodes:
                multiply_login_ += text__content_.nodeValue
            self.multiply_login = multiply_login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'perms':
            obj_ = domainPerms.factory()
            obj_.build(child_)
            self.setPerms(obj_)
# end class domainUserSet


class domainPrefs:
    subclass = None
    def __init__(self, www=None, stat_ttl=None):
        self.www = www
        self.stat_ttl = stat_ttl
    def factory(*args_, **kwargs_):
        if domainPrefs.subclass:
            return domainPrefs.subclass(*args_, **kwargs_)
        else:
            return domainPrefs(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getWww(self): return self.www
    def setWww(self, value): self.www = value
    def getStat_ttl(self): return self.stat_ttl
    def setStat_ttl(self, value): self.stat_ttl = value
    def export(self, outfile, level, name_='domainPrefs'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainPrefs'):
        pass
    def exportChildren(self, outfile, level, name_='domainPrefs'):
        if self.www is not None:
            showIndent(outfile, level)
            outfile.write('<www>%s</www>\n' % quote_xml(self.getWww()))
        if self.stat_ttl is not None:
            showIndent(outfile, level)
            outfile.write('<stat_ttl>%s</stat_ttl>\n' % quote_xml(self.getStat_ttl()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'www':
            www_ = ''
            for text__content_ in child_.childNodes:
                www_ += text__content_.nodeValue
            self.www = www_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'stat_ttl':
            stat_ttl_ = ''
            for text__content_ in child_.childNodes:
                stat_ttl_ += text__content_.nodeValue
            self.stat_ttl = stat_ttl_
# end class domainPrefs


class domainLimits:
    subclass = None
    def __init__(self, max_subdom=None, disk_space=None, max_traffic=None, max_wu=None, max_db=None, max_box=None, mbox_quota=None, max_redir=None, max_mg=None, max_resp=None, max_maillists=None, max_webapps=None, expiration=None, total_mboxes_quota=None, max_dom_aliases=None, mysql_dbase_space=None, mssql_dbase_space=None, max_mssql_db=None, max_shared_ssl_links=None, max_subftp_users=None, max_fpse_users=None):
        self.max_subdom = max_subdom
        self.disk_space = disk_space
        self.max_traffic = max_traffic
        self.max_wu = max_wu
        self.max_db = max_db
        self.max_box = max_box
        self.mbox_quota = mbox_quota
        self.max_redir = max_redir
        self.max_mg = max_mg
        self.max_resp = max_resp
        self.max_maillists = max_maillists
        self.max_webapps = max_webapps
        self.expiration = expiration
        self.total_mboxes_quota = total_mboxes_quota
        self.max_dom_aliases = max_dom_aliases
        self.mysql_dbase_space = mysql_dbase_space
        self.mssql_dbase_space = mssql_dbase_space
        self.max_mssql_db = max_mssql_db
        self.max_shared_ssl_links = max_shared_ssl_links
        self.max_subftp_users = max_subftp_users
        self.max_fpse_users = max_fpse_users
    def factory(*args_, **kwargs_):
        if domainLimits.subclass:
            return domainLimits.subclass(*args_, **kwargs_)
        else:
            return domainLimits(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getMax_subdom(self): return self.max_subdom
    def setMax_subdom(self, value): self.max_subdom = value
    def getDisk_space(self): return self.disk_space
    def setDisk_space(self, value): self.disk_space = value
    def getMax_traffic(self): return self.max_traffic
    def setMax_traffic(self, value): self.max_traffic = value
    def getMax_wu(self): return self.max_wu
    def setMax_wu(self, value): self.max_wu = value
    def getMax_db(self): return self.max_db
    def setMax_db(self, value): self.max_db = value
    def getMax_box(self): return self.max_box
    def setMax_box(self, value): self.max_box = value
    def getMbox_quota(self): return self.mbox_quota
    def setMbox_quota(self, value): self.mbox_quota = value
    def getMax_redir(self): return self.max_redir
    def setMax_redir(self, value): self.max_redir = value
    def getMax_mg(self): return self.max_mg
    def setMax_mg(self, value): self.max_mg = value
    def getMax_resp(self): return self.max_resp
    def setMax_resp(self, value): self.max_resp = value
    def getMax_maillists(self): return self.max_maillists
    def setMax_maillists(self, value): self.max_maillists = value
    def getMax_webapps(self): return self.max_webapps
    def setMax_webapps(self, value): self.max_webapps = value
    def getExpiration(self): return self.expiration
    def setExpiration(self, value): self.expiration = value
    def getTotal_mboxes_quota(self): return self.total_mboxes_quota
    def setTotal_mboxes_quota(self, value): self.total_mboxes_quota = value
    def getMax_dom_aliases(self): return self.max_dom_aliases
    def setMax_dom_aliases(self, value): self.max_dom_aliases = value
    def getMysql_dbase_space(self): return self.mysql_dbase_space
    def setMysql_dbase_space(self, value): self.mysql_dbase_space = value
    def getMssql_dbase_space(self): return self.mssql_dbase_space
    def setMssql_dbase_space(self, value): self.mssql_dbase_space = value
    def getMax_mssql_db(self): return self.max_mssql_db
    def setMax_mssql_db(self, value): self.max_mssql_db = value
    def getMax_shared_ssl_links(self): return self.max_shared_ssl_links
    def setMax_shared_ssl_links(self, value): self.max_shared_ssl_links = value
    def getMax_subftp_users(self): return self.max_subftp_users
    def setMax_subftp_users(self, value): self.max_subftp_users = value
    def getMax_fpse_users(self): return self.max_fpse_users
    def setMax_fpse_users(self, value): self.max_fpse_users = value
    def export(self, outfile, level, name_='domainLimits'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainLimits'):
        pass
    def exportChildren(self, outfile, level, name_='domainLimits'):
        if self.max_subdom is not None:
            showIndent(outfile, level)
            outfile.write('<max_subdom>%s</max_subdom>\n' % quote_xml(self.getMax_subdom()))
        if self.disk_space is not None:
            showIndent(outfile, level)
            outfile.write('<disk_space>%s</disk_space>\n' % quote_xml(self.getDisk_space()))
        if self.max_traffic is not None:
            showIndent(outfile, level)
            outfile.write('<max_traffic>%s</max_traffic>\n' % quote_xml(self.getMax_traffic()))
        if self.max_wu is not None:
            showIndent(outfile, level)
            outfile.write('<max_wu>%s</max_wu>\n' % quote_xml(self.getMax_wu()))
        if self.max_db is not None:
            showIndent(outfile, level)
            outfile.write('<max_db>%s</max_db>\n' % quote_xml(self.getMax_db()))
        if self.max_box is not None:
            showIndent(outfile, level)
            outfile.write('<max_box>%s</max_box>\n' % quote_xml(self.getMax_box()))
        if self.mbox_quota is not None:
            showIndent(outfile, level)
            outfile.write('<mbox_quota>%s</mbox_quota>\n' % quote_xml(self.getMbox_quota()))
        if self.max_redir is not None:
            showIndent(outfile, level)
            outfile.write('<max_redir>%s</max_redir>\n' % quote_xml(self.getMax_redir()))
        if self.max_mg is not None:
            showIndent(outfile, level)
            outfile.write('<max_mg>%s</max_mg>\n' % quote_xml(self.getMax_mg()))
        if self.max_resp is not None:
            showIndent(outfile, level)
            outfile.write('<max_resp>%s</max_resp>\n' % quote_xml(self.getMax_resp()))
        if self.max_maillists is not None:
            showIndent(outfile, level)
            outfile.write('<max_maillists>%s</max_maillists>\n' % quote_xml(self.getMax_maillists()))
        if self.max_webapps is not None:
            showIndent(outfile, level)
            outfile.write('<max_webapps>%s</max_webapps>\n' % quote_xml(self.getMax_webapps()))
        if self.expiration is not None:
            showIndent(outfile, level)
            outfile.write('<expiration>%s</expiration>\n' % quote_xml(self.getExpiration()))
        if self.total_mboxes_quota is not None:
            showIndent(outfile, level)
            outfile.write('<total_mboxes_quota>%s</total_mboxes_quota>\n' % quote_xml(self.getTotal_mboxes_quota()))
        if self.max_dom_aliases is not None:
            showIndent(outfile, level)
            outfile.write('<max_dom_aliases>%s</max_dom_aliases>\n' % quote_xml(self.getMax_dom_aliases()))
        if self.mysql_dbase_space is not None:
            showIndent(outfile, level)
            outfile.write('<mysql_dbase_space>%s</mysql_dbase_space>\n' % quote_xml(self.getMysql_dbase_space()))
        if self.mssql_dbase_space is not None:
            showIndent(outfile, level)
            outfile.write('<mssql_dbase_space>%s</mssql_dbase_space>\n' % quote_xml(self.getMssql_dbase_space()))
        if self.max_mssql_db is not None:
            showIndent(outfile, level)
            outfile.write('<max_mssql_db>%s</max_mssql_db>\n' % quote_xml(self.getMax_mssql_db()))
        if self.max_shared_ssl_links is not None:
            showIndent(outfile, level)
            outfile.write('<max_shared_ssl_links>%s</max_shared_ssl_links>\n' % quote_xml(self.getMax_shared_ssl_links()))
        if self.max_subftp_users is not None:
            showIndent(outfile, level)
            outfile.write('<max_subftp_users>%s</max_subftp_users>\n' % quote_xml(self.getMax_subftp_users()))
        if self.max_fpse_users is not None:
            showIndent(outfile, level)
            outfile.write('<max_fpse_users>%s</max_fpse_users>\n' % quote_xml(self.getMax_fpse_users()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_subdom':
            max_subdom_ = ''
            for text__content_ in child_.childNodes:
                max_subdom_ += text__content_.nodeValue
            self.max_subdom = max_subdom_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'disk_space':
            disk_space_ = ''
            for text__content_ in child_.childNodes:
                disk_space_ += text__content_.nodeValue
            self.disk_space = disk_space_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_traffic':
            max_traffic_ = ''
            for text__content_ in child_.childNodes:
                max_traffic_ += text__content_.nodeValue
            self.max_traffic = max_traffic_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_wu':
            max_wu_ = ''
            for text__content_ in child_.childNodes:
                max_wu_ += text__content_.nodeValue
            self.max_wu = max_wu_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_db':
            max_db_ = ''
            for text__content_ in child_.childNodes:
                max_db_ += text__content_.nodeValue
            self.max_db = max_db_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_box':
            max_box_ = ''
            for text__content_ in child_.childNodes:
                max_box_ += text__content_.nodeValue
            self.max_box = max_box_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mbox_quota':
            mbox_quota_ = ''
            for text__content_ in child_.childNodes:
                mbox_quota_ += text__content_.nodeValue
            self.mbox_quota = mbox_quota_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_redir':
            max_redir_ = ''
            for text__content_ in child_.childNodes:
                max_redir_ += text__content_.nodeValue
            self.max_redir = max_redir_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_mg':
            max_mg_ = ''
            for text__content_ in child_.childNodes:
                max_mg_ += text__content_.nodeValue
            self.max_mg = max_mg_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_resp':
            max_resp_ = ''
            for text__content_ in child_.childNodes:
                max_resp_ += text__content_.nodeValue
            self.max_resp = max_resp_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_maillists':
            max_maillists_ = ''
            for text__content_ in child_.childNodes:
                max_maillists_ += text__content_.nodeValue
            self.max_maillists = max_maillists_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_webapps':
            max_webapps_ = ''
            for text__content_ in child_.childNodes:
                max_webapps_ += text__content_.nodeValue
            self.max_webapps = max_webapps_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'expiration':
            expiration_ = ''
            for text__content_ in child_.childNodes:
                expiration_ += text__content_.nodeValue
            self.expiration = expiration_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'total_mboxes_quota':
            total_mboxes_quota_ = ''
            for text__content_ in child_.childNodes:
                total_mboxes_quota_ += text__content_.nodeValue
            self.total_mboxes_quota = total_mboxes_quota_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_dom_aliases':
            max_dom_aliases_ = ''
            for text__content_ in child_.childNodes:
                max_dom_aliases_ += text__content_.nodeValue
            self.max_dom_aliases = max_dom_aliases_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mysql_dbase_space':
            mysql_dbase_space_ = ''
            for text__content_ in child_.childNodes:
                mysql_dbase_space_ += text__content_.nodeValue
            self.mysql_dbase_space = mysql_dbase_space_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mssql_dbase_space':
            mssql_dbase_space_ = ''
            for text__content_ in child_.childNodes:
                mssql_dbase_space_ += text__content_.nodeValue
            self.mssql_dbase_space = mssql_dbase_space_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_mssql_db':
            max_mssql_db_ = ''
            for text__content_ in child_.childNodes:
                max_mssql_db_ += text__content_.nodeValue
            self.max_mssql_db = max_mssql_db_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_shared_ssl_links':
            max_shared_ssl_links_ = ''
            for text__content_ in child_.childNodes:
                max_shared_ssl_links_ += text__content_.nodeValue
            self.max_shared_ssl_links = max_shared_ssl_links_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_subftp_users':
            max_subftp_users_ = ''
            for text__content_ in child_.childNodes:
                max_subftp_users_ += text__content_.nodeValue
            self.max_subftp_users = max_subftp_users_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_fpse_users':
            max_fpse_users_ = ''
            for text__content_ in child_.childNodes:
                max_fpse_users_ += text__content_.nodeValue
            self.max_fpse_users = max_fpse_users_
# end class domainLimits


class domainPhHostingSet:
    subclass = None
    def __init__(self, ftp_login=None, ftp_password=None, ftp_quota=None, fp=None, fp_ssl=None, fp_auth=None, fp_admin_login=None, fp_admin_password=None, ssl=None, shell=None, shell_forbidden=None, php='', php_isapi=None, ssi='', ssi_html=None, cgi=None, mod_perl=None, mod_python=None, asp=None, asp_dot_net=None, managed_runtime_version=None, coldfusion=None, webstat=None, webstat_protected=None, errdocs=None, at_domains=None, sb_publishing=None, php_safe_mode=None, iis_app_pool=None):
        self.ftp_login = ftp_login
        self.ftp_password = ftp_password
        self.ftp_quota = ftp_quota
        self.fp = fp
        self.fp_ssl = fp_ssl
        self.fp_auth = fp_auth
        self.fp_admin_login = fp_admin_login
        self.fp_admin_password = fp_admin_password
        self.ssl = ssl
        self.shell = shell
        self.shell_forbidden = shell_forbidden
        self.php = php
        self.php_isapi = php_isapi
        self.ssi = ssi
        self.ssi_html = ssi_html
        self.cgi = cgi
        self.mod_perl = mod_perl
        self.mod_python = mod_python
        self.asp = asp
        self.asp_dot_net = asp_dot_net
        self.managed_runtime_version = managed_runtime_version
        self.coldfusion = coldfusion
        self.webstat = webstat
        self.webstat_protected = webstat_protected
        self.errdocs = errdocs
        self.at_domains = at_domains
        self.sb_publishing = sb_publishing
        self.php_safe_mode = php_safe_mode
        self.iis_app_pool = iis_app_pool
    def factory(*args_, **kwargs_):
        if domainPhHostingSet.subclass:
            return domainPhHostingSet.subclass(*args_, **kwargs_)
        else:
            return domainPhHostingSet(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getFtp_login(self): return self.ftp_login
    def setFtp_login(self, value): self.ftp_login = value
    def getFtp_password(self): return self.ftp_password
    def setFtp_password(self, value): self.ftp_password = value
    def getFtp_quota(self): return self.ftp_quota
    def setFtp_quota(self, value): self.ftp_quota = value
    def getFp(self): return self.fp
    def setFp(self, value): self.fp = value
    def getFp_ssl(self): return self.fp_ssl
    def setFp_ssl(self, value): self.fp_ssl = value
    def getFp_auth(self): return self.fp_auth
    def setFp_auth(self, value): self.fp_auth = value
    def getFp_admin_login(self): return self.fp_admin_login
    def setFp_admin_login(self, value): self.fp_admin_login = value
    def getFp_admin_password(self): return self.fp_admin_password
    def setFp_admin_password(self, value): self.fp_admin_password = value
    def getSsl(self): return self.ssl
    def setSsl(self, value): self.ssl = value
    def getShell(self): return self.shell
    def setShell(self, value): self.shell = value
    def getShell_forbidden(self): return self.shell_forbidden
    def setShell_forbidden(self, value): self.shell_forbidden = value
    def getPhp(self): return self.php
    def setPhp(self, value): self.php = value
    def getPhp_isapi(self): return self.php_isapi
    def setPhp_isapi(self, value): self.php_isapi = value
    def getSsi(self): return self.ssi
    def setSsi(self, value): self.ssi = value
    def getSsi_html(self): return self.ssi_html
    def setSsi_html(self, value): self.ssi_html = value
    def getCgi(self): return self.cgi
    def setCgi(self, value): self.cgi = value
    def getMod_perl(self): return self.mod_perl
    def setMod_perl(self, value): self.mod_perl = value
    def getMod_python(self): return self.mod_python
    def setMod_python(self, value): self.mod_python = value
    def getAsp(self): return self.asp
    def setAsp(self, value): self.asp = value
    def getAsp_dot_net(self): return self.asp_dot_net
    def setAsp_dot_net(self, value): self.asp_dot_net = value
    def getManaged_runtime_version(self): return self.managed_runtime_version
    def setManaged_runtime_version(self, value): self.managed_runtime_version = value
    def getColdfusion(self): return self.coldfusion
    def setColdfusion(self, value): self.coldfusion = value
    def getWebstat(self): return self.webstat
    def setWebstat(self, value): self.webstat = value
    def getWebstat_protected(self): return self.webstat_protected
    def setWebstat_protected(self, value): self.webstat_protected = value
    def getErrdocs(self): return self.errdocs
    def setErrdocs(self, value): self.errdocs = value
    def getAt_domains(self): return self.at_domains
    def setAt_domains(self, value): self.at_domains = value
    def getSb_publishing(self): return self.sb_publishing
    def setSb_publishing(self, value): self.sb_publishing = value
    def getPhp_safe_mode(self): return self.php_safe_mode
    def setPhp_safe_mode(self, value): self.php_safe_mode = value
    def getIis_app_pool(self): return self.iis_app_pool
    def setIis_app_pool(self, value): self.iis_app_pool = value
    def export(self, outfile, level, name_='domainPhHostingSet'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainPhHostingSet'):
        pass
    def exportChildren(self, outfile, level, name_='domainPhHostingSet'):
        if self.ftp_login is not None:
            showIndent(outfile, level)
            outfile.write('<ftp_login>%s</ftp_login>\n' % quote_xml(self.getFtp_login()))
        if self.ftp_password is not None:
            showIndent(outfile, level)
            outfile.write('<ftp_password>%s</ftp_password>\n' % quote_xml(self.getFtp_password()))
        if self.ftp_quota is not None:
            showIndent(outfile, level)
            outfile.write('<ftp_quota>%s</ftp_quota>\n' % quote_xml(self.getFtp_quota()))
        if self.fp is not None:
            showIndent(outfile, level)
            outfile.write('<fp>%s</fp>\n' % quote_xml(self.getFp()))
        if self.fp_ssl is not None:
            showIndent(outfile, level)
            outfile.write('<fp_ssl>%s</fp_ssl>\n' % quote_xml(self.getFp_ssl()))
        if self.fp_auth is not None:
            showIndent(outfile, level)
            outfile.write('<fp_auth>%s</fp_auth>\n' % quote_xml(self.getFp_auth()))
        if self.fp_admin_login is not None:
            showIndent(outfile, level)
            outfile.write('<fp_admin_login>%s</fp_admin_login>\n' % quote_xml(self.getFp_admin_login()))
        if self.fp_admin_password is not None:
            showIndent(outfile, level)
            outfile.write('<fp_admin_password>%s</fp_admin_password>\n' % quote_xml(self.getFp_admin_password()))
        if self.ssl is not None:
            showIndent(outfile, level)
            outfile.write('<ssl>%s</ssl>\n' % quote_xml(self.getSsl()))
        if self.shell is not None:
            showIndent(outfile, level)
            outfile.write('<shell>%s</shell>\n' % quote_xml(self.getShell()))
        if self.shell_forbidden is not None:
            self.shell_forbidden.export(outfile, level, name_='shell-forbidden')
        showIndent(outfile, level)
        outfile.write('<php>%s</php>\n' % quote_xml(self.getPhp()))
        if self.php_isapi is not None:
            showIndent(outfile, level)
            outfile.write('<php_isapi>%s</php_isapi>\n' % quote_xml(self.getPhp_isapi()))
        showIndent(outfile, level)
        outfile.write('<ssi>%s</ssi>\n' % quote_xml(self.getSsi()))
        if self.ssi_html is not None:
            showIndent(outfile, level)
            outfile.write('<ssi_html>%s</ssi_html>\n' % quote_xml(self.getSsi_html()))
        if self.cgi is not None:
            showIndent(outfile, level)
            outfile.write('<cgi>%s</cgi>\n' % quote_xml(self.getCgi()))
        if self.mod_perl is not None:
            showIndent(outfile, level)
            outfile.write('<mod_perl>%s</mod_perl>\n' % quote_xml(self.getMod_perl()))
        if self.mod_python is not None:
            showIndent(outfile, level)
            outfile.write('<mod_python>%s</mod_python>\n' % quote_xml(self.getMod_python()))
        if self.asp is not None:
            showIndent(outfile, level)
            outfile.write('<asp>%s</asp>\n' % quote_xml(self.getAsp()))
        if self.asp_dot_net is not None:
            showIndent(outfile, level)
            outfile.write('<asp_dot_net>%s</asp_dot_net>\n' % quote_xml(self.getAsp_dot_net()))
        if self.managed_runtime_version is not None:
            showIndent(outfile, level)
            outfile.write('<managed_runtime_version>%s</managed_runtime_version>\n' % quote_xml(self.getManaged_runtime_version()))
        if self.coldfusion is not None:
            showIndent(outfile, level)
            outfile.write('<coldfusion>%s</coldfusion>\n' % quote_xml(self.getColdfusion()))
        if self.webstat is not None:
            showIndent(outfile, level)
            outfile.write('<webstat>%s</webstat>\n' % quote_xml(self.getWebstat()))
        if self.webstat_protected is not None:
            showIndent(outfile, level)
            outfile.write('<webstat_protected>%d</webstat_protected>\n' % self.getWebstat_protected())
        if self.errdocs is not None:
            showIndent(outfile, level)
            outfile.write('<errdocs>%s</errdocs>\n' % quote_xml(self.getErrdocs()))
        if self.at_domains is not None:
            showIndent(outfile, level)
            outfile.write('<at_domains>%s</at_domains>\n' % quote_xml(self.getAt_domains()))
        if self.sb_publishing is not None:
            showIndent(outfile, level)
            outfile.write('<sb_publishing>%s</sb_publishing>\n' % quote_xml(self.getSb_publishing()))
        if self.php_safe_mode is not None:
            showIndent(outfile, level)
            outfile.write('<php_safe_mode>%s</php_safe_mode>\n' % quote_xml(self.getPhp_safe_mode()))
        if self.iis_app_pool is not None:
            showIndent(outfile, level)
            outfile.write('<iis-app-pool>%s</iis-app-pool>\n' % quote_xml(self.getIis_app_pool()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ftp_login':
            ftp_login_ = ''
            for text__content_ in child_.childNodes:
                ftp_login_ += text__content_.nodeValue
            self.ftp_login = ftp_login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ftp_password':
            ftp_password_ = ''
            for text__content_ in child_.childNodes:
                ftp_password_ += text__content_.nodeValue
            self.ftp_password = ftp_password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ftp_quota':
            ftp_quota_ = ''
            for text__content_ in child_.childNodes:
                ftp_quota_ += text__content_.nodeValue
            self.ftp_quota = ftp_quota_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp':
            fp_ = ''
            for text__content_ in child_.childNodes:
                fp_ += text__content_.nodeValue
            self.fp = fp_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp_ssl':
            fp_ssl_ = ''
            for text__content_ in child_.childNodes:
                fp_ssl_ += text__content_.nodeValue
            self.fp_ssl = fp_ssl_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp_auth':
            fp_auth_ = ''
            for text__content_ in child_.childNodes:
                fp_auth_ += text__content_.nodeValue
            self.fp_auth = fp_auth_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp_admin_login':
            fp_admin_login_ = ''
            for text__content_ in child_.childNodes:
                fp_admin_login_ += text__content_.nodeValue
            self.fp_admin_login = fp_admin_login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp_admin_password':
            fp_admin_password_ = ''
            for text__content_ in child_.childNodes:
                fp_admin_password_ += text__content_.nodeValue
            self.fp_admin_password = fp_admin_password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ssl':
            ssl_ = ''
            for text__content_ in child_.childNodes:
                ssl_ += text__content_.nodeValue
            self.ssl = ssl_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'shell':
            shell_ = ''
            for text__content_ in child_.childNodes:
                shell_ += text__content_.nodeValue
            self.shell = shell_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'shell-forbidden':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setShell_forbidden(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'php':
            php_ = ''
            for text__content_ in child_.childNodes:
                php_ += text__content_.nodeValue
            self.php = php_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'php_isapi':
            php_isapi_ = ''
            for text__content_ in child_.childNodes:
                php_isapi_ += text__content_.nodeValue
            self.php_isapi = php_isapi_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ssi':
            ssi_ = ''
            for text__content_ in child_.childNodes:
                ssi_ += text__content_.nodeValue
            self.ssi = ssi_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ssi_html':
            ssi_html_ = ''
            for text__content_ in child_.childNodes:
                ssi_html_ += text__content_.nodeValue
            self.ssi_html = ssi_html_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'cgi':
            cgi_ = ''
            for text__content_ in child_.childNodes:
                cgi_ += text__content_.nodeValue
            self.cgi = cgi_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mod_perl':
            mod_perl_ = ''
            for text__content_ in child_.childNodes:
                mod_perl_ += text__content_.nodeValue
            self.mod_perl = mod_perl_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mod_python':
            mod_python_ = ''
            for text__content_ in child_.childNodes:
                mod_python_ += text__content_.nodeValue
            self.mod_python = mod_python_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'asp':
            asp_ = ''
            for text__content_ in child_.childNodes:
                asp_ += text__content_.nodeValue
            self.asp = asp_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'asp_dot_net':
            asp_dot_net_ = ''
            for text__content_ in child_.childNodes:
                asp_dot_net_ += text__content_.nodeValue
            self.asp_dot_net = asp_dot_net_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'managed_runtime_version':
            managed_runtime_version_ = ''
            for text__content_ in child_.childNodes:
                managed_runtime_version_ += text__content_.nodeValue
            self.managed_runtime_version = managed_runtime_version_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'coldfusion':
            coldfusion_ = ''
            for text__content_ in child_.childNodes:
                coldfusion_ += text__content_.nodeValue
            self.coldfusion = coldfusion_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'webstat':
            webstat_ = ''
            for text__content_ in child_.childNodes:
                webstat_ += text__content_.nodeValue
            self.webstat = webstat_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'webstat_protected':
            if child_.firstChild:
                sval_ = child_.firstChild.nodeValue
                if sval_ in ('true', '1'):
                    ival_ = 1
                elif sval_ in ('false', '0'):
                    ival_ = 0
                else:
                    raise ValueError('requires boolean -- %s' % child_.toxml())
                self.webstat_protected = ival_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'errdocs':
            errdocs_ = ''
            for text__content_ in child_.childNodes:
                errdocs_ += text__content_.nodeValue
            self.errdocs = errdocs_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'at_domains':
            at_domains_ = ''
            for text__content_ in child_.childNodes:
                at_domains_ += text__content_.nodeValue
            self.at_domains = at_domains_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'sb_publishing':
            sb_publishing_ = ''
            for text__content_ in child_.childNodes:
                sb_publishing_ += text__content_.nodeValue
            self.sb_publishing = sb_publishing_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'php_safe_mode':
            php_safe_mode_ = ''
            for text__content_ in child_.childNodes:
                php_safe_mode_ += text__content_.nodeValue
            self.php_safe_mode = php_safe_mode_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'iis-app-pool':
            iis_app_pool_ = ''
            for text__content_ in child_.childNodes:
                iis_app_pool_ += text__content_.nodeValue
            self.iis_app_pool = iis_app_pool_
# end class domainPhHostingSet


class domainPhHostingGet:
    subclass = None
    def __init__(self, ftp_login=None, ftp_password=None, ftp_password_type=None, ftp_quota=None, fp=None, fp_ssl=None, fp_auth=None, fp_admin_login=None, fp_admin_password=None, ssl=None, shell=None, shell_forbidden=None, php=None, php_isapi=None, ssi=None, ssi_html=None, cgi=None, mod_perl=None, mod_python=None, asp=None, asp_dot_net=None, managed_runtime_version=None, coldfusion=None, webstat=None, webstat_protected=None, errdocs=None, at_domains=None, php_safe_mode=None, sb_publishing=None, iis_app_pool=None):
        self.ftp_login = ftp_login
        self.ftp_password = ftp_password
        self.ftp_password_type = ftp_password_type
        self.ftp_quota = ftp_quota
        self.fp = fp
        self.fp_ssl = fp_ssl
        self.fp_auth = fp_auth
        self.fp_admin_login = fp_admin_login
        self.fp_admin_password = fp_admin_password
        self.ssl = ssl
        self.shell = shell
        self.shell_forbidden = shell_forbidden
        self.php = php
        self.php_isapi = php_isapi
        self.ssi = ssi
        self.ssi_html = ssi_html
        self.cgi = cgi
        self.mod_perl = mod_perl
        self.mod_python = mod_python
        self.asp = asp
        self.asp_dot_net = asp_dot_net
        self.managed_runtime_version = managed_runtime_version
        self.coldfusion = coldfusion
        self.webstat = webstat
        self.webstat_protected = webstat_protected
        self.errdocs = errdocs
        self.at_domains = at_domains
        self.php_safe_mode = php_safe_mode
        self.sb_publishing = sb_publishing
        self.iis_app_pool = iis_app_pool
    def factory(*args_, **kwargs_):
        if domainPhHostingGet.subclass:
            return domainPhHostingGet.subclass(*args_, **kwargs_)
        else:
            return domainPhHostingGet(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getFtp_login(self): return self.ftp_login
    def setFtp_login(self, value): self.ftp_login = value
    def getFtp_password(self): return self.ftp_password
    def setFtp_password(self, value): self.ftp_password = value
    def getFtp_password_type(self): return self.ftp_password_type
    def setFtp_password_type(self, value): self.ftp_password_type = value
    def getFtp_quota(self): return self.ftp_quota
    def setFtp_quota(self, value): self.ftp_quota = value
    def getFp(self): return self.fp
    def setFp(self, value): self.fp = value
    def getFp_ssl(self): return self.fp_ssl
    def setFp_ssl(self, value): self.fp_ssl = value
    def getFp_auth(self): return self.fp_auth
    def setFp_auth(self, value): self.fp_auth = value
    def getFp_admin_login(self): return self.fp_admin_login
    def setFp_admin_login(self, value): self.fp_admin_login = value
    def getFp_admin_password(self): return self.fp_admin_password
    def setFp_admin_password(self, value): self.fp_admin_password = value
    def getSsl(self): return self.ssl
    def setSsl(self, value): self.ssl = value
    def getShell(self): return self.shell
    def setShell(self, value): self.shell = value
    def getShell_forbidden(self): return self.shell_forbidden
    def setShell_forbidden(self, value): self.shell_forbidden = value
    def getPhp(self): return self.php
    def setPhp(self, value): self.php = value
    def getPhp_isapi(self): return self.php_isapi
    def setPhp_isapi(self, value): self.php_isapi = value
    def getSsi(self): return self.ssi
    def setSsi(self, value): self.ssi = value
    def getSsi_html(self): return self.ssi_html
    def setSsi_html(self, value): self.ssi_html = value
    def getCgi(self): return self.cgi
    def setCgi(self, value): self.cgi = value
    def getMod_perl(self): return self.mod_perl
    def setMod_perl(self, value): self.mod_perl = value
    def getMod_python(self): return self.mod_python
    def setMod_python(self, value): self.mod_python = value
    def getAsp(self): return self.asp
    def setAsp(self, value): self.asp = value
    def getAsp_dot_net(self): return self.asp_dot_net
    def setAsp_dot_net(self, value): self.asp_dot_net = value
    def getManaged_runtime_version(self): return self.managed_runtime_version
    def setManaged_runtime_version(self, value): self.managed_runtime_version = value
    def getColdfusion(self): return self.coldfusion
    def setColdfusion(self, value): self.coldfusion = value
    def getWebstat(self): return self.webstat
    def setWebstat(self, value): self.webstat = value
    def getWebstat_protected(self): return self.webstat_protected
    def setWebstat_protected(self, value): self.webstat_protected = value
    def getErrdocs(self): return self.errdocs
    def setErrdocs(self, value): self.errdocs = value
    def getAt_domains(self): return self.at_domains
    def setAt_domains(self, value): self.at_domains = value
    def getPhp_safe_mode(self): return self.php_safe_mode
    def setPhp_safe_mode(self, value): self.php_safe_mode = value
    def getSb_publishing(self): return self.sb_publishing
    def setSb_publishing(self, value): self.sb_publishing = value
    def getIis_app_pool(self): return self.iis_app_pool
    def setIis_app_pool(self, value): self.iis_app_pool = value
    def export(self, outfile, level, name_='domainPhHostingGet'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainPhHostingGet'):
        pass
    def exportChildren(self, outfile, level, name_='domainPhHostingGet'):
        if self.ftp_login is not None:
            showIndent(outfile, level)
            outfile.write('<ftp_login>%s</ftp_login>\n' % quote_xml(self.getFtp_login()))
        if self.ftp_password is not None:
            showIndent(outfile, level)
            outfile.write('<ftp_password>%s</ftp_password>\n' % quote_xml(self.getFtp_password()))
        if self.ftp_password_type is not None:
            showIndent(outfile, level)
            outfile.write('<ftp_password_type>%s</ftp_password_type>\n' % quote_xml(self.getFtp_password_type()))
        if self.ftp_quota is not None:
            showIndent(outfile, level)
            outfile.write('<ftp_quota>%s</ftp_quota>\n' % quote_xml(self.getFtp_quota()))
        if self.fp is not None:
            showIndent(outfile, level)
            outfile.write('<fp>%s</fp>\n' % quote_xml(self.getFp()))
        if self.fp_ssl is not None:
            showIndent(outfile, level)
            outfile.write('<fp_ssl>%s</fp_ssl>\n' % quote_xml(self.getFp_ssl()))
        if self.fp_auth is not None:
            showIndent(outfile, level)
            outfile.write('<fp_auth>%s</fp_auth>\n' % quote_xml(self.getFp_auth()))
        if self.fp_admin_login is not None:
            showIndent(outfile, level)
            outfile.write('<fp_admin_login>%s</fp_admin_login>\n' % quote_xml(self.getFp_admin_login()))
        if self.fp_admin_password is not None:
            showIndent(outfile, level)
            outfile.write('<fp_admin_password>%s</fp_admin_password>\n' % quote_xml(self.getFp_admin_password()))
        if self.ssl is not None:
            showIndent(outfile, level)
            outfile.write('<ssl>%s</ssl>\n' % quote_xml(self.getSsl()))
        if self.shell is not None:
            showIndent(outfile, level)
            outfile.write('<shell>%s</shell>\n' % quote_xml(self.getShell()))
        if self.shell_forbidden is not None:
            self.shell_forbidden.export(outfile, level, name_='shell-forbidden')
        if self.php is not None:
            showIndent(outfile, level)
            outfile.write('<php>%s</php>\n' % quote_xml(self.getPhp()))
        if self.php_isapi is not None:
            showIndent(outfile, level)
            outfile.write('<php_isapi>%s</php_isapi>\n' % quote_xml(self.getPhp_isapi()))
        if self.ssi is not None:
            showIndent(outfile, level)
            outfile.write('<ssi>%s</ssi>\n' % quote_xml(self.getSsi()))
        if self.ssi_html is not None:
            showIndent(outfile, level)
            outfile.write('<ssi_html>%s</ssi_html>\n' % quote_xml(self.getSsi_html()))
        if self.cgi is not None:
            showIndent(outfile, level)
            outfile.write('<cgi>%s</cgi>\n' % quote_xml(self.getCgi()))
        if self.mod_perl is not None:
            showIndent(outfile, level)
            outfile.write('<mod_perl>%s</mod_perl>\n' % quote_xml(self.getMod_perl()))
        if self.mod_python is not None:
            showIndent(outfile, level)
            outfile.write('<mod_python>%s</mod_python>\n' % quote_xml(self.getMod_python()))
        if self.asp is not None:
            showIndent(outfile, level)
            outfile.write('<asp>%s</asp>\n' % quote_xml(self.getAsp()))
        if self.asp_dot_net is not None:
            showIndent(outfile, level)
            outfile.write('<asp_dot_net>%s</asp_dot_net>\n' % quote_xml(self.getAsp_dot_net()))
        if self.managed_runtime_version is not None:
            showIndent(outfile, level)
            outfile.write('<managed_runtime_version>%s</managed_runtime_version>\n' % quote_xml(self.getManaged_runtime_version()))
        if self.coldfusion is not None:
            showIndent(outfile, level)
            outfile.write('<coldfusion>%s</coldfusion>\n' % quote_xml(self.getColdfusion()))
        if self.webstat is not None:
            showIndent(outfile, level)
            outfile.write('<webstat>%s</webstat>\n' % quote_xml(self.getWebstat()))
        if self.webstat_protected is not None:
            showIndent(outfile, level)
            outfile.write('<webstat_protected>%d</webstat_protected>\n' % self.getWebstat_protected())
        if self.errdocs is not None:
            showIndent(outfile, level)
            outfile.write('<errdocs>%s</errdocs>\n' % quote_xml(self.getErrdocs()))
        if self.at_domains is not None:
            showIndent(outfile, level)
            outfile.write('<at_domains>%s</at_domains>\n' % quote_xml(self.getAt_domains()))
        if self.php_safe_mode is not None:
            showIndent(outfile, level)
            outfile.write('<php_safe_mode>%s</php_safe_mode>\n' % quote_xml(self.getPhp_safe_mode()))
        if self.sb_publishing is not None:
            showIndent(outfile, level)
            outfile.write('<sb_publishing>%s</sb_publishing>\n' % quote_xml(self.getSb_publishing()))
        if self.iis_app_pool is not None:
            showIndent(outfile, level)
            outfile.write('<iis-app-pool>%s</iis-app-pool>\n' % quote_xml(self.getIis_app_pool()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ftp_login':
            ftp_login_ = ''
            for text__content_ in child_.childNodes:
                ftp_login_ += text__content_.nodeValue
            self.ftp_login = ftp_login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ftp_password':
            ftp_password_ = ''
            for text__content_ in child_.childNodes:
                ftp_password_ += text__content_.nodeValue
            self.ftp_password = ftp_password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ftp_password_type':
            ftp_password_type_ = ''
            for text__content_ in child_.childNodes:
                ftp_password_type_ += text__content_.nodeValue
            self.ftp_password_type = ftp_password_type_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ftp_quota':
            ftp_quota_ = ''
            for text__content_ in child_.childNodes:
                ftp_quota_ += text__content_.nodeValue
            self.ftp_quota = ftp_quota_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp':
            fp_ = ''
            for text__content_ in child_.childNodes:
                fp_ += text__content_.nodeValue
            self.fp = fp_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp_ssl':
            fp_ssl_ = ''
            for text__content_ in child_.childNodes:
                fp_ssl_ += text__content_.nodeValue
            self.fp_ssl = fp_ssl_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp_auth':
            fp_auth_ = ''
            for text__content_ in child_.childNodes:
                fp_auth_ += text__content_.nodeValue
            self.fp_auth = fp_auth_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp_admin_login':
            fp_admin_login_ = ''
            for text__content_ in child_.childNodes:
                fp_admin_login_ += text__content_.nodeValue
            self.fp_admin_login = fp_admin_login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp_admin_password':
            fp_admin_password_ = ''
            for text__content_ in child_.childNodes:
                fp_admin_password_ += text__content_.nodeValue
            self.fp_admin_password = fp_admin_password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ssl':
            ssl_ = ''
            for text__content_ in child_.childNodes:
                ssl_ += text__content_.nodeValue
            self.ssl = ssl_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'shell':
            shell_ = ''
            for text__content_ in child_.childNodes:
                shell_ += text__content_.nodeValue
            self.shell = shell_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'shell-forbidden':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setShell_forbidden(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'php':
            php_ = ''
            for text__content_ in child_.childNodes:
                php_ += text__content_.nodeValue
            self.php = php_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'php_isapi':
            php_isapi_ = ''
            for text__content_ in child_.childNodes:
                php_isapi_ += text__content_.nodeValue
            self.php_isapi = php_isapi_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ssi':
            ssi_ = ''
            for text__content_ in child_.childNodes:
                ssi_ += text__content_.nodeValue
            self.ssi = ssi_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ssi_html':
            ssi_html_ = ''
            for text__content_ in child_.childNodes:
                ssi_html_ += text__content_.nodeValue
            self.ssi_html = ssi_html_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'cgi':
            cgi_ = ''
            for text__content_ in child_.childNodes:
                cgi_ += text__content_.nodeValue
            self.cgi = cgi_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mod_perl':
            mod_perl_ = ''
            for text__content_ in child_.childNodes:
                mod_perl_ += text__content_.nodeValue
            self.mod_perl = mod_perl_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mod_python':
            mod_python_ = ''
            for text__content_ in child_.childNodes:
                mod_python_ += text__content_.nodeValue
            self.mod_python = mod_python_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'asp':
            asp_ = ''
            for text__content_ in child_.childNodes:
                asp_ += text__content_.nodeValue
            self.asp = asp_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'asp_dot_net':
            asp_dot_net_ = ''
            for text__content_ in child_.childNodes:
                asp_dot_net_ += text__content_.nodeValue
            self.asp_dot_net = asp_dot_net_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'managed_runtime_version':
            managed_runtime_version_ = ''
            for text__content_ in child_.childNodes:
                managed_runtime_version_ += text__content_.nodeValue
            self.managed_runtime_version = managed_runtime_version_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'coldfusion':
            coldfusion_ = ''
            for text__content_ in child_.childNodes:
                coldfusion_ += text__content_.nodeValue
            self.coldfusion = coldfusion_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'webstat':
            webstat_ = ''
            for text__content_ in child_.childNodes:
                webstat_ += text__content_.nodeValue
            self.webstat = webstat_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'webstat_protected':
            if child_.firstChild:
                sval_ = child_.firstChild.nodeValue
                if sval_ in ('true', '1'):
                    ival_ = 1
                elif sval_ in ('false', '0'):
                    ival_ = 0
                else:
                    raise ValueError('requires boolean -- %s' % child_.toxml())
                self.webstat_protected = ival_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'errdocs':
            errdocs_ = ''
            for text__content_ in child_.childNodes:
                errdocs_ += text__content_.nodeValue
            self.errdocs = errdocs_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'at_domains':
            at_domains_ = ''
            for text__content_ in child_.childNodes:
                at_domains_ += text__content_.nodeValue
            self.at_domains = at_domains_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'php_safe_mode':
            php_safe_mode_ = ''
            for text__content_ in child_.childNodes:
                php_safe_mode_ += text__content_.nodeValue
            self.php_safe_mode = php_safe_mode_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'sb_publishing':
            sb_publishing_ = ''
            for text__content_ in child_.childNodes:
                sb_publishing_ += text__content_.nodeValue
            self.sb_publishing = sb_publishing_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'iis-app-pool':
            iis_app_pool_ = ''
            for text__content_ in child_.childNodes:
                iis_app_pool_ += text__content_.nodeValue
            self.iis_app_pool = iis_app_pool_
# end class domainPhHostingGet


class domainFFHostingBase:
    subclass = None
    def __init__(self, dest_url=''):
        self.dest_url = dest_url
    def factory(*args_, **kwargs_):
        if domainFFHostingBase.subclass:
            return domainFFHostingBase.subclass(*args_, **kwargs_)
        else:
            return domainFFHostingBase(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getDest_url(self): return self.dest_url
    def setDest_url(self, value): self.dest_url = value
    def export(self, outfile, level, name_='domainFFHostingBase'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainFFHostingBase'):
        pass
    def exportChildren(self, outfile, level, name_='domainFFHostingBase'):
        showIndent(outfile, level)
        outfile.write('<dest_url>%s</dest_url>\n' % quote_xml(self.getDest_url()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dest_url':
            dest_url_ = ''
            for text__content_ in child_.childNodes:
                dest_url_ += text__content_.nodeValue
            self.dest_url = dest_url_
# end class domainFFHostingBase


class domainSFHostingBase:
    subclass = None
    def __init__(self, dest_url=''):
        self.dest_url = dest_url
    def factory(*args_, **kwargs_):
        if domainSFHostingBase.subclass:
            return domainSFHostingBase.subclass(*args_, **kwargs_)
        else:
            return domainSFHostingBase(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getDest_url(self): return self.dest_url
    def setDest_url(self, value): self.dest_url = value
    def export(self, outfile, level, name_='domainSFHostingBase'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainSFHostingBase'):
        pass
    def exportChildren(self, outfile, level, name_='domainSFHostingBase'):
        showIndent(outfile, level)
        outfile.write('<dest_url>%s</dest_url>\n' % quote_xml(self.getDest_url()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dest_url':
            dest_url_ = ''
            for text__content_ in child_.childNodes:
                dest_url_ += text__content_.nodeValue
            self.dest_url = dest_url_
# end class domainSFHostingBase


class domainBTPhHosting:
    subclass = None
    def __init__(self, ftp_login='', ftp_password='', fp_admin_login=None, fp_admin_password=None, shell=None):
        self.ftp_login = ftp_login
        self.ftp_password = ftp_password
        self.fp_admin_login = fp_admin_login
        self.fp_admin_password = fp_admin_password
        self.shell = shell
    def factory(*args_, **kwargs_):
        if domainBTPhHosting.subclass:
            return domainBTPhHosting.subclass(*args_, **kwargs_)
        else:
            return domainBTPhHosting(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getFtp_login(self): return self.ftp_login
    def setFtp_login(self, value): self.ftp_login = value
    def getFtp_password(self): return self.ftp_password
    def setFtp_password(self, value): self.ftp_password = value
    def getFp_admin_login(self): return self.fp_admin_login
    def setFp_admin_login(self, value): self.fp_admin_login = value
    def getFp_admin_password(self): return self.fp_admin_password
    def setFp_admin_password(self, value): self.fp_admin_password = value
    def getShell(self): return self.shell
    def setShell(self, value): self.shell = value
    def export(self, outfile, level, name_='domainBTPhHosting'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainBTPhHosting'):
        pass
    def exportChildren(self, outfile, level, name_='domainBTPhHosting'):
        showIndent(outfile, level)
        outfile.write('<ftp_login>%s</ftp_login>\n' % quote_xml(self.getFtp_login()))
        showIndent(outfile, level)
        outfile.write('<ftp_password>%s</ftp_password>\n' % quote_xml(self.getFtp_password()))
        if self.fp_admin_login is not None:
            showIndent(outfile, level)
            outfile.write('<fp_admin_login>%s</fp_admin_login>\n' % quote_xml(self.getFp_admin_login()))
        if self.fp_admin_password is not None:
            showIndent(outfile, level)
            outfile.write('<fp_admin_password>%s</fp_admin_password>\n' % quote_xml(self.getFp_admin_password()))
        if self.shell is not None:
            showIndent(outfile, level)
            outfile.write('<shell>%s</shell>\n' % quote_xml(self.getShell()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ftp_login':
            ftp_login_ = ''
            for text__content_ in child_.childNodes:
                ftp_login_ += text__content_.nodeValue
            self.ftp_login = ftp_login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ftp_password':
            ftp_password_ = ''
            for text__content_ in child_.childNodes:
                ftp_password_ += text__content_.nodeValue
            self.ftp_password = ftp_password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp_admin_login':
            fp_admin_login_ = ''
            for text__content_ in child_.childNodes:
                fp_admin_login_ += text__content_.nodeValue
            self.fp_admin_login = fp_admin_login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp_admin_password':
            fp_admin_password_ = ''
            for text__content_ in child_.childNodes:
                fp_admin_password_ += text__content_.nodeValue
            self.fp_admin_password = fp_admin_password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'shell':
            shell_ = ''
            for text__content_ in child_.childNodes:
                shell_ += text__content_.nodeValue
            self.shell = shell_
# end class domainBTPhHosting


class domainBTHostingOp:
    subclass = None
    def __init__(self, vrt_hst=None, std_fwd=None, frm_fwd=None):
        self.vrt_hst = vrt_hst
        self.std_fwd = std_fwd
        self.frm_fwd = frm_fwd
    def factory(*args_, **kwargs_):
        if domainBTHostingOp.subclass:
            return domainBTHostingOp.subclass(*args_, **kwargs_)
        else:
            return domainBTHostingOp(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getVrt_hst(self): return self.vrt_hst
    def setVrt_hst(self, value): self.vrt_hst = value
    def getStd_fwd(self): return self.std_fwd
    def setStd_fwd(self, value): self.std_fwd = value
    def getFrm_fwd(self): return self.frm_fwd
    def setFrm_fwd(self, value): self.frm_fwd = value
    def export(self, outfile, level, name_='domainBTHostingOp'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainBTHostingOp'):
        pass
    def exportChildren(self, outfile, level, name_='domainBTHostingOp'):
        if self.vrt_hst is not None:
            self.vrt_hst.export(outfile, level)
        if self.std_fwd is not None:
            self.std_fwd.export(outfile, level)
        if self.frm_fwd is not None:
            self.frm_fwd.export(outfile, level)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'vrt_hst':
            obj_ = vrt_hst.factory()
            obj_.build(child_)
            self.setVrt_hst(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'std_fwd':
            obj_ = std_fwd.factory()
            obj_.build(child_)
            self.setStd_fwd(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'frm_fwd':
            obj_ = frm_fwd.factory()
            obj_.build(child_)
            self.setFrm_fwd(obj_)
# end class domainBTHostingOp


class domainHostingAgentGet:
    subclass = None
    def __init__(self, vrt_hst=None, std_fwd=None, frm_fwd=None, none=None):
        self.vrt_hst = vrt_hst
        self.std_fwd = std_fwd
        self.frm_fwd = frm_fwd
        self.none = none
    def factory(*args_, **kwargs_):
        if domainHostingAgentGet.subclass:
            return domainHostingAgentGet.subclass(*args_, **kwargs_)
        else:
            return domainHostingAgentGet(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getVrt_hst(self): return self.vrt_hst
    def setVrt_hst(self, value): self.vrt_hst = value
    def getStd_fwd(self): return self.std_fwd
    def setStd_fwd(self, value): self.std_fwd = value
    def getFrm_fwd(self): return self.frm_fwd
    def setFrm_fwd(self, value): self.frm_fwd = value
    def getNone(self): return self.none
    def setNone(self, value): self.none = value
    def export(self, outfile, level, name_='domainHostingAgentGet'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainHostingAgentGet'):
        pass
    def exportChildren(self, outfile, level, name_='domainHostingAgentGet'):
        if self.vrt_hst is not None:
            self.vrt_hst.export(outfile, level)
        if self.std_fwd is not None:
            self.std_fwd.export(outfile, level)
        if self.frm_fwd is not None:
            self.frm_fwd.export(outfile, level)
        if self.none is not None:
            showIndent(outfile, level)
            outfile.write('<none>%s</none>\n' % quote_xml(self.getNone()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'vrt_hst':
            obj_ = vrt_hst.factory()
            obj_.build(child_)
            self.setVrt_hst(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'std_fwd':
            obj_ = std_fwd.factory()
            obj_.build(child_)
            self.setStd_fwd(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'frm_fwd':
            obj_ = frm_fwd.factory()
            obj_.build(child_)
            self.setFrm_fwd(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'none':
            none_ = ''
            for text__content_ in child_.childNodes:
                none_ += text__content_.nodeValue
            self.none = none_
# end class domainHostingAgentGet


class domainHostingAgentSet:
    subclass = None
    def __init__(self, vrt_hst=None, std_fwd=None, frm_fwd=None, none=None):
        self.vrt_hst = vrt_hst
        self.std_fwd = std_fwd
        self.frm_fwd = frm_fwd
        self.none = none
    def factory(*args_, **kwargs_):
        if domainHostingAgentSet.subclass:
            return domainHostingAgentSet.subclass(*args_, **kwargs_)
        else:
            return domainHostingAgentSet(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getVrt_hst(self): return self.vrt_hst
    def setVrt_hst(self, value): self.vrt_hst = value
    def getStd_fwd(self): return self.std_fwd
    def setStd_fwd(self, value): self.std_fwd = value
    def getFrm_fwd(self): return self.frm_fwd
    def setFrm_fwd(self, value): self.frm_fwd = value
    def getNone(self): return self.none
    def setNone(self, value): self.none = value
    def export(self, outfile, level, name_='domainHostingAgentSet'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainHostingAgentSet'):
        pass
    def exportChildren(self, outfile, level, name_='domainHostingAgentSet'):
        if self.vrt_hst is not None:
            self.vrt_hst.export(outfile, level)
        if self.std_fwd is not None:
            self.std_fwd.export(outfile, level)
        if self.frm_fwd is not None:
            self.frm_fwd.export(outfile, level)
        if self.none is not None:
            showIndent(outfile, level)
            outfile.write('<none>%s</none>\n' % quote_xml(self.getNone()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'vrt_hst':
            obj_ = vrt_hst.factory()
            obj_.build(child_)
            self.setVrt_hst(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'std_fwd':
            obj_ = std_fwd.factory()
            obj_.build(child_)
            self.setStd_fwd(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'frm_fwd':
            obj_ = frm_fwd.factory()
            obj_.build(child_)
            self.setFrm_fwd(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'none':
            none_ = ''
            for text__content_ in child_.childNodes:
                none_ += text__content_.nodeValue
            self.none = none_
# end class domainHostingAgentSet


class domainHostingOpSet:
    subclass = None
    def __init__(self, vrt_hst=None, std_fwd=None, frm_fwd=None, none=None):
        self.vrt_hst = vrt_hst
        self.std_fwd = std_fwd
        self.frm_fwd = frm_fwd
        self.none = none
    def factory(*args_, **kwargs_):
        if domainHostingOpSet.subclass:
            return domainHostingOpSet.subclass(*args_, **kwargs_)
        else:
            return domainHostingOpSet(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getVrt_hst(self): return self.vrt_hst
    def setVrt_hst(self, value): self.vrt_hst = value
    def getStd_fwd(self): return self.std_fwd
    def setStd_fwd(self, value): self.std_fwd = value
    def getFrm_fwd(self): return self.frm_fwd
    def setFrm_fwd(self, value): self.frm_fwd = value
    def getNone(self): return self.none
    def setNone(self, value): self.none = value
    def export(self, outfile, level, name_='domainHostingOpSet'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainHostingOpSet'):
        pass
    def exportChildren(self, outfile, level, name_='domainHostingOpSet'):
        if self.vrt_hst is not None:
            self.vrt_hst.export(outfile, level)
        if self.std_fwd is not None:
            self.std_fwd.export(outfile, level)
        if self.frm_fwd is not None:
            self.frm_fwd.export(outfile, level)
        if self.none is not None:
            showIndent(outfile, level)
            outfile.write('<none>%s</none>\n' % quote_xml(self.getNone()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'vrt_hst':
            obj_ = vrt_hst.factory()
            obj_.build(child_)
            self.setVrt_hst(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'std_fwd':
            obj_ = std_fwd.factory()
            obj_.build(child_)
            self.setStd_fwd(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'frm_fwd':
            obj_ = frm_fwd.factory()
            obj_.build(child_)
            self.setFrm_fwd(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'none':
            none_ = ''
            for text__content_ in child_.childNodes:
                none_ += text__content_.nodeValue
            self.none = none_
# end class domainHostingOpSet


class domainHostingOpGet:
    subclass = None
    def __init__(self, vrt_hst=None, std_fwd=None, frm_fwd=None, none=None):
        self.vrt_hst = vrt_hst
        self.std_fwd = std_fwd
        self.frm_fwd = frm_fwd
        self.none = none
    def factory(*args_, **kwargs_):
        if domainHostingOpGet.subclass:
            return domainHostingOpGet.subclass(*args_, **kwargs_)
        else:
            return domainHostingOpGet(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getVrt_hst(self): return self.vrt_hst
    def setVrt_hst(self, value): self.vrt_hst = value
    def getStd_fwd(self): return self.std_fwd
    def setStd_fwd(self, value): self.std_fwd = value
    def getFrm_fwd(self): return self.frm_fwd
    def setFrm_fwd(self, value): self.frm_fwd = value
    def getNone(self): return self.none
    def setNone(self, value): self.none = value
    def export(self, outfile, level, name_='domainHostingOpGet'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainHostingOpGet'):
        pass
    def exportChildren(self, outfile, level, name_='domainHostingOpGet'):
        if self.vrt_hst is not None:
            self.vrt_hst.export(outfile, level, name_='vrt_hst')
        if self.std_fwd is not None:
            self.std_fwd.export(outfile, level)
        if self.frm_fwd is not None:
            self.frm_fwd.export(outfile, level)
        if self.none is not None:
            showIndent(outfile, level)
            outfile.write('<none>%s</none>\n' % quote_xml(self.getNone()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'vrt_hst':
            obj_ = domainPhHostingGet.factory()
            obj_.build(child_)
            self.setVrt_hst(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'std_fwd':
            obj_ = std_fwd.factory()
            obj_.build(child_)
            self.setStd_fwd(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'frm_fwd':
            obj_ = frm_fwd.factory()
            obj_.build(child_)
            self.setFrm_fwd(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'none':
            none_ = ''
            for text__content_ in child_.childNodes:
                none_ += text__content_.nodeValue
            self.none = none_
# end class domainHostingOpGet


class domainStat:
    subclass = None
    def __init__(self, traffic='', subdom='', wu='', box='', redir='', mg='', resp='', maillists='', db='', webapps='', traffic_prevday=''):
        self.traffic = traffic
        self.subdom = subdom
        self.wu = wu
        self.box = box
        self.redir = redir
        self.mg = mg
        self.resp = resp
        self.maillists = maillists
        self.db = db
        self.webapps = webapps
        self.traffic_prevday = traffic_prevday
    def factory(*args_, **kwargs_):
        if domainStat.subclass:
            return domainStat.subclass(*args_, **kwargs_)
        else:
            return domainStat(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getTraffic(self): return self.traffic
    def setTraffic(self, value): self.traffic = value
    def getSubdom(self): return self.subdom
    def setSubdom(self, value): self.subdom = value
    def getWu(self): return self.wu
    def setWu(self, value): self.wu = value
    def getBox(self): return self.box
    def setBox(self, value): self.box = value
    def getRedir(self): return self.redir
    def setRedir(self, value): self.redir = value
    def getMg(self): return self.mg
    def setMg(self, value): self.mg = value
    def getResp(self): return self.resp
    def setResp(self, value): self.resp = value
    def getMaillists(self): return self.maillists
    def setMaillists(self, value): self.maillists = value
    def getDb(self): return self.db
    def setDb(self, value): self.db = value
    def getWebapps(self): return self.webapps
    def setWebapps(self, value): self.webapps = value
    def getTraffic_prevday(self): return self.traffic_prevday
    def setTraffic_prevday(self, value): self.traffic_prevday = value
    def export(self, outfile, level, name_='domainStat'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainStat'):
        pass
    def exportChildren(self, outfile, level, name_='domainStat'):
        showIndent(outfile, level)
        outfile.write('<traffic>%s</traffic>\n' % quote_xml(self.getTraffic()))
        showIndent(outfile, level)
        outfile.write('<subdom>%s</subdom>\n' % quote_xml(self.getSubdom()))
        showIndent(outfile, level)
        outfile.write('<wu>%s</wu>\n' % quote_xml(self.getWu()))
        showIndent(outfile, level)
        outfile.write('<box>%s</box>\n' % quote_xml(self.getBox()))
        showIndent(outfile, level)
        outfile.write('<redir>%s</redir>\n' % quote_xml(self.getRedir()))
        showIndent(outfile, level)
        outfile.write('<mg>%s</mg>\n' % quote_xml(self.getMg()))
        showIndent(outfile, level)
        outfile.write('<resp>%s</resp>\n' % quote_xml(self.getResp()))
        showIndent(outfile, level)
        outfile.write('<maillists>%s</maillists>\n' % quote_xml(self.getMaillists()))
        showIndent(outfile, level)
        outfile.write('<db>%s</db>\n' % quote_xml(self.getDb()))
        showIndent(outfile, level)
        outfile.write('<webapps>%s</webapps>\n' % quote_xml(self.getWebapps()))
        showIndent(outfile, level)
        outfile.write('<traffic_prevday>%s</traffic_prevday>\n' % quote_xml(self.getTraffic_prevday()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'traffic':
            traffic_ = ''
            for text__content_ in child_.childNodes:
                traffic_ += text__content_.nodeValue
            self.traffic = traffic_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'subdom':
            subdom_ = ''
            for text__content_ in child_.childNodes:
                subdom_ += text__content_.nodeValue
            self.subdom = subdom_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'wu':
            wu_ = ''
            for text__content_ in child_.childNodes:
                wu_ += text__content_.nodeValue
            self.wu = wu_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'box':
            box_ = ''
            for text__content_ in child_.childNodes:
                box_ += text__content_.nodeValue
            self.box = box_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'redir':
            redir_ = ''
            for text__content_ in child_.childNodes:
                redir_ += text__content_.nodeValue
            self.redir = redir_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mg':
            mg_ = ''
            for text__content_ in child_.childNodes:
                mg_ += text__content_.nodeValue
            self.mg = mg_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'resp':
            resp_ = ''
            for text__content_ in child_.childNodes:
                resp_ += text__content_.nodeValue
            self.resp = resp_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'maillists':
            maillists_ = ''
            for text__content_ in child_.childNodes:
                maillists_ += text__content_.nodeValue
            self.maillists = maillists_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'db':
            db_ = ''
            for text__content_ in child_.childNodes:
                db_ += text__content_.nodeValue
            self.db = db_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'webapps':
            webapps_ = ''
            for text__content_ in child_.childNodes:
                webapps_ += text__content_.nodeValue
            self.webapps = webapps_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'traffic_prevday':
            traffic_prevday_ = ''
            for text__content_ in child_.childNodes:
                traffic_prevday_ += text__content_.nodeValue
            self.traffic_prevday = traffic_prevday_
# end class domainStat


class domainPerms:
    subclass = None
    def __init__(self, manage_phosting=None, manage_not_chroot_shell=None, manage_quota=None, manage_subdomains=None, manage_dns=None, manage_log=None, manage_crontab=None, manage_anonftp=None, manage_webapps=None, manage_sh_access=None, manage_maillists=None, manage_drweb=None, make_dumps=None, site_builder=None, manage_ftp_password=None, manage_performance=None, manage_domain_aliases=None, manage_iis_app_pool=None, dashboard=None, stdgui=None, manage_dashboard=None, manage_subftp=None):
        self.manage_phosting = manage_phosting
        self.manage_not_chroot_shell = manage_not_chroot_shell
        self.manage_quota = manage_quota
        self.manage_subdomains = manage_subdomains
        self.manage_dns = manage_dns
        self.manage_log = manage_log
        self.manage_crontab = manage_crontab
        self.manage_anonftp = manage_anonftp
        self.manage_webapps = manage_webapps
        self.manage_sh_access = manage_sh_access
        self.manage_maillists = manage_maillists
        self.manage_drweb = manage_drweb
        self.make_dumps = make_dumps
        self.site_builder = site_builder
        self.manage_ftp_password = manage_ftp_password
        self.manage_performance = manage_performance
        self.manage_domain_aliases = manage_domain_aliases
        self.manage_iis_app_pool = manage_iis_app_pool
        self.dashboard = dashboard
        self.stdgui = stdgui
        self.manage_dashboard = manage_dashboard
        self.manage_subftp = manage_subftp
    def factory(*args_, **kwargs_):
        if domainPerms.subclass:
            return domainPerms.subclass(*args_, **kwargs_)
        else:
            return domainPerms(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getManage_phosting(self): return self.manage_phosting
    def setManage_phosting(self, value): self.manage_phosting = value
    def getManage_not_chroot_shell(self): return self.manage_not_chroot_shell
    def setManage_not_chroot_shell(self, value): self.manage_not_chroot_shell = value
    def getManage_quota(self): return self.manage_quota
    def setManage_quota(self, value): self.manage_quota = value
    def getManage_subdomains(self): return self.manage_subdomains
    def setManage_subdomains(self, value): self.manage_subdomains = value
    def getManage_dns(self): return self.manage_dns
    def setManage_dns(self, value): self.manage_dns = value
    def getManage_log(self): return self.manage_log
    def setManage_log(self, value): self.manage_log = value
    def getManage_crontab(self): return self.manage_crontab
    def setManage_crontab(self, value): self.manage_crontab = value
    def getManage_anonftp(self): return self.manage_anonftp
    def setManage_anonftp(self, value): self.manage_anonftp = value
    def getManage_webapps(self): return self.manage_webapps
    def setManage_webapps(self, value): self.manage_webapps = value
    def getManage_sh_access(self): return self.manage_sh_access
    def setManage_sh_access(self, value): self.manage_sh_access = value
    def getManage_maillists(self): return self.manage_maillists
    def setManage_maillists(self, value): self.manage_maillists = value
    def getManage_drweb(self): return self.manage_drweb
    def setManage_drweb(self, value): self.manage_drweb = value
    def getMake_dumps(self): return self.make_dumps
    def setMake_dumps(self, value): self.make_dumps = value
    def getSite_builder(self): return self.site_builder
    def setSite_builder(self, value): self.site_builder = value
    def getManage_ftp_password(self): return self.manage_ftp_password
    def setManage_ftp_password(self, value): self.manage_ftp_password = value
    def getManage_performance(self): return self.manage_performance
    def setManage_performance(self, value): self.manage_performance = value
    def getManage_domain_aliases(self): return self.manage_domain_aliases
    def setManage_domain_aliases(self, value): self.manage_domain_aliases = value
    def getManage_iis_app_pool(self): return self.manage_iis_app_pool
    def setManage_iis_app_pool(self, value): self.manage_iis_app_pool = value
    def getDashboard(self): return self.dashboard
    def setDashboard(self, value): self.dashboard = value
    def getStdgui(self): return self.stdgui
    def setStdgui(self, value): self.stdgui = value
    def getManage_dashboard(self): return self.manage_dashboard
    def setManage_dashboard(self, value): self.manage_dashboard = value
    def getManage_subftp(self): return self.manage_subftp
    def setManage_subftp(self, value): self.manage_subftp = value
    def export(self, outfile, level, name_='domainPerms'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainPerms'):
        pass
    def exportChildren(self, outfile, level, name_='domainPerms'):
        if self.manage_phosting is not None:
            showIndent(outfile, level)
            outfile.write('<manage_phosting>%s</manage_phosting>\n' % quote_xml(self.getManage_phosting()))
        if self.manage_not_chroot_shell is not None:
            showIndent(outfile, level)
            outfile.write('<manage_not_chroot_shell>%s</manage_not_chroot_shell>\n' % quote_xml(self.getManage_not_chroot_shell()))
        if self.manage_quota is not None:
            showIndent(outfile, level)
            outfile.write('<manage_quota>%s</manage_quota>\n' % quote_xml(self.getManage_quota()))
        if self.manage_subdomains is not None:
            showIndent(outfile, level)
            outfile.write('<manage_subdomains>%s</manage_subdomains>\n' % quote_xml(self.getManage_subdomains()))
        if self.manage_dns is not None:
            showIndent(outfile, level)
            outfile.write('<manage_dns>%s</manage_dns>\n' % quote_xml(self.getManage_dns()))
        if self.manage_log is not None:
            showIndent(outfile, level)
            outfile.write('<manage_log>%s</manage_log>\n' % quote_xml(self.getManage_log()))
        if self.manage_crontab is not None:
            showIndent(outfile, level)
            outfile.write('<manage_crontab>%s</manage_crontab>\n' % quote_xml(self.getManage_crontab()))
        if self.manage_anonftp is not None:
            showIndent(outfile, level)
            outfile.write('<manage_anonftp>%s</manage_anonftp>\n' % quote_xml(self.getManage_anonftp()))
        if self.manage_webapps is not None:
            showIndent(outfile, level)
            outfile.write('<manage_webapps>%s</manage_webapps>\n' % quote_xml(self.getManage_webapps()))
        if self.manage_sh_access is not None:
            showIndent(outfile, level)
            outfile.write('<manage_sh_access>%s</manage_sh_access>\n' % quote_xml(self.getManage_sh_access()))
        if self.manage_maillists is not None:
            showIndent(outfile, level)
            outfile.write('<manage_maillists>%s</manage_maillists>\n' % quote_xml(self.getManage_maillists()))
        if self.manage_drweb is not None:
            showIndent(outfile, level)
            outfile.write('<manage_drweb>%s</manage_drweb>\n' % quote_xml(self.getManage_drweb()))
        if self.make_dumps is not None:
            showIndent(outfile, level)
            outfile.write('<make_dumps>%s</make_dumps>\n' % quote_xml(self.getMake_dumps()))
        if self.site_builder is not None:
            showIndent(outfile, level)
            outfile.write('<site_builder>%s</site_builder>\n' % quote_xml(self.getSite_builder()))
        if self.manage_ftp_password is not None:
            showIndent(outfile, level)
            outfile.write('<manage_ftp_password>%s</manage_ftp_password>\n' % quote_xml(self.getManage_ftp_password()))
        if self.manage_performance is not None:
            showIndent(outfile, level)
            outfile.write('<manage_performance>%s</manage_performance>\n' % quote_xml(self.getManage_performance()))
        if self.manage_domain_aliases is not None:
            showIndent(outfile, level)
            outfile.write('<manage_domain_aliases>%s</manage_domain_aliases>\n' % quote_xml(self.getManage_domain_aliases()))
        if self.manage_iis_app_pool is not None:
            showIndent(outfile, level)
            outfile.write('<manage_iis_app_pool>%s</manage_iis_app_pool>\n' % quote_xml(self.getManage_iis_app_pool()))
        if self.dashboard is not None:
            showIndent(outfile, level)
            outfile.write('<dashboard>%s</dashboard>\n' % quote_xml(self.getDashboard()))
        if self.stdgui is not None:
            showIndent(outfile, level)
            outfile.write('<stdgui>%s</stdgui>\n' % quote_xml(self.getStdgui()))
        if self.manage_dashboard is not None:
            showIndent(outfile, level)
            outfile.write('<manage_dashboard>%s</manage_dashboard>\n' % quote_xml(self.getManage_dashboard()))
        if self.manage_subftp is not None:
            showIndent(outfile, level)
            outfile.write('<manage_subftp>%s</manage_subftp>\n' % quote_xml(self.getManage_subftp()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_phosting':
            manage_phosting_ = ''
            for text__content_ in child_.childNodes:
                manage_phosting_ += text__content_.nodeValue
            self.manage_phosting = manage_phosting_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_not_chroot_shell':
            manage_not_chroot_shell_ = ''
            for text__content_ in child_.childNodes:
                manage_not_chroot_shell_ += text__content_.nodeValue
            self.manage_not_chroot_shell = manage_not_chroot_shell_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_quota':
            manage_quota_ = ''
            for text__content_ in child_.childNodes:
                manage_quota_ += text__content_.nodeValue
            self.manage_quota = manage_quota_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_subdomains':
            manage_subdomains_ = ''
            for text__content_ in child_.childNodes:
                manage_subdomains_ += text__content_.nodeValue
            self.manage_subdomains = manage_subdomains_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_dns':
            manage_dns_ = ''
            for text__content_ in child_.childNodes:
                manage_dns_ += text__content_.nodeValue
            self.manage_dns = manage_dns_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_log':
            manage_log_ = ''
            for text__content_ in child_.childNodes:
                manage_log_ += text__content_.nodeValue
            self.manage_log = manage_log_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_crontab':
            manage_crontab_ = ''
            for text__content_ in child_.childNodes:
                manage_crontab_ += text__content_.nodeValue
            self.manage_crontab = manage_crontab_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_anonftp':
            manage_anonftp_ = ''
            for text__content_ in child_.childNodes:
                manage_anonftp_ += text__content_.nodeValue
            self.manage_anonftp = manage_anonftp_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_webapps':
            manage_webapps_ = ''
            for text__content_ in child_.childNodes:
                manage_webapps_ += text__content_.nodeValue
            self.manage_webapps = manage_webapps_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_sh_access':
            manage_sh_access_ = ''
            for text__content_ in child_.childNodes:
                manage_sh_access_ += text__content_.nodeValue
            self.manage_sh_access = manage_sh_access_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_maillists':
            manage_maillists_ = ''
            for text__content_ in child_.childNodes:
                manage_maillists_ += text__content_.nodeValue
            self.manage_maillists = manage_maillists_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_drweb':
            manage_drweb_ = ''
            for text__content_ in child_.childNodes:
                manage_drweb_ += text__content_.nodeValue
            self.manage_drweb = manage_drweb_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'make_dumps':
            make_dumps_ = ''
            for text__content_ in child_.childNodes:
                make_dumps_ += text__content_.nodeValue
            self.make_dumps = make_dumps_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'site_builder':
            site_builder_ = ''
            for text__content_ in child_.childNodes:
                site_builder_ += text__content_.nodeValue
            self.site_builder = site_builder_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_ftp_password':
            manage_ftp_password_ = ''
            for text__content_ in child_.childNodes:
                manage_ftp_password_ += text__content_.nodeValue
            self.manage_ftp_password = manage_ftp_password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_performance':
            manage_performance_ = ''
            for text__content_ in child_.childNodes:
                manage_performance_ += text__content_.nodeValue
            self.manage_performance = manage_performance_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_domain_aliases':
            manage_domain_aliases_ = ''
            for text__content_ in child_.childNodes:
                manage_domain_aliases_ += text__content_.nodeValue
            self.manage_domain_aliases = manage_domain_aliases_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_iis_app_pool':
            manage_iis_app_pool_ = ''
            for text__content_ in child_.childNodes:
                manage_iis_app_pool_ += text__content_.nodeValue
            self.manage_iis_app_pool = manage_iis_app_pool_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dashboard':
            dashboard_ = ''
            for text__content_ in child_.childNodes:
                dashboard_ += text__content_.nodeValue
            self.dashboard = dashboard_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'stdgui':
            stdgui_ = ''
            for text__content_ in child_.childNodes:
                stdgui_ += text__content_.nodeValue
            self.stdgui = stdgui_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_dashboard':
            manage_dashboard_ = ''
            for text__content_ in child_.childNodes:
                manage_dashboard_ += text__content_.nodeValue
            self.manage_dashboard = manage_dashboard_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_subftp':
            manage_subftp_ = ''
            for text__content_ in child_.childNodes:
                manage_subftp_ += text__content_.nodeValue
            self.manage_subftp = manage_subftp_
# end class domainPerms


class trafficType:
    subclass = None
    def __init__(self, date='', http_in='', http_out='', ftp_in='', ftp_out='', smtp_in='', smtp_out='', pop3_imap_in='', pop3_imap_out=''):
        self.date = date
        self.http_in = http_in
        self.http_out = http_out
        self.ftp_in = ftp_in
        self.ftp_out = ftp_out
        self.smtp_in = smtp_in
        self.smtp_out = smtp_out
        self.pop3_imap_in = pop3_imap_in
        self.pop3_imap_out = pop3_imap_out
    def factory(*args_, **kwargs_):
        if trafficType.subclass:
            return trafficType.subclass(*args_, **kwargs_)
        else:
            return trafficType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getDate(self): return self.date
    def setDate(self, value): self.date = value
    def getHttp_in(self): return self.http_in
    def setHttp_in(self, value): self.http_in = value
    def getHttp_out(self): return self.http_out
    def setHttp_out(self, value): self.http_out = value
    def getFtp_in(self): return self.ftp_in
    def setFtp_in(self, value): self.ftp_in = value
    def getFtp_out(self): return self.ftp_out
    def setFtp_out(self, value): self.ftp_out = value
    def getSmtp_in(self): return self.smtp_in
    def setSmtp_in(self, value): self.smtp_in = value
    def getSmtp_out(self): return self.smtp_out
    def setSmtp_out(self, value): self.smtp_out = value
    def getPop3_imap_in(self): return self.pop3_imap_in
    def setPop3_imap_in(self, value): self.pop3_imap_in = value
    def getPop3_imap_out(self): return self.pop3_imap_out
    def setPop3_imap_out(self, value): self.pop3_imap_out = value
    def export(self, outfile, level, name_='trafficType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='trafficType'):
        pass
    def exportChildren(self, outfile, level, name_='trafficType'):
        showIndent(outfile, level)
        outfile.write('<date>%s</date>\n' % quote_xml(self.getDate()))
        showIndent(outfile, level)
        outfile.write('<http_in>%s</http_in>\n' % quote_xml(self.getHttp_in()))
        showIndent(outfile, level)
        outfile.write('<http_out>%s</http_out>\n' % quote_xml(self.getHttp_out()))
        showIndent(outfile, level)
        outfile.write('<ftp_in>%s</ftp_in>\n' % quote_xml(self.getFtp_in()))
        showIndent(outfile, level)
        outfile.write('<ftp_out>%s</ftp_out>\n' % quote_xml(self.getFtp_out()))
        showIndent(outfile, level)
        outfile.write('<smtp_in>%s</smtp_in>\n' % quote_xml(self.getSmtp_in()))
        showIndent(outfile, level)
        outfile.write('<smtp_out>%s</smtp_out>\n' % quote_xml(self.getSmtp_out()))
        showIndent(outfile, level)
        outfile.write('<pop3_imap_in>%s</pop3_imap_in>\n' % quote_xml(self.getPop3_imap_in()))
        showIndent(outfile, level)
        outfile.write('<pop3_imap_out>%s</pop3_imap_out>\n' % quote_xml(self.getPop3_imap_out()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'date':
            date_ = ''
            for text__content_ in child_.childNodes:
                date_ += text__content_.nodeValue
            self.date = date_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'http_in':
            http_in_ = ''
            for text__content_ in child_.childNodes:
                http_in_ += text__content_.nodeValue
            self.http_in = http_in_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'http_out':
            http_out_ = ''
            for text__content_ in child_.childNodes:
                http_out_ += text__content_.nodeValue
            self.http_out = http_out_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ftp_in':
            ftp_in_ = ''
            for text__content_ in child_.childNodes:
                ftp_in_ += text__content_.nodeValue
            self.ftp_in = ftp_in_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ftp_out':
            ftp_out_ = ''
            for text__content_ in child_.childNodes:
                ftp_out_ += text__content_.nodeValue
            self.ftp_out = ftp_out_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'smtp_in':
            smtp_in_ = ''
            for text__content_ in child_.childNodes:
                smtp_in_ += text__content_.nodeValue
            self.smtp_in = smtp_in_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'smtp_out':
            smtp_out_ = ''
            for text__content_ in child_.childNodes:
                smtp_out_ += text__content_.nodeValue
            self.smtp_out = smtp_out_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'pop3_imap_in':
            pop3_imap_in_ = ''
            for text__content_ in child_.childNodes:
                pop3_imap_in_ += text__content_.nodeValue
            self.pop3_imap_in = pop3_imap_in_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'pop3_imap_out':
            pop3_imap_out_ = ''
            for text__content_ in child_.childNodes:
                pop3_imap_out_ += text__content_.nodeValue
            self.pop3_imap_out = pop3_imap_out_
# end class trafficType


class webStat2:
    subclass = None
    def __init__(self, awstats=None, webalizer=None, protected=None, none=None):
        self.awstats = awstats
        self.webalizer = webalizer
        self.protected = protected
        self.none = none
    def factory(*args_, **kwargs_):
        if webStat2.subclass:
            return webStat2.subclass(*args_, **kwargs_)
        else:
            return webStat2(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getAwstats(self): return self.awstats
    def setAwstats(self, value): self.awstats = value
    def getWebalizer(self): return self.webalizer
    def setWebalizer(self, value): self.webalizer = value
    def getProtected(self): return self.protected
    def setProtected(self, value): self.protected = value
    def getNone(self): return self.none
    def setNone(self, value): self.none = value
    def export(self, outfile, level, name_='webStat2'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='webStat2'):
        pass
    def exportChildren(self, outfile, level, name_='webStat2'):
        if self.awstats is not None:
            showIndent(outfile, level)
            outfile.write('<awstats>%s</awstats>\n' % quote_xml(self.getAwstats()))
        if self.webalizer is not None:
            showIndent(outfile, level)
            outfile.write('<webalizer>%s</webalizer>\n' % quote_xml(self.getWebalizer()))
        if self.protected is not None:
            showIndent(outfile, level)
            outfile.write('<protected>%d</protected>\n' % self.getProtected())
        if self.none is not None:
            showIndent(outfile, level)
            outfile.write('<none>%s</none>\n' % quote_xml(self.getNone()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'awstats':
            awstats_ = ''
            for text__content_ in child_.childNodes:
                awstats_ += text__content_.nodeValue
            self.awstats = awstats_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'webalizer':
            webalizer_ = ''
            for text__content_ in child_.childNodes:
                webalizer_ += text__content_.nodeValue
            self.webalizer = webalizer_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'protected':
            if child_.firstChild:
                sval_ = child_.firstChild.nodeValue
                if sval_ in ('true', '1'):
                    ival_ = 1
                elif sval_ in ('false', '0'):
                    ival_ = 0
                else:
                    raise ValueError('requires boolean -- %s' % child_.toxml())
                self.protected = ival_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'none':
            none_ = ''
            for text__content_ in child_.childNodes:
                none_ += text__content_.nodeValue
            self.none = none_
# end class webStat2


class MigrationAruments:
    subclass = None
    def __init__(self, host='', login='', password='', source_host_directory='', destination_host_directory='', selected_objects=None):
        self.host = host
        self.login = login
        self.password = password
        self.source_host_directory = source_host_directory
        self.destination_host_directory = destination_host_directory
        self.selected_objects = selected_objects
    def factory(*args_, **kwargs_):
        if MigrationAruments.subclass:
            return MigrationAruments.subclass(*args_, **kwargs_)
        else:
            return MigrationAruments(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getHost(self): return self.host
    def setHost(self, value): self.host = value
    def getLogin(self): return self.login
    def setLogin(self, value): self.login = value
    def getPassword(self): return self.password
    def setPassword(self, value): self.password = value
    def getSource_host_directory(self): return self.source_host_directory
    def setSource_host_directory(self, value): self.source_host_directory = value
    def getDestination_host_directory(self): return self.destination_host_directory
    def setDestination_host_directory(self, value): self.destination_host_directory = value
    def getSelected_objects(self): return self.selected_objects
    def setSelected_objects(self, value): self.selected_objects = value
    def export(self, outfile, level, name_='MigrationAruments'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationAruments'):
        pass
    def exportChildren(self, outfile, level, name_='MigrationAruments'):
        showIndent(outfile, level)
        outfile.write('<host>%s</host>\n' % quote_xml(self.getHost()))
        showIndent(outfile, level)
        outfile.write('<login>%s</login>\n' % quote_xml(self.getLogin()))
        showIndent(outfile, level)
        outfile.write('<password>%s</password>\n' % quote_xml(self.getPassword()))
        showIndent(outfile, level)
        outfile.write('<source-host-directory>%s</source-host-directory>\n' % quote_xml(self.getSource_host_directory()))
        showIndent(outfile, level)
        outfile.write('<destination-host-directory>%s</destination-host-directory>\n' % quote_xml(self.getDestination_host_directory()))
        if self.selected_objects is not None:
            self.selected_objects.export(outfile, level, name_='selected-objects')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'host':
            host_ = ''
            for text__content_ in child_.childNodes:
                host_ += text__content_.nodeValue
            self.host = host_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'login':
            login_ = ''
            for text__content_ in child_.childNodes:
                login_ += text__content_.nodeValue
            self.login = login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'password':
            password_ = ''
            for text__content_ in child_.childNodes:
                password_ += text__content_.nodeValue
            self.password = password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'source-host-directory':
            source_host_directory_ = ''
            for text__content_ in child_.childNodes:
                source_host_directory_ += text__content_.nodeValue
            self.source_host_directory = source_host_directory_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'destination-host-directory':
            destination_host_directory_ = ''
            for text__content_ in child_.childNodes:
                destination_host_directory_ += text__content_.nodeValue
            self.destination_host_directory = destination_host_directory_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'selected-objects':
            obj_ = SelectedObjects.factory()
            obj_.build(child_)
            self.setSelected_objects(obj_)
# end class MigrationAruments


class ActionGetStatusResponse:
    subclass = None
    def __init__(self, working=None, finished=None):
        self.working = working
        self.finished = finished
    def factory(*args_, **kwargs_):
        if ActionGetStatusResponse.subclass:
            return ActionGetStatusResponse.subclass(*args_, **kwargs_)
        else:
            return ActionGetStatusResponse(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getWorking(self): return self.working
    def setWorking(self, value): self.working = value
    def getFinished(self): return self.finished
    def setFinished(self, value): self.finished = value
    def export(self, outfile, level, name_='ActionGetStatusResponse'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ActionGetStatusResponse'):
        pass
    def exportChildren(self, outfile, level, name_='ActionGetStatusResponse'):
        if self.working is not None:
            self.working.export(outfile, level, name_='working')
        if self.finished is not None:
            self.finished.export(outfile, level, name_='finished')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'working':
            obj_ = StatusWorking.factory()
            obj_.build(child_)
            self.setWorking(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'finished':
            obj_ = StatusFinished.factory()
            obj_.build(child_)
            self.setFinished(obj_)
# end class ActionGetStatusResponse


class SelectedObjects:
    subclass = None
    def __init__(self, migrate_clients=None, migrate_domains=None, migrate_server=None):
        self.migrate_clients = migrate_clients
        if migrate_domains is None:
            self.migrate_domains = []
        else:
            self.migrate_domains = migrate_domains
        self.migrate_server = migrate_server
    def factory(*args_, **kwargs_):
        if SelectedObjects.subclass:
            return SelectedObjects.subclass(*args_, **kwargs_)
        else:
            return SelectedObjects(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getMigrate_clients(self): return self.migrate_clients
    def setMigrate_clients(self, value): self.migrate_clients = value
    def getMigrate_domains(self): return self.migrate_domains
    def setMigrate_domains(self, value): self.migrate_domains = value
    def addMigrate_domains(self, value): self.migrate_domains.append(value)
    def insertMigrate_domains(self, index, value): self.migrate_domains[index] = value
    def getMigrate_server(self): return self.migrate_server
    def setMigrate_server(self, value): self.migrate_server = value
    def export(self, outfile, level, name_='SelectedObjects'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='SelectedObjects'):
        pass
    def exportChildren(self, outfile, level, name_='SelectedObjects'):
        if self.migrate_clients is not None:
            self.migrate_clients.export(outfile, level, name_='migrate-clients')
        for migrate_domains_ in self.getMigrate_domains():
            migrate_domains_.export(outfile, level, name_='migrate-domains')
        if self.migrate_server is not None:
            self.migrate_server.export(outfile, level, name_='migrate-server')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'migrate-clients':
            obj_ = SelectedClients.factory()
            obj_.build(child_)
            self.setMigrate_clients(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'migrate-domains':
            obj_ = SelectedDomains.factory()
            obj_.build(child_)
            self.migrate_domains.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'migrate-server':
            obj_ = SelectedServer.factory()
            obj_.build(child_)
            self.setMigrate_server(obj_)
# end class SelectedObjects


class SelectedDomains:
    subclass = None
    def __init__(self, target_client='', domain=None, mail_only=None, no_account=None, no_limits=None, no_permissions=None, no_status=None):
        self.target_client = target_client
        if domain is None:
            self.domain = []
        else:
            self.domain = domain
        self.mail_only = mail_only
        self.no_account = no_account
        self.no_limits = no_limits
        self.no_permissions = no_permissions
        self.no_status = no_status
    def factory(*args_, **kwargs_):
        if SelectedDomains.subclass:
            return SelectedDomains.subclass(*args_, **kwargs_)
        else:
            return SelectedDomains(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getTarget_client(self): return self.target_client
    def setTarget_client(self, value): self.target_client = value
    def getDomain(self): return self.domain
    def setDomain(self, value): self.domain = value
    def addDomain(self, value): self.domain.append(value)
    def insertDomain(self, index, value): self.domain[index] = value
    def getMail_only(self): return self.mail_only
    def setMail_only(self, value): self.mail_only = value
    def getNo_account(self): return self.no_account
    def setNo_account(self, value): self.no_account = value
    def getNo_limits(self): return self.no_limits
    def setNo_limits(self, value): self.no_limits = value
    def getNo_permissions(self): return self.no_permissions
    def setNo_permissions(self, value): self.no_permissions = value
    def getNo_status(self): return self.no_status
    def setNo_status(self, value): self.no_status = value
    def export(self, outfile, level, name_='SelectedDomains'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='SelectedDomains'):
        pass
    def exportChildren(self, outfile, level, name_='SelectedDomains'):
        showIndent(outfile, level)
        outfile.write('<target-client>%s</target-client>\n' % quote_xml(self.getTarget_client()))
        for domain_ in self.getDomain():
            domain_.export(outfile, level, name_='domain')
        if self.mail_only is not None:
            self.mail_only.export(outfile, level, name_='mail-only')
        if self.no_account is not None:
            self.no_account.export(outfile, level, name_='no-account')
        if self.no_limits is not None:
            self.no_limits.export(outfile, level, name_='no-limits')
        if self.no_permissions is not None:
            self.no_permissions.export(outfile, level, name_='no-permissions')
        if self.no_status is not None:
            self.no_status.export(outfile, level, name_='no-status')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'target-client':
            target_client_ = ''
            for text__content_ in child_.childNodes:
                target_client_ += text__content_.nodeValue
            self.target_client = target_client_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'domain':
            obj_ = MappedDomain.factory()
            obj_.build(child_)
            self.domain.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mail-only':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setMail_only(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'no-account':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setNo_account(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'no-limits':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setNo_limits(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'no-permissions':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setNo_permissions(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'no-status':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setNo_status(obj_)
# end class SelectedDomains


class SelectedClients:
    subclass = None
    def __init__(self, client=None, no_account=None, no_limits=None, no_permissions=None, no_status=None, preserve_domains=None, mail_only=None):
        if client is None:
            self.client = []
        else:
            self.client = client
        self.no_account = no_account
        self.no_limits = no_limits
        self.no_permissions = no_permissions
        self.no_status = no_status
        self.preserve_domains = preserve_domains
        self.mail_only = mail_only
    def factory(*args_, **kwargs_):
        if SelectedClients.subclass:
            return SelectedClients.subclass(*args_, **kwargs_)
        else:
            return SelectedClients(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getClient(self): return self.client
    def setClient(self, value): self.client = value
    def addClient(self, value): self.client.append(value)
    def insertClient(self, index, value): self.client[index] = value
    def getNo_account(self): return self.no_account
    def setNo_account(self, value): self.no_account = value
    def getNo_limits(self): return self.no_limits
    def setNo_limits(self, value): self.no_limits = value
    def getNo_permissions(self): return self.no_permissions
    def setNo_permissions(self, value): self.no_permissions = value
    def getNo_status(self): return self.no_status
    def setNo_status(self, value): self.no_status = value
    def getPreserve_domains(self): return self.preserve_domains
    def setPreserve_domains(self, value): self.preserve_domains = value
    def getMail_only(self): return self.mail_only
    def setMail_only(self, value): self.mail_only = value
    def export(self, outfile, level, name_='SelectedClients'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='SelectedClients'):
        pass
    def exportChildren(self, outfile, level, name_='SelectedClients'):
        for client_ in self.getClient():
            client_.export(outfile, level, name_='client')
        if self.no_account is not None:
            self.no_account.export(outfile, level, name_='no-account')
        if self.no_limits is not None:
            self.no_limits.export(outfile, level, name_='no-limits')
        if self.no_permissions is not None:
            self.no_permissions.export(outfile, level, name_='no-permissions')
        if self.no_status is not None:
            self.no_status.export(outfile, level, name_='no-status')
        if self.preserve_domains is not None:
            self.preserve_domains.export(outfile, level, name_='preserve-domains')
        if self.mail_only is not None:
            self.mail_only.export(outfile, level, name_='mail-only')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'client':
            obj_ = MappedClient.factory()
            obj_.build(child_)
            self.client.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'no-account':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setNo_account(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'no-limits':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setNo_limits(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'no-permissions':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setNo_permissions(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'no-status':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setNo_status(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'preserve-domains':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setPreserve_domains(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mail-only':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setMail_only(obj_)
# end class SelectedClients


class StatusWorking:
    subclass = None
    def __init__(self, idle=None, starting=None, translate=None, deploy=None, agent=None, dumping=None, transfer=None):
        self.idle = idle
        self.starting = starting
        self.translate = translate
        self.deploy = deploy
        self.agent = agent
        self.dumping = dumping
        self.transfer = transfer
    def factory(*args_, **kwargs_):
        if StatusWorking.subclass:
            return StatusWorking.subclass(*args_, **kwargs_)
        else:
            return StatusWorking(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getIdle(self): return self.idle
    def setIdle(self, value): self.idle = value
    def getStarting(self): return self.starting
    def setStarting(self, value): self.starting = value
    def getTranslate(self): return self.translate
    def setTranslate(self, value): self.translate = value
    def getDeploy(self): return self.deploy
    def setDeploy(self, value): self.deploy = value
    def getAgent(self): return self.agent
    def setAgent(self, value): self.agent = value
    def getDumping(self): return self.dumping
    def setDumping(self, value): self.dumping = value
    def getTransfer(self): return self.transfer
    def setTransfer(self, value): self.transfer = value
    def export(self, outfile, level, name_='StatusWorking'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusWorking'):
        pass
    def exportChildren(self, outfile, level, name_='StatusWorking'):
        if self.idle is not None:
            self.idle.export(outfile, level, name_='idle')
        if self.starting is not None:
            self.starting.export(outfile, level, name_='starting')
        if self.translate is not None:
            self.translate.export(outfile, level, name_='translate')
        if self.deploy is not None:
            self.deploy.export(outfile, level, name_='deploy')
        if self.agent is not None:
            self.agent.export(outfile, level, name_='agent')
        if self.dumping is not None:
            self.dumping.export(outfile, level, name_='dumping')
        if self.transfer is not None:
            self.transfer.export(outfile, level, name_='transfer')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'idle':
            obj_ = StatusWorkingIdle.factory()
            obj_.build(child_)
            self.setIdle(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'starting':
            obj_ = StatusWorkingStarting.factory()
            obj_.build(child_)
            self.setStarting(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'translate':
            obj_ = StatusWorkingTranslate.factory()
            obj_.build(child_)
            self.setTranslate(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'deploy':
            obj_ = StatusWorkingDeploy.factory()
            obj_.build(child_)
            self.setDeploy(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'agent':
            obj_ = StatusWorkingAgent.factory()
            obj_.build(child_)
            self.setAgent(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dumping':
            obj_ = MigrationAgentStatusWorkingDumping.factory()
            obj_.build(child_)
            self.setDumping(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'transfer':
            obj_ = StatusWorkingTransfer.factory()
            obj_.build(child_)
            self.setTransfer(obj_)
# end class StatusWorking


class StatusWorkingIdle:
    subclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if StatusWorkingIdle.subclass:
            return StatusWorkingIdle.subclass(*args_, **kwargs_)
        else:
            return StatusWorkingIdle(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='StatusWorkingIdle'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusWorkingIdle'):
        pass
    def exportChildren(self, outfile, level, name_='StatusWorkingIdle'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class StatusWorkingIdle


class StatusWorkingStarting:
    subclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if StatusWorkingStarting.subclass:
            return StatusWorkingStarting.subclass(*args_, **kwargs_)
        else:
            return StatusWorkingStarting(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='StatusWorkingStarting'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusWorkingStarting'):
        pass
    def exportChildren(self, outfile, level, name_='StatusWorkingStarting'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class StatusWorkingStarting


class StatusWorkingTranslate:
    subclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if StatusWorkingTranslate.subclass:
            return StatusWorkingTranslate.subclass(*args_, **kwargs_)
        else:
            return StatusWorkingTranslate(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='StatusWorkingTranslate'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusWorkingTranslate'):
        pass
    def exportChildren(self, outfile, level, name_='StatusWorkingTranslate'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class StatusWorkingTranslate


class StatusWorkingAgent:
    subclass = None
    def __init__(self, action=None, host=''):
        self.action = action
        self.host = host
    def factory(*args_, **kwargs_):
        if StatusWorkingAgent.subclass:
            return StatusWorkingAgent.subclass(*args_, **kwargs_)
        else:
            return StatusWorkingAgent(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getHost(self): return self.host
    def setHost(self, value): self.host = value
    def getAction(self): return self.action
    def setAction(self, value): self.action = value
    def export(self, outfile, level, name_='StatusWorkingAgent'):
        showIndent(outfile, level)
        outfile.write('<%s' % (name_, ))
        self.exportAttributes(outfile, level, name_='StatusWorkingAgent')
        outfile.write('>')
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusWorkingAgent'):
        if self.getAction() is not None:
            outfile.write(' action="%s"' % (self.getAction(), ))
    def exportChildren(self, outfile, level, name_='StatusWorkingAgent'):
        showIndent(outfile, level)
        outfile.write('<host>%s</host>\n' % quote_xml(self.getHost()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('action'):
            self.action = attrs.get('action').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'host':
            host_ = ''
            for text__content_ in child_.childNodes:
                host_ += text__content_.nodeValue
            self.host = host_
# end class StatusWorkingAgent


class StatusWorkingTransfer:
    subclass = None
    def __init__(self, speed=None, host='', dumpfile=None, files=None):
        self.speed = speed
        self.host = host
        self.dumpfile = dumpfile
        self.files = files
    def factory(*args_, **kwargs_):
        if StatusWorkingTransfer.subclass:
            return StatusWorkingTransfer.subclass(*args_, **kwargs_)
        else:
            return StatusWorkingTransfer(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getHost(self): return self.host
    def setHost(self, value): self.host = value
    def getDumpfile(self): return self.dumpfile
    def setDumpfile(self, value): self.dumpfile = value
    def getFiles(self): return self.files
    def setFiles(self, value): self.files = value
    def getSpeed(self): return self.speed
    def setSpeed(self, value): self.speed = value
    def export(self, outfile, level, name_='StatusWorkingTransfer'):
        showIndent(outfile, level)
        outfile.write('<%s' % (name_, ))
        self.exportAttributes(outfile, level, name_='StatusWorkingTransfer')
        outfile.write('>')
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusWorkingTransfer'):
        if self.getSpeed() is not None:
            outfile.write(' speed="%s"' % (self.getSpeed(), ))
    def exportChildren(self, outfile, level, name_='StatusWorkingTransfer'):
        showIndent(outfile, level)
        outfile.write('<host>%s</host>\n' % quote_xml(self.getHost()))
        if self.dumpfile is not None:
            self.dumpfile.export(outfile, level, name_='dumpfile')
        if self.files is not None:
            self.files.export(outfile, level, name_='files')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('speed'):
            self.speed = attrs.get('speed').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'host':
            host_ = ''
            for text__content_ in child_.childNodes:
                host_ += text__content_.nodeValue
            self.host = host_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dumpfile':
            obj_ = StatusWorkingTransferDumpFile.factory()
            obj_.build(child_)
            self.setDumpfile(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'files':
            obj_ = TransferFiles.factory()
            obj_.build(child_)
            self.setFiles(obj_)
# end class StatusWorkingTransfer


class StatusWorkingTransferDumpFile:
    subclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if StatusWorkingTransferDumpFile.subclass:
            return StatusWorkingTransferDumpFile.subclass(*args_, **kwargs_)
        else:
            return StatusWorkingTransferDumpFile(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='StatusWorkingTransferDumpFile'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusWorkingTransferDumpFile'):
        pass
    def exportChildren(self, outfile, level, name_='StatusWorkingTransferDumpFile'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class StatusWorkingTransferDumpFile


class TransferFiles:
    subclass = None
    def __init__(self, size_total=None, total='', size_left=None, left='', current_file=None):
        self.size_total = size_total
        self.total = total
        self.size_left = size_left
        self.left = left
        self.current_file = current_file
    def factory(*args_, **kwargs_):
        if TransferFiles.subclass:
            return TransferFiles.subclass(*args_, **kwargs_)
        else:
            return TransferFiles(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getCurrent_file(self): return self.current_file
    def setCurrent_file(self, value): self.current_file = value
    def getSize_total(self): return self.size_total
    def setSize_total(self, value): self.size_total = value
    def getTotal(self): return self.total
    def setTotal(self, value): self.total = value
    def getSize_left(self): return self.size_left
    def setSize_left(self, value): self.size_left = value
    def getLeft(self): return self.left
    def setLeft(self, value): self.left = value
    def export(self, outfile, level, name_='TransferFiles'):
        showIndent(outfile, level)
        outfile.write('<%s' % (name_, ))
        self.exportAttributes(outfile, level, name_='TransferFiles')
        outfile.write('>')
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='TransferFiles'):
        if self.getSize_total() is not None:
            outfile.write(' size-total="%s"' % (self.getSize_total(), ))
        outfile.write(' total="%s"' % (self.getTotal(), ))
        if self.getSize_left() is not None:
            outfile.write(' size-left="%s"' % (self.getSize_left(), ))
        outfile.write(' left="%s"' % (self.getLeft(), ))
    def exportChildren(self, outfile, level, name_='TransferFiles'):
        if self.current_file is not None:
            self.current_file.export(outfile, level, name_='current-file')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('size-total'):
            self.size_total = attrs.get('size-total').value
        if attrs.get('total'):
            self.total = attrs.get('total').value
        if attrs.get('size-left'):
            self.size_left = attrs.get('size-left').value
        if attrs.get('left'):
            self.left = attrs.get('left').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'current-file':
            obj_ = TransferFilesCurrentFileType.factory()
            obj_.build(child_)
            self.setCurrent_file(obj_)
# end class TransferFiles


class TransferFilesCurrentFileType:
    subclass = None
    def __init__(self, size_left=None, size=None, valueOf_=''):
        self.size_left = size_left
        self.size = size
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if TransferFilesCurrentFileType.subclass:
            return TransferFilesCurrentFileType.subclass(*args_, **kwargs_)
        else:
            return TransferFilesCurrentFileType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getSize_left(self): return self.size_left
    def setSize_left(self, value): self.size_left = value
    def getSize(self): return self.size
    def setSize(self, value): self.size = value
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='TransferFilesCurrentFileType'):
        showIndent(outfile, level)
        outfile.write('<%s' % (name_, ))
        self.exportAttributes(outfile, level, name_='TransferFilesCurrentFileType')
        outfile.write('>')
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='TransferFilesCurrentFileType'):
        if self.getSize_left() is not None:
            outfile.write(' size-left="%s"' % (self.getSize_left(), ))
        if self.getSize() is not None:
            outfile.write(' size="%s"' % (self.getSize(), ))
    def exportChildren(self, outfile, level, name_='TransferFilesCurrentFileType'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('size-left'):
            self.size_left = attrs.get('size-left').value
        if attrs.get('size'):
            self.size = attrs.get('size').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class TransferFilesCurrentFileType


class StatusWorkingDeploy:
    subclass = None
    def __init__(self, domains=-1, accounts_left=-1, accounts=-1, domains_left=-1, current_object=None):
        self.domains = domains
        self.accounts_left = accounts_left
        self.accounts = accounts
        self.domains_left = domains_left
        self.current_object = current_object
    def factory(*args_, **kwargs_):
        if StatusWorkingDeploy.subclass:
            return StatusWorkingDeploy.subclass(*args_, **kwargs_)
        else:
            return StatusWorkingDeploy(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getCurrent_object(self): return self.current_object
    def setCurrent_object(self, value): self.current_object = value
    def getDomains(self): return self.domains
    def setDomains(self, value): self.domains = value
    def getAccounts_left(self): return self.accounts_left
    def setAccounts_left(self, value): self.accounts_left = value
    def getAccounts(self): return self.accounts
    def setAccounts(self, value): self.accounts = value
    def getDomains_left(self): return self.domains_left
    def setDomains_left(self, value): self.domains_left = value
    def export(self, outfile, level, name_='StatusWorkingDeploy'):
        showIndent(outfile, level)
        outfile.write('<%s' % (name_, ))
        self.exportAttributes(outfile, level, name_='StatusWorkingDeploy')
        outfile.write('>')
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusWorkingDeploy'):
        outfile.write(' domains="%s"' % (self.getDomains(), ))
        outfile.write(' accounts-left="%s"' % (self.getAccounts_left(), ))
        outfile.write(' accounts="%s"' % (self.getAccounts(), ))
        outfile.write(' domains-left="%s"' % (self.getDomains_left(), ))
    def exportChildren(self, outfile, level, name_='StatusWorkingDeploy'):
        if self.current_object is not None:
            self.current_object.export(outfile, level, name_='current-object')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('domains'):
            try:
                self.domains = long(attrs.get('domains').value)
            except ValueError:
                raise ValueError('Bad integer attribute (domains)')
        if attrs.get('accounts-left'):
            try:
                self.accounts_left = long(attrs.get('accounts-left').value)
            except ValueError:
                raise ValueError('Bad integer attribute (accounts-left)')
        if attrs.get('accounts'):
            try:
                self.accounts = long(attrs.get('accounts').value)
            except ValueError:
                raise ValueError('Bad integer attribute (accounts)')
        if attrs.get('domains-left'):
            try:
                self.domains_left = long(attrs.get('domains-left').value)
            except ValueError:
                raise ValueError('Bad integer attribute (domains-left)')
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'current-object':
            obj_ = StatusWorkingDeployCurrentObject.factory()
            obj_.build(child_)
            self.setCurrent_object(obj_)
# end class StatusWorkingDeploy


class StatusWorkingDeployCurrentObject:
    subclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if StatusWorkingDeployCurrentObject.subclass:
            return StatusWorkingDeployCurrentObject.subclass(*args_, **kwargs_)
        else:
            return StatusWorkingDeployCurrentObject(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='StatusWorkingDeployCurrentObject'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusWorkingDeployCurrentObject'):
        pass
    def exportChildren(self, outfile, level, name_='StatusWorkingDeployCurrentObject'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class StatusWorkingDeployCurrentObject


class MigrationAgentStatusWorking:
    subclass = None
    def __init__(self, preparing=None, dumping=None):
        self.preparing = preparing
        self.dumping = dumping
    def factory(*args_, **kwargs_):
        if MigrationAgentStatusWorking.subclass:
            return MigrationAgentStatusWorking.subclass(*args_, **kwargs_)
        else:
            return MigrationAgentStatusWorking(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getPreparing(self): return self.preparing
    def setPreparing(self, value): self.preparing = value
    def getDumping(self): return self.dumping
    def setDumping(self, value): self.dumping = value
    def export(self, outfile, level, name_='MigrationAgentStatusWorking'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationAgentStatusWorking'):
        pass
    def exportChildren(self, outfile, level, name_='MigrationAgentStatusWorking'):
        if self.preparing is not None:
            self.preparing.export(outfile, level, name_='preparing')
        if self.dumping is not None:
            self.dumping.export(outfile, level, name_='dumping')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'preparing':
            obj_ = MigrationAgentStatusWorkingPreparing.factory()
            obj_.build(child_)
            self.setPreparing(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dumping':
            obj_ = MigrationAgentStatusWorkingDumping.factory()
            obj_.build(child_)
            self.setDumping(obj_)
# end class MigrationAgentStatusWorking


class MigrationAgentStatusWorkingPreparing:
    subclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if MigrationAgentStatusWorkingPreparing.subclass:
            return MigrationAgentStatusWorkingPreparing.subclass(*args_, **kwargs_)
        else:
            return MigrationAgentStatusWorkingPreparing(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='MigrationAgentStatusWorkingPreparing'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationAgentStatusWorkingPreparing'):
        pass
    def exportChildren(self, outfile, level, name_='MigrationAgentStatusWorkingPreparing'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class MigrationAgentStatusWorkingPreparing


class MigrationAgentStatusWorkingDumping:
    subclass = None
    def __init__(self, total_clients=-1, completed_clients=-1, completed_domains=-1, current_object=None, total_domains=-1, valueOf_=''):
        self.total_clients = total_clients
        self.completed_clients = completed_clients
        self.completed_domains = completed_domains
        self.current_object = current_object
        self.total_domains = total_domains
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if MigrationAgentStatusWorkingDumping.subclass:
            return MigrationAgentStatusWorkingDumping.subclass(*args_, **kwargs_)
        else:
            return MigrationAgentStatusWorkingDumping(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getTotal_clients(self): return self.total_clients
    def setTotal_clients(self, value): self.total_clients = value
    def getCompleted_clients(self): return self.completed_clients
    def setCompleted_clients(self, value): self.completed_clients = value
    def getCompleted_domains(self): return self.completed_domains
    def setCompleted_domains(self, value): self.completed_domains = value
    def getCurrent_object(self): return self.current_object
    def setCurrent_object(self, value): self.current_object = value
    def getTotal_domains(self): return self.total_domains
    def setTotal_domains(self, value): self.total_domains = value
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='MigrationAgentStatusWorkingDumping'):
        showIndent(outfile, level)
        outfile.write('<%s' % (name_, ))
        self.exportAttributes(outfile, level, name_='MigrationAgentStatusWorkingDumping')
        outfile.write('>')
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationAgentStatusWorkingDumping'):
        outfile.write(' total-clients="%s"' % (self.getTotal_clients(), ))
        outfile.write(' completed-clients="%s"' % (self.getCompleted_clients(), ))
        outfile.write(' completed-domains="%s"' % (self.getCompleted_domains(), ))
        if self.getCurrent_object() is not None:
            outfile.write(' current-object="%s"' % (self.getCurrent_object(), ))
        outfile.write(' total-domains="%s"' % (self.getTotal_domains(), ))
    def exportChildren(self, outfile, level, name_='MigrationAgentStatusWorkingDumping'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('total-clients'):
            try:
                self.total_clients = long(attrs.get('total-clients').value)
            except ValueError:
                raise ValueError('Bad integer attribute (total-clients)')
        if attrs.get('completed-clients'):
            try:
                self.completed_clients = long(attrs.get('completed-clients').value)
            except ValueError:
                raise ValueError('Bad integer attribute (completed-clients)')
        if attrs.get('completed-domains'):
            try:
                self.completed_domains = long(attrs.get('completed-domains').value)
            except ValueError:
                raise ValueError('Bad integer attribute (completed-domains)')
        if attrs.get('current-object'):
            self.current_object = attrs.get('current-object').value
        if attrs.get('total-domains'):
            try:
                self.total_domains = long(attrs.get('total-domains').value)
            except ValueError:
                raise ValueError('Bad integer attribute (total-domains)')
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class MigrationAgentStatusWorkingDumping


class StatusFinished:
    subclass = None
    def __init__(self, status=None, message=None, object=None):
        self.status = status
        if message is None:
            self.message = []
        else:
            self.message = message
        if object is None:
            self.object = []
        else:
            self.object = object
    def factory(*args_, **kwargs_):
        if StatusFinished.subclass:
            return StatusFinished.subclass(*args_, **kwargs_)
        else:
            return StatusFinished(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getMessage(self): return self.message
    def setMessage(self, value): self.message = value
    def addMessage(self, value): self.message.append(value)
    def insertMessage(self, index, value): self.message[index] = value
    def getObject(self): return self.object
    def setObject(self, value): self.object = value
    def addObject(self, value): self.object.append(value)
    def insertObject(self, index, value): self.object[index] = value
    def getStatus(self): return self.status
    def setStatus(self, value): self.status = value
    def export(self, outfile, level, name_='StatusFinished'):
        showIndent(outfile, level)
        outfile.write('<%s' % (name_, ))
        self.exportAttributes(outfile, level, name_='StatusFinished')
        outfile.write('>')
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusFinished'):
        outfile.write(' status="%s"' % (self.getStatus(), ))
    def exportChildren(self, outfile, level, name_='StatusFinished'):
        for message_ in self.getMessage():
            message_.export(outfile, level, name_='message')
        for object_ in self.getObject():
            object_.export(outfile, level, name_='object')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('status'):
            self.status = attrs.get('status').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'message':
            obj_ = MessageType.factory()
            obj_.build(child_)
            self.message.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'object':
            obj_ = ObjectType.factory()
            obj_.build(child_)
            self.object.append(obj_)
# end class StatusFinished


class ObjectType:
    subclass = None
    def __init__(self, ttype='', name='', object=None, message=None):
        self.ttype = ttype
        self.name = name
        if object is None:
            self.object = []
        else:
            self.object = object
        if message is None:
            self.message = []
        else:
            self.message = message
    def factory(*args_, **kwargs_):
        if ObjectType.subclass:
            return ObjectType.subclass(*args_, **kwargs_)
        else:
            return ObjectType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getObject(self): return self.object
    def setObject(self, value): self.object = value
    def addObject(self, value): self.object.append(value)
    def insertObject(self, index, value): self.object[index] = value
    def getMessage(self): return self.message
    def setMessage(self, value): self.message = value
    def addMessage(self, value): self.message.append(value)
    def insertMessage(self, index, value): self.message[index] = value
    def getType(self): return self.ttype
    def setType(self, value): self.ttype = value
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def export(self, outfile, level, name_='ObjectType'):
        showIndent(outfile, level)
        outfile.write('<%s' % (name_, ))
        self.exportAttributes(outfile, level, name_='ObjectType')
        outfile.write('>')
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ObjectType'):
        outfile.write(' type="%s"' % (self.getType(), ))
        outfile.write(' name="%s"' % (self.getName(), ))
    def exportChildren(self, outfile, level, name_='ObjectType'):
        for object_ in self.getObject():
            object_.export(outfile, level, name_='object')
        for message_ in self.getMessage():
            message_.export(outfile, level, name_='message')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('type'):
            self.ttype = attrs.get('type').value
        if attrs.get('name'):
            self.name = attrs.get('name').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'object':
            obj_ = ObjectType.factory()
            obj_.build(child_)
            self.object.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'message':
            obj_ = MessageType.factory()
            obj_.build(child_)
            self.message.append(obj_)
# end class ObjectType


class MessageType:
    subclass = None
    def __init__(self, code='', context=None, file=None, line=None, text='', message=None):
        self.code = code
        self.context = context
        self.file = file
        self.line = line
        self.text = text
        self.message = message
    def factory(*args_, **kwargs_):
        if MessageType.subclass:
            return MessageType.subclass(*args_, **kwargs_)
        else:
            return MessageType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getContext(self): return self.context
    def setContext(self, value): self.context = value
    def getFile(self): return self.file
    def setFile(self, value): self.file = value
    def getLine(self): return self.line
    def setLine(self, value): self.line = value
    def getText(self): return self.text
    def setText(self, value): self.text = value
    def getMessage(self): return self.message
    def setMessage(self, value): self.message = value
    def getCode(self): return self.code
    def setCode(self, value): self.code = value
    def export(self, outfile, level, name_='MessageType'):
        showIndent(outfile, level)
        outfile.write('<%s' % (name_, ))
        self.exportAttributes(outfile, level, name_='MessageType')
        outfile.write('>')
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MessageType'):
        outfile.write(' code="%s"' % (self.getCode(), ))
    def exportChildren(self, outfile, level, name_='MessageType'):
        if self.context is not None:
            showIndent(outfile, level)
            outfile.write('<context>%s</context>\n' % quote_xml(self.getContext()))
        if self.file is not None:
            showIndent(outfile, level)
            outfile.write('<file>%s</file>\n' % quote_xml(self.getFile()))
        if self.line is not None:
            showIndent(outfile, level)
            outfile.write('<line>%s</line>\n' % quote_xml(self.getLine()))
        showIndent(outfile, level)
        outfile.write('<text>%s</text>\n' % quote_xml(self.getText()))
        if self.message is not None:
            self.message.export(outfile, level, name_='message')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('code'):
            self.code = attrs.get('code').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'context':
            context_ = ''
            for text__content_ in child_.childNodes:
                context_ += text__content_.nodeValue
            self.context = context_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'file':
            file_ = ''
            for text__content_ in child_.childNodes:
                file_ += text__content_.nodeValue
            self.file = file_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'line':
            line_ = ''
            for text__content_ in child_.childNodes:
                line_ += text__content_.nodeValue
            self.line = line_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'text':
            text_ = ''
            for text__content_ in child_.childNodes:
                text_ += text__content_.nodeValue
            self.text = text_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'message':
            obj_ = MessageType.factory()
            obj_.build(child_)
            self.setMessage(obj_)
# end class MessageType


class MigrationApiStatusWorking:
    subclass = None
    def __init__(self, preparing=None, total=None, completed=None, description=None):
        self.preparing = preparing
        self.total = total
        self.completed = completed
        self.description = description
    def factory(*args_, **kwargs_):
        if MigrationApiStatusWorking.subclass:
            return MigrationApiStatusWorking.subclass(*args_, **kwargs_)
        else:
            return MigrationApiStatusWorking(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getPreparing(self): return self.preparing
    def setPreparing(self, value): self.preparing = value
    def getTotal(self): return self.total
    def setTotal(self, value): self.total = value
    def getCompleted(self): return self.completed
    def setCompleted(self, value): self.completed = value
    def getDescription(self): return self.description
    def setDescription(self, value): self.description = value
    def export(self, outfile, level, name_='MigrationApiStatusWorking'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationApiStatusWorking'):
        pass
    def exportChildren(self, outfile, level, name_='MigrationApiStatusWorking'):
        if self.preparing is not None:
            self.preparing.export(outfile, level, name_='preparing')
        if self.total is not None:
            showIndent(outfile, level)
            outfile.write('<total>%d</total>\n' % self.getTotal())
        if self.completed is not None:
            showIndent(outfile, level)
            outfile.write('<completed>%d</completed>\n' % self.getCompleted())
        if self.description is not None:
            showIndent(outfile, level)
            outfile.write('<description>%s</description>\n' % quote_xml(self.getDescription()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'preparing':
            obj_ = MigrationAgentStatusWorkingPreparing.factory()
            obj_.build(child_)
            self.setPreparing(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'total':
            if child_.firstChild:
                sval_ = child_.firstChild.nodeValue
                try:
                    ival_ = int(sval_)
                except ValueError:
                    raise ValueError('requires integer -- %s' % child_.toxml())
                self.total = ival_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'completed':
            if child_.firstChild:
                sval_ = child_.firstChild.nodeValue
                try:
                    ival_ = int(sval_)
                except ValueError:
                    raise ValueError('requires integer -- %s' % child_.toxml())
                self.completed = ival_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'description':
            description_ = ''
            for text__content_ in child_.childNodes:
                description_ += text__content_.nodeValue
            self.description = description_
# end class MigrationApiStatusWorking


class Ip:
    subclass = None
    def __init__(self, ip_type='', ip_address=''):
        self.ip_type = ip_type
        self.ip_address = ip_address
    def factory(*args_, **kwargs_):
        if Ip.subclass:
            return Ip.subclass(*args_, **kwargs_)
        else:
            return Ip(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getIp_type(self): return self.ip_type
    def setIp_type(self, value): self.ip_type = value
    def getIp_address(self): return self.ip_address
    def setIp_address(self, value): self.ip_address = value
    def export(self, outfile, level, name_='Ip'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='Ip'):
        pass
    def exportChildren(self, outfile, level, name_='Ip'):
        showIndent(outfile, level)
        outfile.write('<ip-type>%s</ip-type>\n' % quote_xml(self.getIp_type()))
        showIndent(outfile, level)
        outfile.write('<ip-address>%s</ip-address>\n' % quote_xml(self.getIp_address()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ip-type':
            ip_type_ = ''
            for text__content_ in child_.childNodes:
                ip_type_ += text__content_.nodeValue
            self.ip_type = ip_type_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ip-address':
            ip_address_ = ''
            for text__content_ in child_.childNodes:
                ip_address_ += text__content_.nodeValue
            self.ip_address = ip_address_
# end class Ip


class Server:
    subclass = None
    def __init__(self, db_server=None, client=None):
        if db_server is None:
            self.db_server = []
        else:
            self.db_server = db_server
        if client is None:
            self.client = []
        else:
            self.client = client
    def factory(*args_, **kwargs_):
        if Server.subclass:
            return Server.subclass(*args_, **kwargs_)
        else:
            return Server(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getDb_server(self): return self.db_server
    def setDb_server(self, value): self.db_server = value
    def addDb_server(self, value): self.db_server.append(value)
    def insertDb_server(self, index, value): self.db_server[index] = value
    def getClient(self): return self.client
    def setClient(self, value): self.client = value
    def addClient(self, value): self.client.append(value)
    def insertClient(self, index, value): self.client[index] = value
    def export(self, outfile, level, name_='Server'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='Server'):
        pass
    def exportChildren(self, outfile, level, name_='Server'):
        for db_server_ in self.getDb_server():
            db_server_.export(outfile, level, name_='db-server')
        for client_ in self.getClient():
            client_.export(outfile, level, name_='client')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'db-server':
            obj_ = DbServer.factory()
            obj_.build(child_)
            self.db_server.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'client':
            obj_ = Client.factory()
            obj_.build(child_)
            self.client.append(obj_)
# end class Server


class Client:
    subclass = None
    def __init__(self, name='', ip=None, domain=None):
        self.name = name
        if ip is None:
            self.ip = []
        else:
            self.ip = ip
        if domain is None:
            self.domain = []
        else:
            self.domain = domain
    def factory(*args_, **kwargs_):
        if Client.subclass:
            return Client.subclass(*args_, **kwargs_)
        else:
            return Client(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getIp(self): return self.ip
    def setIp(self, value): self.ip = value
    def addIp(self, value): self.ip.append(value)
    def insertIp(self, index, value): self.ip[index] = value
    def getDomain(self): return self.domain
    def setDomain(self, value): self.domain = value
    def addDomain(self, value): self.domain.append(value)
    def insertDomain(self, index, value): self.domain[index] = value
    def export(self, outfile, level, name_='Client'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='Client'):
        pass
    def exportChildren(self, outfile, level, name_='Client'):
        showIndent(outfile, level)
        outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        for ip_ in self.getIp():
            ip_.export(outfile, level, name_='ip')
        for domain_ in self.getDomain():
            domain_.export(outfile, level, name_='domain')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ip':
            obj_ = Ip.factory()
            obj_.build(child_)
            self.ip.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'domain':
            obj_ = Domain.factory()
            obj_.build(child_)
            self.domain.append(obj_)
# end class Client


class Domain:
    subclass = None
    def __init__(self, name='', ip=None, db_server=None):
        self.name = name
        self.ip = ip
        if db_server is None:
            self.db_server = []
        else:
            self.db_server = db_server
    def factory(*args_, **kwargs_):
        if Domain.subclass:
            return Domain.subclass(*args_, **kwargs_)
        else:
            return Domain(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getIp(self): return self.ip
    def setIp(self, value): self.ip = value
    def getDb_server(self): return self.db_server
    def setDb_server(self, value): self.db_server = value
    def addDb_server(self, value): self.db_server.append(value)
    def insertDb_server(self, index, value): self.db_server[index] = value
    def export(self, outfile, level, name_='Domain'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='Domain'):
        pass
    def exportChildren(self, outfile, level, name_='Domain'):
        showIndent(outfile, level)
        outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        if self.ip is not None:
            self.ip.export(outfile, level, name_='ip')
        for db_server_ in self.getDb_server():
            db_server_.export(outfile, level, name_='db-server')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ip':
            obj_ = Ip.factory()
            obj_.build(child_)
            self.setIp(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'db-server':
            obj_ = DbServer.factory()
            obj_.build(child_)
            self.db_server.append(obj_)
# end class Domain


class MappedClient:
    subclass = None
    def __init__(self, name='', ip=None, domain=None):
        self.name = name
        if ip is None:
            self.ip = []
        else:
            self.ip = ip
        if domain is None:
            self.domain = []
        else:
            self.domain = domain
    def factory(*args_, **kwargs_):
        if MappedClient.subclass:
            return MappedClient.subclass(*args_, **kwargs_)
        else:
            return MappedClient(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getIp(self): return self.ip
    def setIp(self, value): self.ip = value
    def addIp(self, value): self.ip.append(value)
    def insertIp(self, index, value): self.ip[index] = value
    def getDomain(self): return self.domain
    def setDomain(self, value): self.domain = value
    def addDomain(self, value): self.domain.append(value)
    def insertDomain(self, index, value): self.domain[index] = value
    def export(self, outfile, level, name_='MappedClient'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MappedClient'):
        pass
    def exportChildren(self, outfile, level, name_='MappedClient'):
        showIndent(outfile, level)
        outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        for ip_ in self.getIp():
            ip_.export(outfile, level, name_='ip')
        for domain_ in self.getDomain():
            domain_.export(outfile, level, name_='domain')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ip':
            obj_ = MappedIp.factory()
            obj_.build(child_)
            self.ip.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'domain':
            obj_ = MappedDomain.factory()
            obj_.build(child_)
            self.domain.append(obj_)
# end class MappedClient


class MappedDomain:
    subclass = None
    def __init__(self, name='', ip=None, db_server=None):
        self.name = name
        self.ip = ip
        if db_server is None:
            self.db_server = []
        else:
            self.db_server = db_server
    def factory(*args_, **kwargs_):
        if MappedDomain.subclass:
            return MappedDomain.subclass(*args_, **kwargs_)
        else:
            return MappedDomain(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getIp(self): return self.ip
    def setIp(self, value): self.ip = value
    def getDb_server(self): return self.db_server
    def setDb_server(self, value): self.db_server = value
    def addDb_server(self, value): self.db_server.append(value)
    def insertDb_server(self, index, value): self.db_server[index] = value
    def export(self, outfile, level, name_='MappedDomain'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MappedDomain'):
        pass
    def exportChildren(self, outfile, level, name_='MappedDomain'):
        showIndent(outfile, level)
        outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        if self.ip is not None:
            self.ip.export(outfile, level, name_='ip')
        for db_server_ in self.getDb_server():
            db_server_.export(outfile, level, name_='db-server')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ip':
            obj_ = MappedIp.factory()
            obj_.build(child_)
            self.setIp(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'db-server':
            obj_ = MappedDbServer.factory()
            obj_.build(child_)
            self.db_server.append(obj_)
# end class MappedDomain


class MappedIp:
    subclass = None
    def __init__(self, old=None, new=None):
        self.old = old
        self.new = new
    def factory(*args_, **kwargs_):
        if MappedIp.subclass:
            return MappedIp.subclass(*args_, **kwargs_)
        else:
            return MappedIp(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getOld(self): return self.old
    def setOld(self, value): self.old = value
    def getNew(self): return self.new
    def setNew(self, value): self.new = value
    def export(self, outfile, level, name_='MappedIp'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MappedIp'):
        pass
    def exportChildren(self, outfile, level, name_='MappedIp'):
        if self.old is not None:
            self.old.export(outfile, level, name_='old')
        if self.new is not None:
            self.new.export(outfile, level, name_='new')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'old':
            obj_ = Ip.factory()
            obj_.build(child_)
            self.setOld(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'new':
            obj_ = Ip.factory()
            obj_.build(child_)
            self.setNew(obj_)
# end class MappedIp


class MappedDbServer:
    subclass = None
    def __init__(self, old=None, new=None):
        self.old = old
        self.new = new
    def factory(*args_, **kwargs_):
        if MappedDbServer.subclass:
            return MappedDbServer.subclass(*args_, **kwargs_)
        else:
            return MappedDbServer(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getOld(self): return self.old
    def setOld(self, value): self.old = value
    def getNew(self): return self.new
    def setNew(self, value): self.new = value
    def export(self, outfile, level, name_='MappedDbServer'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MappedDbServer'):
        pass
    def exportChildren(self, outfile, level, name_='MappedDbServer'):
        if self.old is not None:
            self.old.export(outfile, level, name_='old')
        if self.new is not None:
            self.new.export(outfile, level, name_='new')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'old':
            obj_ = DbServer.factory()
            obj_.build(child_)
            self.setOld(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'new':
            obj_ = DbServer.factory()
            obj_.build(child_)
            self.setNew(obj_)
# end class MappedDbServer


class DbServer:
    subclass = None
    def __init__(self, host='', port='', ttype='', admin='', password='', default=None):
        self.host = host
        self.port = port
        self.ttype = ttype
        self.admin = admin
        self.password = password
        self.default = default
    def factory(*args_, **kwargs_):
        if DbServer.subclass:
            return DbServer.subclass(*args_, **kwargs_)
        else:
            return DbServer(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getHost(self): return self.host
    def setHost(self, value): self.host = value
    def getPort(self): return self.port
    def setPort(self, value): self.port = value
    def getType(self): return self.ttype
    def setType(self, value): self.ttype = value
    def getAdmin(self): return self.admin
    def setAdmin(self, value): self.admin = value
    def getPassword(self): return self.password
    def setPassword(self, value): self.password = value
    def getDefault(self): return self.default
    def setDefault(self, value): self.default = value
    def export(self, outfile, level, name_='DbServer'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DbServer'):
        pass
    def exportChildren(self, outfile, level, name_='DbServer'):
        showIndent(outfile, level)
        outfile.write('<host>%s</host>\n' % quote_xml(self.getHost()))
        showIndent(outfile, level)
        outfile.write('<port>%s</port>\n' % quote_xml(self.getPort()))
        showIndent(outfile, level)
        outfile.write('<type>%s</type>\n' % quote_xml(self.getType()))
        showIndent(outfile, level)
        outfile.write('<admin>%s</admin>\n' % quote_xml(self.getAdmin()))
        showIndent(outfile, level)
        outfile.write('<password>%s</password>\n' % quote_xml(self.getPassword()))
        if self.default is not None:
            self.default.export(outfile, level, name_='default')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'host':
            host_ = ''
            for text__content_ in child_.childNodes:
                host_ += text__content_.nodeValue
            self.host = host_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'port':
            port_ = ''
            for text__content_ in child_.childNodes:
                port_ += text__content_.nodeValue
            self.port = port_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'type':
            type_ = ''
            for text__content_ in child_.childNodes:
                type_ += text__content_.nodeValue
            self.ttype = type_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'admin':
            admin_ = ''
            for text__content_ in child_.childNodes:
                admin_ += text__content_.nodeValue
            self.admin = admin_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'password':
            password_ = ''
            for text__content_ in child_.childNodes:
                password_ += text__content_.nodeValue
            self.password = password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'default':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setDefault(obj_)
# end class DbServer


class SelectedServer:
    subclass = None
    def __init__(self, client=None, db_server=None, license=None):
        if client is None:
            self.client = []
        else:
            self.client = client
        if db_server is None:
            self.db_server = []
        else:
            self.db_server = db_server
        self.license = license
    def factory(*args_, **kwargs_):
        if SelectedServer.subclass:
            return SelectedServer.subclass(*args_, **kwargs_)
        else:
            return SelectedServer(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getClient(self): return self.client
    def setClient(self, value): self.client = value
    def addClient(self, value): self.client.append(value)
    def insertClient(self, index, value): self.client[index] = value
    def getDb_server(self): return self.db_server
    def setDb_server(self, value): self.db_server = value
    def addDb_server(self, value): self.db_server.append(value)
    def insertDb_server(self, index, value): self.db_server[index] = value
    def getLicense(self): return self.license
    def setLicense(self, value): self.license = value
    def export(self, outfile, level, name_='SelectedServer'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='SelectedServer'):
        pass
    def exportChildren(self, outfile, level, name_='SelectedServer'):
        for client_ in self.getClient():
            client_.export(outfile, level, name_='client')
        for db_server_ in self.getDb_server():
            db_server_.export(outfile, level, name_='db-server')
        if self.license is not None:
            self.license.export(outfile, level, name_='license')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'client':
            obj_ = MappedClient.factory()
            obj_.build(child_)
            self.client.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'db-server':
            obj_ = MappedDbServer.factory()
            obj_.build(child_)
            self.db_server.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'license':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setLicense(obj_)
# end class SelectedServer


class AgentDumpingStatus:
    subclass = None
    def __init__(self, pid='', account='', domain='', accounts_left=-1, domains_left=-1):
        self.pid = pid
        self.account = account
        self.domain = domain
        self.accounts_left = accounts_left
        self.domains_left = domains_left
    def factory(*args_, **kwargs_):
        if AgentDumpingStatus.subclass:
            return AgentDumpingStatus.subclass(*args_, **kwargs_)
        else:
            return AgentDumpingStatus(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getPid(self): return self.pid
    def setPid(self, value): self.pid = value
    def getAccount(self): return self.account
    def setAccount(self, value): self.account = value
    def getDomain(self): return self.domain
    def setDomain(self, value): self.domain = value
    def getAccounts_left(self): return self.accounts_left
    def setAccounts_left(self, value): self.accounts_left = value
    def getDomains_left(self): return self.domains_left
    def setDomains_left(self, value): self.domains_left = value
    def export(self, outfile, level, name_='AgentDumpingStatus'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='AgentDumpingStatus'):
        pass
    def exportChildren(self, outfile, level, name_='AgentDumpingStatus'):
        showIndent(outfile, level)
        outfile.write('<pid>%s</pid>\n' % quote_xml(self.getPid()))
        showIndent(outfile, level)
        outfile.write('<account>%s</account>\n' % quote_xml(self.getAccount()))
        showIndent(outfile, level)
        outfile.write('<domain>%s</domain>\n' % quote_xml(self.getDomain()))
        showIndent(outfile, level)
        outfile.write('<accounts-left>%d</accounts-left>\n' % self.getAccounts_left())
        showIndent(outfile, level)
        outfile.write('<domains-left>%d</domains-left>\n' % self.getDomains_left())
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'pid':
            pid_ = ''
            for text__content_ in child_.childNodes:
                pid_ += text__content_.nodeValue
            self.pid = pid_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'account':
            account_ = ''
            for text__content_ in child_.childNodes:
                account_ += text__content_.nodeValue
            self.account = account_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'domain':
            domain_ = ''
            for text__content_ in child_.childNodes:
                domain_ += text__content_.nodeValue
            self.domain = domain_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'accounts-left':
            if child_.firstChild:
                sval_ = child_.firstChild.nodeValue
                try:
                    ival_ = int(sval_)
                except ValueError:
                    raise ValueError('requires integer -- %s' % child_.toxml())
                self.accounts_left = ival_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'domains-left':
            if child_.firstChild:
                sval_ = child_.firstChild.nodeValue
                try:
                    ival_ = int(sval_)
                except ValueError:
                    raise ValueError('requires integer -- %s' % child_.toxml())
                self.domains_left = ival_
# end class AgentDumpingStatus


class Action:
    subclass = None
    def __init__(self, get_status=None, start_migration=None, start_import_migration=None, start_restore=None, start_api_migration=None, set_agent_parameters=None, set_import_parameters=None, set_migration_objects=None, go_to_select_objects=None, delete_session=None):
        self.get_status = get_status
        self.start_migration = start_migration
        self.start_import_migration = start_import_migration
        self.start_restore = start_restore
        self.start_api_migration = start_api_migration
        self.set_agent_parameters = set_agent_parameters
        self.set_import_parameters = set_import_parameters
        self.set_migration_objects = set_migration_objects
        self.go_to_select_objects = go_to_select_objects
        self.delete_session = delete_session
    def factory(*args_, **kwargs_):
        if Action.subclass:
            return Action.subclass(*args_, **kwargs_)
        else:
            return Action(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getGet_status(self): return self.get_status
    def setGet_status(self, value): self.get_status = value
    def getStart_migration(self): return self.start_migration
    def setStart_migration(self, value): self.start_migration = value
    def getStart_import_migration(self): return self.start_import_migration
    def setStart_import_migration(self, value): self.start_import_migration = value
    def getStart_restore(self): return self.start_restore
    def setStart_restore(self, value): self.start_restore = value
    def getStart_api_migration(self): return self.start_api_migration
    def setStart_api_migration(self, value): self.start_api_migration = value
    def getSet_agent_parameters(self): return self.set_agent_parameters
    def setSet_agent_parameters(self, value): self.set_agent_parameters = value
    def getSet_import_parameters(self): return self.set_import_parameters
    def setSet_import_parameters(self, value): self.set_import_parameters = value
    def getSet_migration_objects(self): return self.set_migration_objects
    def setSet_migration_objects(self, value): self.set_migration_objects = value
    def getGo_to_select_objects(self): return self.go_to_select_objects
    def setGo_to_select_objects(self, value): self.go_to_select_objects = value
    def getDelete_session(self): return self.delete_session
    def setDelete_session(self, value): self.delete_session = value
    def export(self, outfile, level, name_='Action'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='Action'):
        pass
    def exportChildren(self, outfile, level, name_='Action'):
        if self.get_status is not None:
            self.get_status.export(outfile, level, name_='get-status')
        if self.start_migration is not None:
            self.start_migration.export(outfile, level, name_='start-migration')
        if self.start_import_migration is not None:
            self.start_import_migration.export(outfile, level, name_='start-import-migration')
        if self.start_restore is not None:
            self.start_restore.export(outfile, level, name_='start-restore')
        if self.start_api_migration is not None:
            self.start_api_migration.export(outfile, level, name_='start-api-migration')
        if self.set_agent_parameters is not None:
            self.set_agent_parameters.export(outfile, level, name_='set-agent-parameters')
        if self.set_import_parameters is not None:
            self.set_import_parameters.export(outfile, level, name_='set-import-parameters')
        if self.set_migration_objects is not None:
            self.set_migration_objects.export(outfile, level, name_='set-migration-objects')
        if self.go_to_select_objects is not None:
            self.go_to_select_objects.export(outfile, level, name_='go-to-select-objects')
        if self.delete_session is not None:
            self.delete_session.export(outfile, level, name_='delete-session')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get-status':
            obj_ = ActionGetStatus.factory()
            obj_.build(child_)
            self.setGet_status(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'start-migration':
            obj_ = ActionStartMigration.factory()
            obj_.build(child_)
            self.setStart_migration(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'start-import-migration':
            obj_ = ActionStartImportMigration.factory()
            obj_.build(child_)
            self.setStart_import_migration(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'start-restore':
            obj_ = ActionStartRestore.factory()
            obj_.build(child_)
            self.setStart_restore(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'start-api-migration':
            obj_ = ActionStartApiMigration.factory()
            obj_.build(child_)
            self.setStart_api_migration(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set-agent-parameters':
            obj_ = ActionSetAgentParameters.factory()
            obj_.build(child_)
            self.setSet_agent_parameters(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set-import-parameters':
            obj_ = ActionSetImportParameters.factory()
            obj_.build(child_)
            self.setSet_import_parameters(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set-migration-objects':
            obj_ = ActionSetMigrationObjects.factory()
            obj_.build(child_)
            self.setSet_migration_objects(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'go-to-select-objects':
            obj_ = ActionGoToSelectObjects.factory()
            obj_.build(child_)
            self.setGo_to_select_objects(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'delete-session':
            obj_ = ActionDeleteSession.factory()
            obj_.build(child_)
            self.setDelete_session(obj_)
# end class Action


class ActionGetStatus:
    subclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if ActionGetStatus.subclass:
            return ActionGetStatus.subclass(*args_, **kwargs_)
        else:
            return ActionGetStatus(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='ActionGetStatus'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ActionGetStatus'):
        pass
    def exportChildren(self, outfile, level, name_='ActionGetStatus'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class ActionGetStatus


class ActionDeleteSession:
    subclass = None
    def __init__(self, keep_archive=0, valueOf_=''):
        self.keep_archive = keep_archive
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if ActionDeleteSession.subclass:
            return ActionDeleteSession.subclass(*args_, **kwargs_)
        else:
            return ActionDeleteSession(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getKeep_archive(self): return self.keep_archive
    def setKeep_archive(self, value): self.keep_archive = value
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='ActionDeleteSession'):
        showIndent(outfile, level)
        outfile.write('<%s' % (name_, ))
        self.exportAttributes(outfile, level, name_='ActionDeleteSession')
        outfile.write('>')
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ActionDeleteSession'):
        outfile.write(' keep-archive="%s"' % (self.getKeep_archive(), ))
    def exportChildren(self, outfile, level, name_='ActionDeleteSession'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('keep-archive'):
            if attrs.get('keep-archive').value in ('true', '1'):
                self.keep_archive = 1
            elif attrs.get('keep-archive').value in ('false', '0'):
                self.keep_archive = 0
            else:
                raise ValueError('Bad boolean attribute (keep-archive)')
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class ActionDeleteSession


class ActionStartMigration:
    subclass = None
    def __init__(self, connectivity_info=None):
        self.connectivity_info = connectivity_info
    def factory(*args_, **kwargs_):
        if ActionStartMigration.subclass:
            return ActionStartMigration.subclass(*args_, **kwargs_)
        else:
            return ActionStartMigration(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getConnectivity_info(self): return self.connectivity_info
    def setConnectivity_info(self, value): self.connectivity_info = value
    def export(self, outfile, level, name_='ActionStartMigration'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ActionStartMigration'):
        pass
    def exportChildren(self, outfile, level, name_='ActionStartMigration'):
        if self.connectivity_info is not None:
            self.connectivity_info.export(outfile, level, name_='connectivity-info')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'connectivity-info':
            obj_ = ConnectivityInfo.factory()
            obj_.build(child_)
            self.setConnectivity_info(obj_)
# end class ActionStartMigration


class ActionStartImportMigration:
    subclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if ActionStartImportMigration.subclass:
            return ActionStartImportMigration.subclass(*args_, **kwargs_)
        else:
            return ActionStartImportMigration(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='ActionStartImportMigration'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ActionStartImportMigration'):
        pass
    def exportChildren(self, outfile, level, name_='ActionStartImportMigration'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class ActionStartImportMigration


class ActionStartRestore:
    subclass = None
    def __init__(self, file='', user='', user_type=''):
        self.file = file
        self.user = user
        self.user_type = user_type
    def factory(*args_, **kwargs_):
        if ActionStartRestore.subclass:
            return ActionStartRestore.subclass(*args_, **kwargs_)
        else:
            return ActionStartRestore(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getFile(self): return self.file
    def setFile(self, value): self.file = value
    def getUser(self): return self.user
    def setUser(self, value): self.user = value
    def getUser_type(self): return self.user_type
    def setUser_type(self, value): self.user_type = value
    def export(self, outfile, level, name_='ActionStartRestore'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ActionStartRestore'):
        pass
    def exportChildren(self, outfile, level, name_='ActionStartRestore'):
        showIndent(outfile, level)
        outfile.write('<file>%s</file>\n' % quote_xml(self.getFile()))
        showIndent(outfile, level)
        outfile.write('<user>%s</user>\n' % quote_xml(self.getUser()))
        showIndent(outfile, level)
        outfile.write('<user-type>%s</user-type>\n' % quote_xml(self.getUser_type()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'file':
            file_ = ''
            for text__content_ in child_.childNodes:
                file_ += text__content_.nodeValue
            self.file = file_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'user':
            user_ = ''
            for text__content_ in child_.childNodes:
                user_ += text__content_.nodeValue
            self.user = user_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'user-type':
            user_type_ = ''
            for text__content_ in child_.childNodes:
                user_type_ += text__content_.nodeValue
            self.user_type = user_type_
# end class ActionStartRestore


class ActionStartApiMigration:
    subclass = None
    def __init__(self, connectivity_info=None, remote_agent_dir='', selected_objects=None):
        self.connectivity_info = connectivity_info
        self.remote_agent_dir = remote_agent_dir
        self.selected_objects = selected_objects
    def factory(*args_, **kwargs_):
        if ActionStartApiMigration.subclass:
            return ActionStartApiMigration.subclass(*args_, **kwargs_)
        else:
            return ActionStartApiMigration(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getConnectivity_info(self): return self.connectivity_info
    def setConnectivity_info(self, value): self.connectivity_info = value
    def getRemote_agent_dir(self): return self.remote_agent_dir
    def setRemote_agent_dir(self, value): self.remote_agent_dir = value
    def getSelected_objects(self): return self.selected_objects
    def setSelected_objects(self, value): self.selected_objects = value
    def export(self, outfile, level, name_='ActionStartApiMigration'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ActionStartApiMigration'):
        pass
    def exportChildren(self, outfile, level, name_='ActionStartApiMigration'):
        if self.connectivity_info is not None:
            self.connectivity_info.export(outfile, level, name_='connectivity-info')
        showIndent(outfile, level)
        outfile.write('<remote-agent-dir>%s</remote-agent-dir>\n' % quote_xml(self.getRemote_agent_dir()))
        if self.selected_objects is not None:
            self.selected_objects.export(outfile, level, name_='selected-objects')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'connectivity-info':
            obj_ = ApiConnectivityInfo.factory()
            obj_.build(child_)
            self.setConnectivity_info(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'remote-agent-dir':
            remote_agent_dir_ = ''
            for text__content_ in child_.childNodes:
                remote_agent_dir_ += text__content_.nodeValue
            self.remote_agent_dir = remote_agent_dir_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'selected-objects':
            obj_ = SelectedObjects.factory()
            obj_.build(child_)
            self.setSelected_objects(obj_)
# end class ActionStartApiMigration


class ActionSetAgentParameters:
    subclass = None
    def __init__(self, agent_parameters=None, session_parameters=None):
        self.agent_parameters = agent_parameters
        self.session_parameters = session_parameters
    def factory(*args_, **kwargs_):
        if ActionSetAgentParameters.subclass:
            return ActionSetAgentParameters.subclass(*args_, **kwargs_)
        else:
            return ActionSetAgentParameters(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getAgent_parameters(self): return self.agent_parameters
    def setAgent_parameters(self, value): self.agent_parameters = value
    def getSession_parameters(self): return self.session_parameters
    def setSession_parameters(self, value): self.session_parameters = value
    def export(self, outfile, level, name_='ActionSetAgentParameters'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ActionSetAgentParameters'):
        pass
    def exportChildren(self, outfile, level, name_='ActionSetAgentParameters'):
        if self.agent_parameters is not None:
            self.agent_parameters.export(outfile, level, name_='agent-parameters')
        if self.session_parameters is not None:
            self.session_parameters.export(outfile, level, name_='session-parameters')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'agent-parameters':
            obj_ = AgentParameters.factory()
            obj_.build(child_)
            self.setAgent_parameters(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'session-parameters':
            obj_ = SessionParameters.factory()
            obj_.build(child_)
            self.setSession_parameters(obj_)
# end class ActionSetAgentParameters


class ActionSetImportParameters:
    subclass = None
    def __init__(self, session_parameters=None):
        self.session_parameters = session_parameters
    def factory(*args_, **kwargs_):
        if ActionSetImportParameters.subclass:
            return ActionSetImportParameters.subclass(*args_, **kwargs_)
        else:
            return ActionSetImportParameters(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getSession_parameters(self): return self.session_parameters
    def setSession_parameters(self, value): self.session_parameters = value
    def export(self, outfile, level, name_='ActionSetImportParameters'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ActionSetImportParameters'):
        pass
    def exportChildren(self, outfile, level, name_='ActionSetImportParameters'):
        if self.session_parameters is not None:
            self.session_parameters.export(outfile, level, name_='session-parameters')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'session-parameters':
            obj_ = SessionParameters.factory()
            obj_.build(child_)
            self.setSession_parameters(obj_)
# end class ActionSetImportParameters


class SessionParameters:
    subclass = None
    def __init__(self, send_notifications=0, domain_template=None):
        self.send_notifications = send_notifications
        self.domain_template = domain_template
    def factory(*args_, **kwargs_):
        if SessionParameters.subclass:
            return SessionParameters.subclass(*args_, **kwargs_)
        else:
            return SessionParameters(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getSend_notifications(self): return self.send_notifications
    def setSend_notifications(self, value): self.send_notifications = value
    def getDomain_template(self): return self.domain_template
    def setDomain_template(self, value): self.domain_template = value
    def export(self, outfile, level, name_='SessionParameters'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='SessionParameters'):
        pass
    def exportChildren(self, outfile, level, name_='SessionParameters'):
        showIndent(outfile, level)
        outfile.write('<send-notifications>%d</send-notifications>\n' % self.getSend_notifications())
        if self.domain_template is not None:
            showIndent(outfile, level)
            outfile.write('<domain-template>%s</domain-template>\n' % quote_xml(self.getDomain_template()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'send-notifications':
            if child_.firstChild:
                sval_ = child_.firstChild.nodeValue
                if sval_ in ('true', '1'):
                    ival_ = 1
                elif sval_ in ('false', '0'):
                    ival_ = 0
                else:
                    raise ValueError('requires boolean -- %s' % child_.toxml())
                self.send_notifications = ival_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'domain-template':
            domain_template_ = ''
            for text__content_ in child_.childNodes:
                domain_template_ += text__content_.nodeValue
            self.domain_template = domain_template_
# end class SessionParameters


class AgentParameters:
    subclass = None
    def __init__(self, agent_name='', remote_agent_dir='', compress_content=0, check_disk_space=0):
        self.agent_name = agent_name
        self.remote_agent_dir = remote_agent_dir
        self.compress_content = compress_content
        self.check_disk_space = check_disk_space
    def factory(*args_, **kwargs_):
        if AgentParameters.subclass:
            return AgentParameters.subclass(*args_, **kwargs_)
        else:
            return AgentParameters(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getAgent_name(self): return self.agent_name
    def setAgent_name(self, value): self.agent_name = value
    def getRemote_agent_dir(self): return self.remote_agent_dir
    def setRemote_agent_dir(self, value): self.remote_agent_dir = value
    def getCompress_content(self): return self.compress_content
    def setCompress_content(self, value): self.compress_content = value
    def getCheck_disk_space(self): return self.check_disk_space
    def setCheck_disk_space(self, value): self.check_disk_space = value
    def export(self, outfile, level, name_='AgentParameters'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='AgentParameters'):
        pass
    def exportChildren(self, outfile, level, name_='AgentParameters'):
        showIndent(outfile, level)
        outfile.write('<agent-name>%s</agent-name>\n' % quote_xml(self.getAgent_name()))
        showIndent(outfile, level)
        outfile.write('<remote-agent-dir>%s</remote-agent-dir>\n' % quote_xml(self.getRemote_agent_dir()))
        showIndent(outfile, level)
        outfile.write('<compress-content>%d</compress-content>\n' % self.getCompress_content())
        showIndent(outfile, level)
        outfile.write('<check-disk-space>%d</check-disk-space>\n' % self.getCheck_disk_space())
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'agent-name':
            agent_name_ = ''
            for text__content_ in child_.childNodes:
                agent_name_ += text__content_.nodeValue
            self.agent_name = agent_name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'remote-agent-dir':
            remote_agent_dir_ = ''
            for text__content_ in child_.childNodes:
                remote_agent_dir_ += text__content_.nodeValue
            self.remote_agent_dir = remote_agent_dir_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'compress-content':
            if child_.firstChild:
                sval_ = child_.firstChild.nodeValue
                if sval_ in ('true', '1'):
                    ival_ = 1
                elif sval_ in ('false', '0'):
                    ival_ = 0
                else:
                    raise ValueError('requires boolean -- %s' % child_.toxml())
                self.compress_content = ival_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'check-disk-space':
            if child_.firstChild:
                sval_ = child_.firstChild.nodeValue
                if sval_ in ('true', '1'):
                    ival_ = 1
                elif sval_ in ('false', '0'):
                    ival_ = 0
                else:
                    raise ValueError('requires boolean -- %s' % child_.toxml())
                self.check_disk_space = ival_
# end class AgentParameters


class ActionSetMigrationObjects:
    subclass = None
    def __init__(self, selected_objects=None):
        self.selected_objects = selected_objects
    def factory(*args_, **kwargs_):
        if ActionSetMigrationObjects.subclass:
            return ActionSetMigrationObjects.subclass(*args_, **kwargs_)
        else:
            return ActionSetMigrationObjects(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getSelected_objects(self): return self.selected_objects
    def setSelected_objects(self, value): self.selected_objects = value
    def export(self, outfile, level, name_='ActionSetMigrationObjects'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ActionSetMigrationObjects'):
        pass
    def exportChildren(self, outfile, level, name_='ActionSetMigrationObjects'):
        if self.selected_objects is not None:
            self.selected_objects.export(outfile, level, name_='selected-objects')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'selected-objects':
            obj_ = SelectedObjects.factory()
            obj_.build(child_)
            self.setSelected_objects(obj_)
# end class ActionSetMigrationObjects


class ActionGoToSelectObjects:
    subclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if ActionGoToSelectObjects.subclass:
            return ActionGoToSelectObjects.subclass(*args_, **kwargs_)
        else:
            return ActionGoToSelectObjects(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='ActionGoToSelectObjects'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ActionGoToSelectObjects'):
        pass
    def exportChildren(self, outfile, level, name_='ActionGoToSelectObjects'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class ActionGoToSelectObjects


class ActionResponse:
    subclass = None
    def __init__(self, action_internal_name=None, working=None, api_working=None, finished=None, waiting=None, command_parse_error=None, command_accepted=None):
        self.action_internal_name = action_internal_name
        self.working = working
        self.api_working = api_working
        self.finished = finished
        self.waiting = waiting
        self.command_parse_error = command_parse_error
        self.command_accepted = command_accepted
    def factory(*args_, **kwargs_):
        if ActionResponse.subclass:
            return ActionResponse.subclass(*args_, **kwargs_)
        else:
            return ActionResponse(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getWorking(self): return self.working
    def setWorking(self, value): self.working = value
    def getApi_working(self): return self.api_working
    def setApi_working(self, value): self.api_working = value
    def getFinished(self): return self.finished
    def setFinished(self, value): self.finished = value
    def getWaiting(self): return self.waiting
    def setWaiting(self, value): self.waiting = value
    def getCommand_parse_error(self): return self.command_parse_error
    def setCommand_parse_error(self, value): self.command_parse_error = value
    def getCommand_accepted(self): return self.command_accepted
    def setCommand_accepted(self, value): self.command_accepted = value
    def getAction_internal_name(self): return self.action_internal_name
    def setAction_internal_name(self, value): self.action_internal_name = value
    def export(self, outfile, level, name_='ActionResponse'):
        showIndent(outfile, level)
        outfile.write('<%s' % (name_, ))
        self.exportAttributes(outfile, level, name_='ActionResponse')
        outfile.write('>')
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ActionResponse'):
        if self.getAction_internal_name() is not None:
            outfile.write(' action-internal-name="%s"' % (self.getAction_internal_name(), ))
    def exportChildren(self, outfile, level, name_='ActionResponse'):
        if self.working is not None:
            self.working.export(outfile, level, name_='working')
        if self.api_working is not None:
            self.api_working.export(outfile, level, name_='api-working')
        if self.finished is not None:
            self.finished.export(outfile, level, name_='finished')
        if self.waiting is not None:
            self.waiting.export(outfile, level, name_='waiting')
        if self.command_parse_error is not None:
            self.command_parse_error.export(outfile, level, name_='command-parse-error')
        if self.command_accepted is not None:
            self.command_accepted.export(outfile, level, name_='command-accepted')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('action-internal-name'):
            self.action_internal_name = attrs.get('action-internal-name').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'working':
            obj_ = StatusWorking.factory()
            obj_.build(child_)
            self.setWorking(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'api-working':
            obj_ = MigrationApiStatusWorking.factory()
            obj_.build(child_)
            self.setApi_working(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'finished':
            obj_ = StatusFinished.factory()
            obj_.build(child_)
            self.setFinished(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'waiting':
            obj_ = StatusAwaiting.factory()
            obj_.build(child_)
            self.setWaiting(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'command-parse-error':
            obj_ = StatusCommandParseError.factory()
            obj_.build(child_)
            self.setCommand_parse_error(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'command-accepted':
            obj_ = StatusCommandAccepted.factory()
            obj_.build(child_)
            self.setCommand_accepted(obj_)
# end class ActionResponse


class StatusCommandParseError:
    subclass = None
    def __init__(self, description=''):
        self.description = description
    def factory(*args_, **kwargs_):
        if StatusCommandParseError.subclass:
            return StatusCommandParseError.subclass(*args_, **kwargs_)
        else:
            return StatusCommandParseError(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getDescription(self): return self.description
    def setDescription(self, value): self.description = value
    def export(self, outfile, level, name_='StatusCommandParseError'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusCommandParseError'):
        pass
    def exportChildren(self, outfile, level, name_='StatusCommandParseError'):
        showIndent(outfile, level)
        outfile.write('<description>%s</description>\n' % quote_xml(self.getDescription()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'description':
            description_ = ''
            for text__content_ in child_.childNodes:
                description_ += text__content_.nodeValue
            self.description = description_
# end class StatusCommandParseError


class StatusCommandAccepted:
    subclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if StatusCommandAccepted.subclass:
            return StatusCommandAccepted.subclass(*args_, **kwargs_)
        else:
            return StatusCommandAccepted(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='StatusCommandAccepted'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusCommandAccepted'):
        pass
    def exportChildren(self, outfile, level, name_='StatusCommandAccepted'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class StatusCommandAccepted


class StatusAwaiting:
    subclass = None
    def __init__(self, awaiting_start=None, awaiting_agent_parameters=None, awaiting_import_parameters=None, awaiting_objects=None):
        self.awaiting_start = awaiting_start
        self.awaiting_agent_parameters = awaiting_agent_parameters
        self.awaiting_import_parameters = awaiting_import_parameters
        self.awaiting_objects = awaiting_objects
    def factory(*args_, **kwargs_):
        if StatusAwaiting.subclass:
            return StatusAwaiting.subclass(*args_, **kwargs_)
        else:
            return StatusAwaiting(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getAwaiting_start(self): return self.awaiting_start
    def setAwaiting_start(self, value): self.awaiting_start = value
    def getAwaiting_agent_parameters(self): return self.awaiting_agent_parameters
    def setAwaiting_agent_parameters(self, value): self.awaiting_agent_parameters = value
    def getAwaiting_import_parameters(self): return self.awaiting_import_parameters
    def setAwaiting_import_parameters(self, value): self.awaiting_import_parameters = value
    def getAwaiting_objects(self): return self.awaiting_objects
    def setAwaiting_objects(self, value): self.awaiting_objects = value
    def export(self, outfile, level, name_='StatusAwaiting'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusAwaiting'):
        pass
    def exportChildren(self, outfile, level, name_='StatusAwaiting'):
        if self.awaiting_start is not None:
            self.awaiting_start.export(outfile, level, name_='awaiting-start')
        if self.awaiting_agent_parameters is not None:
            self.awaiting_agent_parameters.export(outfile, level, name_='awaiting-agent-parameters')
        if self.awaiting_import_parameters is not None:
            self.awaiting_import_parameters.export(outfile, level, name_='awaiting-import-parameters')
        if self.awaiting_objects is not None:
            self.awaiting_objects.export(outfile, level, name_='awaiting-objects')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'awaiting-start':
            obj_ = StatusAwaitingStart.factory()
            obj_.build(child_)
            self.setAwaiting_start(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'awaiting-agent-parameters':
            obj_ = StatusAwaitingAgentParameters.factory()
            obj_.build(child_)
            self.setAwaiting_agent_parameters(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'awaiting-import-parameters':
            obj_ = StatusAwaitingImportParameters.factory()
            obj_.build(child_)
            self.setAwaiting_import_parameters(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'awaiting-objects':
            obj_ = StatusAwaitingObjects.factory()
            obj_.build(child_)
            self.setAwaiting_objects(obj_)
# end class StatusAwaiting


class StatusAwaitingStart:
    subclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if StatusAwaitingStart.subclass:
            return StatusAwaitingStart.subclass(*args_, **kwargs_)
        else:
            return StatusAwaitingStart(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='StatusAwaitingStart'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusAwaitingStart'):
        pass
    def exportChildren(self, outfile, level, name_='StatusAwaitingStart'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class StatusAwaitingStart


class StatusAwaitingAgentParameters:
    subclass = None
    def __init__(self, agent_info=None, session_info=None):
        self.agent_info = agent_info
        self.session_info = session_info
    def factory(*args_, **kwargs_):
        if StatusAwaitingAgentParameters.subclass:
            return StatusAwaitingAgentParameters.subclass(*args_, **kwargs_)
        else:
            return StatusAwaitingAgentParameters(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getAgent_info(self): return self.agent_info
    def setAgent_info(self, value): self.agent_info = value
    def getSession_info(self): return self.session_info
    def setSession_info(self, value): self.session_info = value
    def export(self, outfile, level, name_='StatusAwaitingAgentParameters'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusAwaitingAgentParameters'):
        pass
    def exportChildren(self, outfile, level, name_='StatusAwaitingAgentParameters'):
        if self.agent_info is not None:
            self.agent_info.export(outfile, level, name_='agent-info')
        if self.session_info is not None:
            self.session_info.export(outfile, level, name_='session-info')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'agent-info':
            obj_ = AgentInfo.factory()
            obj_.build(child_)
            self.setAgent_info(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'session-info':
            obj_ = SessionInfo.factory()
            obj_.build(child_)
            self.setSession_info(obj_)
# end class StatusAwaitingAgentParameters


class StatusAwaitingImportParameters:
    subclass = None
    def __init__(self, session_info=None):
        self.session_info = session_info
    def factory(*args_, **kwargs_):
        if StatusAwaitingImportParameters.subclass:
            return StatusAwaitingImportParameters.subclass(*args_, **kwargs_)
        else:
            return StatusAwaitingImportParameters(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getSession_info(self): return self.session_info
    def setSession_info(self, value): self.session_info = value
    def export(self, outfile, level, name_='StatusAwaitingImportParameters'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusAwaitingImportParameters'):
        pass
    def exportChildren(self, outfile, level, name_='StatusAwaitingImportParameters'):
        if self.session_info is not None:
            self.session_info.export(outfile, level, name_='session-info')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'session-info':
            obj_ = SessionInfo.factory()
            obj_.build(child_)
            self.setSession_info(obj_)
# end class StatusAwaitingImportParameters


class AgentInfo:
    subclass = None
    def __init__(self, agents_list=None, os_info=None, remote_fs=None):
        self.agents_list = agents_list
        self.os_info = os_info
        self.remote_fs = remote_fs
    def factory(*args_, **kwargs_):
        if AgentInfo.subclass:
            return AgentInfo.subclass(*args_, **kwargs_)
        else:
            return AgentInfo(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getAgents_list(self): return self.agents_list
    def setAgents_list(self, value): self.agents_list = value
    def getOs_info(self): return self.os_info
    def setOs_info(self, value): self.os_info = value
    def getRemote_fs(self): return self.remote_fs
    def setRemote_fs(self, value): self.remote_fs = value
    def export(self, outfile, level, name_='AgentInfo'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='AgentInfo'):
        pass
    def exportChildren(self, outfile, level, name_='AgentInfo'):
        if self.agents_list is not None:
            self.agents_list.export(outfile, level, name_='agents-list')
        if self.os_info is not None:
            self.os_info.export(outfile, level, name_='os-info')
        if self.remote_fs is not None:
            self.remote_fs.export(outfile, level, name_='remote-fs')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'agents-list':
            obj_ = AgentsList.factory()
            obj_.build(child_)
            self.setAgents_list(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'os-info':
            obj_ = OsInfo.factory()
            obj_.build(child_)
            self.setOs_info(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'remote-fs':
            obj_ = FsList.factory()
            obj_.build(child_)
            self.setRemote_fs(obj_)
# end class AgentInfo


class SessionInfo:
    subclass = None
    def __init__(self, detected_panel=None, wrong_platform_message=None):
        self.detected_panel = detected_panel
        self.wrong_platform_message = wrong_platform_message
    def factory(*args_, **kwargs_):
        if SessionInfo.subclass:
            return SessionInfo.subclass(*args_, **kwargs_)
        else:
            return SessionInfo(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getDetected_panel(self): return self.detected_panel
    def setDetected_panel(self, value): self.detected_panel = value
    def getWrong_platform_message(self): return self.wrong_platform_message
    def setWrong_platform_message(self, value): self.wrong_platform_message = value
    def export(self, outfile, level, name_='SessionInfo'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='SessionInfo'):
        pass
    def exportChildren(self, outfile, level, name_='SessionInfo'):
        if self.detected_panel is not None:
            self.detected_panel.export(outfile, level, name_='detected-panel')
        if self.wrong_platform_message is not None:
            showIndent(outfile, level)
            outfile.write('<wrong-platform-message>%s</wrong-platform-message>\n' % quote_xml(self.getWrong_platform_message()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'detected-panel':
            obj_ = DetectedPanel.factory()
            obj_.build(child_)
            self.setDetected_panel(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'wrong-platform-message':
            wrong_platform_message_ = ''
            for text__content_ in child_.childNodes:
                wrong_platform_message_ += text__content_.nodeValue
            self.wrong_platform_message = wrong_platform_message_
# end class SessionInfo


class AgentsList:
    subclass = None
    def __init__(self, agent=None):
        if agent is None:
            self.agent = []
        else:
            self.agent = agent
    def factory(*args_, **kwargs_):
        if AgentsList.subclass:
            return AgentsList.subclass(*args_, **kwargs_)
        else:
            return AgentsList(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getAgent(self): return self.agent
    def setAgent(self, value): self.agent = value
    def addAgent(self, value): self.agent.append(value)
    def insertAgent(self, index, value): self.agent[index] = value
    def export(self, outfile, level, name_='AgentsList'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='AgentsList'):
        pass
    def exportChildren(self, outfile, level, name_='AgentsList'):
        for agent_ in self.getAgent():
            agent_.export(outfile, level, name_='agent')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'agent':
            obj_ = AgentDescription.factory()
            obj_.build(child_)
            self.agent.append(obj_)
# end class AgentsList


class AgentDescription:
    subclass = None
    def __init__(self, name='', description=''):
        self.name = name
        self.description = description
    def factory(*args_, **kwargs_):
        if AgentDescription.subclass:
            return AgentDescription.subclass(*args_, **kwargs_)
        else:
            return AgentDescription(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getDescription(self): return self.description
    def setDescription(self, value): self.description = value
    def export(self, outfile, level, name_='AgentDescription'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='AgentDescription'):
        pass
    def exportChildren(self, outfile, level, name_='AgentDescription'):
        showIndent(outfile, level)
        outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        showIndent(outfile, level)
        outfile.write('<description>%s</description>\n' % quote_xml(self.getDescription()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'description':
            description_ = ''
            for text__content_ in child_.childNodes:
                description_ += text__content_.nodeValue
            self.description = description_
# end class AgentDescription


class DetectedPanel:
    subclass = None
    def __init__(self, name='', agent='', valueOf_=''):
        self.name = name
        self.agent = agent
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if DetectedPanel.subclass:
            return DetectedPanel.subclass(*args_, **kwargs_)
        else:
            return DetectedPanel(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getAgent(self): return self.agent
    def setAgent(self, value): self.agent = value
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='DetectedPanel'):
        showIndent(outfile, level)
        outfile.write('<%s' % (name_, ))
        self.exportAttributes(outfile, level, name_='DetectedPanel')
        outfile.write('>')
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DetectedPanel'):
        outfile.write(' name="%s"' % (self.getName(), ))
        outfile.write(' agent="%s"' % (self.getAgent(), ))
    def exportChildren(self, outfile, level, name_='DetectedPanel'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('name'):
            self.name = attrs.get('name').value
        if attrs.get('agent'):
            self.agent = attrs.get('agent').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class DetectedPanel


class OsInfo:
    subclass = None
    def __init__(self, loadavg='', os='', valueOf_=''):
        self.loadavg = loadavg
        self.os = os
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if OsInfo.subclass:
            return OsInfo.subclass(*args_, **kwargs_)
        else:
            return OsInfo(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getLoadavg(self): return self.loadavg
    def setLoadavg(self, value): self.loadavg = value
    def getOs(self): return self.os
    def setOs(self, value): self.os = value
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='OsInfo'):
        showIndent(outfile, level)
        outfile.write('<%s' % (name_, ))
        self.exportAttributes(outfile, level, name_='OsInfo')
        outfile.write('>')
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='OsInfo'):
        outfile.write(' loadavg="%s"' % (self.getLoadavg(), ))
        outfile.write(' os="%s"' % (self.getOs(), ))
    def exportChildren(self, outfile, level, name_='OsInfo'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('loadavg'):
            self.loadavg = attrs.get('loadavg').value
        if attrs.get('os'):
            self.os = attrs.get('os').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class OsInfo


class FsList:
    subclass = None
    def __init__(self, fs=None):
        if fs is None:
            self.fs = []
        else:
            self.fs = fs
    def factory(*args_, **kwargs_):
        if FsList.subclass:
            return FsList.subclass(*args_, **kwargs_)
        else:
            return FsList(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getFs(self): return self.fs
    def setFs(self, value): self.fs = value
    def addFs(self, value): self.fs.append(value)
    def insertFs(self, index, value): self.fs[index] = value
    def export(self, outfile, level, name_='FsList'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='FsList'):
        pass
    def exportChildren(self, outfile, level, name_='FsList'):
        for fs_ in self.getFs():
            fs_.export(outfile, level, name_='fs')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fs':
            obj_ = Fs.factory()
            obj_.build(child_)
            self.fs.append(obj_)
# end class FsList


class Fs:
    subclass = None
    def __init__(self, free=-1, mode=None, device='', mountpoint='', ttype='', size=-1, valueOf_=''):
        self.free = free
        self.mode = mode
        self.device = device
        self.mountpoint = mountpoint
        self.ttype = ttype
        self.size = size
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if Fs.subclass:
            return Fs.subclass(*args_, **kwargs_)
        else:
            return Fs(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getFree(self): return self.free
    def setFree(self, value): self.free = value
    def getMode(self): return self.mode
    def setMode(self, value): self.mode = value
    def getDevice(self): return self.device
    def setDevice(self, value): self.device = value
    def getMountpoint(self): return self.mountpoint
    def setMountpoint(self, value): self.mountpoint = value
    def getType(self): return self.ttype
    def setType(self, value): self.ttype = value
    def getSize(self): return self.size
    def setSize(self, value): self.size = value
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='Fs'):
        showIndent(outfile, level)
        outfile.write('<%s' % (name_, ))
        self.exportAttributes(outfile, level, name_='Fs')
        outfile.write('>')
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='Fs'):
        outfile.write(' free="%s"' % (self.getFree(), ))
        outfile.write(' mode="%s"' % (self.getMode(), ))
        outfile.write(' device="%s"' % (self.getDevice(), ))
        outfile.write(' mountpoint="%s"' % (self.getMountpoint(), ))
        outfile.write(' type="%s"' % (self.getType(), ))
        outfile.write(' size="%s"' % (self.getSize(), ))
    def exportChildren(self, outfile, level, name_='Fs'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('free'):
            try:
                self.free = long(attrs.get('free').value)
            except ValueError:
                raise ValueError('Bad integer attribute (free)')
        if attrs.get('mode'):
            self.mode = attrs.get('mode').value
        if attrs.get('device'):
            self.device = attrs.get('device').value
        if attrs.get('mountpoint'):
            self.mountpoint = attrs.get('mountpoint').value
        if attrs.get('type'):
            self.ttype = attrs.get('type').value
        if attrs.get('size'):
            try:
                self.size = long(attrs.get('size').value)
            except ValueError:
                raise ValueError('Bad integer attribute (size)')
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class Fs


class StatusAwaitingObjects:
    subclass = None
    def __init__(self, description=None, client=None, domain=None, server=None):
        self.description = description
        if client is None:
            self.client = []
        else:
            self.client = client
        if domain is None:
            self.domain = []
        else:
            self.domain = domain
        self.server = server
    def factory(*args_, **kwargs_):
        if StatusAwaitingObjects.subclass:
            return StatusAwaitingObjects.subclass(*args_, **kwargs_)
        else:
            return StatusAwaitingObjects(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getDescription(self): return self.description
    def setDescription(self, value): self.description = value
    def getClient(self): return self.client
    def setClient(self, value): self.client = value
    def addClient(self, value): self.client.append(value)
    def insertClient(self, index, value): self.client[index] = value
    def getDomain(self): return self.domain
    def setDomain(self, value): self.domain = value
    def addDomain(self, value): self.domain.append(value)
    def insertDomain(self, index, value): self.domain[index] = value
    def getServer(self): return self.server
    def setServer(self, value): self.server = value
    def export(self, outfile, level, name_='StatusAwaitingObjects'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusAwaitingObjects'):
        pass
    def exportChildren(self, outfile, level, name_='StatusAwaitingObjects'):
        if self.description is not None:
            showIndent(outfile, level)
            outfile.write('<description>%s</description>\n' % quote_xml(self.getDescription()))
        for client_ in self.getClient():
            client_.export(outfile, level, name_='client')
        for domain_ in self.getDomain():
            domain_.export(outfile, level, name_='domain')
        if self.server is not None:
            self.server.export(outfile, level, name_='server')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'description':
            description_ = ''
            for text__content_ in child_.childNodes:
                description_ += text__content_.nodeValue
            self.description = description_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'client':
            obj_ = Client.factory()
            obj_.build(child_)
            self.client.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'domain':
            obj_ = Domain.factory()
            obj_.build(child_)
            self.domain.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'server':
            obj_ = Server.factory()
            obj_.build(child_)
            self.setServer(obj_)
# end class StatusAwaitingObjects


class ConnectivityInfo:
    subclass = None
    def __init__(self, host='', port=None, password='', sudo=None):
        self.host = host
        self.port = port
        self.password = password
        self.sudo = sudo
    def factory(*args_, **kwargs_):
        if ConnectivityInfo.subclass:
            return ConnectivityInfo.subclass(*args_, **kwargs_)
        else:
            return ConnectivityInfo(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getHost(self): return self.host
    def setHost(self, value): self.host = value
    def getPort(self): return self.port
    def setPort(self, value): self.port = value
    def getPassword(self): return self.password
    def setPassword(self, value): self.password = value
    def getSudo(self): return self.sudo
    def setSudo(self, value): self.sudo = value
    def export(self, outfile, level, name_='ConnectivityInfo'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ConnectivityInfo'):
        pass
    def exportChildren(self, outfile, level, name_='ConnectivityInfo'):
        showIndent(outfile, level)
        outfile.write('<host>%s</host>\n' % quote_xml(self.getHost()))
        if self.port is not None:
            showIndent(outfile, level)
            outfile.write('<port>%s</port>\n' % quote_xml(self.getPort()))
        showIndent(outfile, level)
        outfile.write('<password>%s</password>\n' % quote_xml(self.getPassword()))
        if self.sudo is not None:
            self.sudo.export(outfile, level, name_='sudo')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'host':
            host_ = ''
            for text__content_ in child_.childNodes:
                host_ += text__content_.nodeValue
            self.host = host_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'port':
            port_ = ''
            for text__content_ in child_.childNodes:
                port_ += text__content_.nodeValue
            self.port = port_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'password':
            password_ = ''
            for text__content_ in child_.childNodes:
                password_ += text__content_.nodeValue
            self.password = password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'sudo':
            obj_ = ConnectivitySudoInfoType.factory()
            obj_.build(child_)
            self.setSudo(obj_)
# end class ConnectivityInfo


class ApiConnectivityInfo:
    subclass = None
    def __init__(self, host='', login='', password=''):
        self.host = host
        self.login = login
        self.password = password
    def factory(*args_, **kwargs_):
        if ApiConnectivityInfo.subclass:
            return ApiConnectivityInfo.subclass(*args_, **kwargs_)
        else:
            return ApiConnectivityInfo(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getHost(self): return self.host
    def setHost(self, value): self.host = value
    def getLogin(self): return self.login
    def setLogin(self, value): self.login = value
    def getPassword(self): return self.password
    def setPassword(self, value): self.password = value
    def export(self, outfile, level, name_='ApiConnectivityInfo'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ApiConnectivityInfo'):
        pass
    def exportChildren(self, outfile, level, name_='ApiConnectivityInfo'):
        showIndent(outfile, level)
        outfile.write('<host>%s</host>\n' % quote_xml(self.getHost()))
        showIndent(outfile, level)
        outfile.write('<login>%s</login>\n' % quote_xml(self.getLogin()))
        showIndent(outfile, level)
        outfile.write('<password>%s</password>\n' % quote_xml(self.getPassword()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'host':
            host_ = ''
            for text__content_ in child_.childNodes:
                host_ += text__content_.nodeValue
            self.host = host_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'login':
            login_ = ''
            for text__content_ in child_.childNodes:
                login_ += text__content_.nodeValue
            self.login = login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'password':
            password_ = ''
            for text__content_ in child_.childNodes:
                password_ += text__content_.nodeValue
            self.password = password_
# end class ApiConnectivityInfo


class ConnectivitySudoInfoType:
    subclass = None
    def __init__(self, user='', password=''):
        self.user = user
        self.password = password
    def factory(*args_, **kwargs_):
        if ConnectivitySudoInfoType.subclass:
            return ConnectivitySudoInfoType.subclass(*args_, **kwargs_)
        else:
            return ConnectivitySudoInfoType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getUser(self): return self.user
    def setUser(self, value): self.user = value
    def getPassword(self): return self.password
    def setPassword(self, value): self.password = value
    def export(self, outfile, level, name_='ConnectivitySudoInfoType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ConnectivitySudoInfoType'):
        pass
    def exportChildren(self, outfile, level, name_='ConnectivitySudoInfoType'):
        showIndent(outfile, level)
        outfile.write('<user>%s</user>\n' % quote_xml(self.getUser()))
        showIndent(outfile, level)
        outfile.write('<password>%s</password>\n' % quote_xml(self.getPassword()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'user':
            user_ = ''
            for text__content_ in child_.childNodes:
                user_ += text__content_.nodeValue
            self.user = user_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'password':
            password_ = ''
            for text__content_ in child_.childNodes:
                password_ += text__content_.nodeValue
            self.password = password_
# end class ConnectivitySudoInfoType


class ScoutResult:
    subclass = None
    def __init__(self, detected_panel=None, os_info=None, remote_fs=None):
        self.detected_panel = detected_panel
        self.os_info = os_info
        self.remote_fs = remote_fs
    def factory(*args_, **kwargs_):
        if ScoutResult.subclass:
            return ScoutResult.subclass(*args_, **kwargs_)
        else:
            return ScoutResult(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getDetected_panel(self): return self.detected_panel
    def setDetected_panel(self, value): self.detected_panel = value
    def getOs_info(self): return self.os_info
    def setOs_info(self, value): self.os_info = value
    def getRemote_fs(self): return self.remote_fs
    def setRemote_fs(self, value): self.remote_fs = value
    def export(self, outfile, level, name_='ScoutResult'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ScoutResult'):
        pass
    def exportChildren(self, outfile, level, name_='ScoutResult'):
        if self.detected_panel is not None:
            self.detected_panel.export(outfile, level, name_='detected-panel')
        if self.os_info is not None:
            self.os_info.export(outfile, level, name_='os-info')
        if self.remote_fs is not None:
            self.remote_fs.export(outfile, level, name_='remote-fs')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'detected-panel':
            obj_ = DetectedPanel.factory()
            obj_.build(child_)
            self.setDetected_panel(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'os-info':
            obj_ = OsInfo.factory()
            obj_.build(child_)
            self.setOs_info(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'remote-fs':
            obj_ = FsList.factory()
            obj_.build(child_)
            self.setRemote_fs(obj_)
# end class ScoutResult


from xml.sax import handler, make_parser


USAGE_TEXT = """
Usage: python <Parser>.py <in_xml_file>
"""

def usage():
    print USAGE_TEXT
    sys.exit(-1)


#
# SAX handler used to determine the top level element.
#
class SaxSelectorHandler(handler.ContentHandler):
    def __init__(self):
        self.topElementName = None
    def getTopElementName(self):
        return self.topElementName
    def startElement(self, name, attrs):
        self.topElementName = name
        raise StopIteration


def parseSelect(inFileName):
    infile = file(inFileName, 'r')
    topElementName = None
    parser = make_parser()
    documentHandler = SaxSelectorHandler()
    parser.setContentHandler(documentHandler)
    try:
        try:
            parser.parse(infile)
        except StopIteration:
            topElementName = documentHandler.getTopElementName()
        if topElementName is None:
            raise RuntimeError, 'no top level element'
        topElementName = topElementName.replace('-', '_').replace(':', '_')
        if topElementName not in globals():
            raise RuntimeError, 'no class for top element: %s' % topElementName
        topElement = globals()[topElementName]
        infile.seek(0)
        doc = minidom.parse(infile)
    finally:
        infile.close()
    rootNode = doc.childNodes[0]
    rootObj = topElement.factory()
    rootObj.build(rootNode)
    # Enable Python to collect the space used by the DOM.
    doc = None
    sys.stdout.write('<?xml version="1.0" ?>\n')
    rootObj.export(sys.stdout, 0)
    return rootObj


def parse(inFileName):
    doc = minidom.parse(inFileName)
    rootNode = doc.childNodes[0]
    rootObj = resultType.factory()
    rootObj.build(rootNode)
    # Enable Python to collect the space used by the DOM.
    doc = None
    sys.stdout.write('<?xml version="1.0" ?>\n')
    rootObj.export(sys.stdout, 0, name_="resultType")
    return rootObj


def parseString(inString):
    doc = minidom.parseString(inString)
    rootNode = doc.childNodes[0]
    rootObj = resultType.factory()
    rootObj.build(rootNode)
    # Enable Python to collect the space used by the DOM.
    doc = None
    sys.stdout.write('<?xml version="1.0" ?>\n')
    rootObj.export(sys.stdout, 0, name_="resultType")
    return rootObj


def parseLiteral(inFileName):
    doc = minidom.parse(inFileName)
    rootNode = doc.childNodes[0]
    rootObj = resultType.factory()
    rootObj.build(rootNode)
    # Enable Python to collect the space used by the DOM.
    doc = None
    sys.stdout.write('from backend_interface import *\n\n')
    sys.stdout.write('rootObj = resultType(\n')
    rootObj.exportLiteral(sys.stdout, 0, name_="resultType")
    sys.stdout.write(')\n')
    return rootObj


def main():
    args = sys.argv[1:]
    if len(args) == 1:
        parse(args[0])
    else:
        usage()


if __name__ == '__main__':
    main()
    #import pdb
    #pdb.run('main()')

